2008-08-31 19:10  fmhess

	* [r1506] configure.ac: Bumped version for 3.2.11 release.

2008-08-31 17:00  fmhess

	* [r1505] lib/async.c, lib/ibCmd.c, lib/ibConf.h, lib/ibRd.c,
	  lib/ibWait.c, lib/ibWrt.c: Trying to resolve issues raised in
	  tracker patch 1935704.

2008-08-31 16:03  fmhess

	* [r1504] lib/ibWait.c: Don't block on async operation if CMPL
	  wasn't in wait mask.

2008-08-28 14:20  fmhess

	* [r1503] AUTHORS: Added David to AUTHORS file.

2008-08-28 14:18  fmhess

	* [r1502] drivers/gpib/agilent_82350b/agilent_82350b_write.c: Fix
	  for race which could cause a lost byte on writes, from
	  'Penkler, David' <dave.penkler@hp.com>

2008-08-24 14:51  fmhess

	* [r1501] drivers/gpib/agilent_82350b/agilent_82350b.h,
	  drivers/gpib/agilent_82350b/agilent_82350b_read.c,
	  drivers/gpib/agilent_82350b/agilent_82350b_write.c: Trying to
	  deal with loss of 2nd-to-last byte in fifo transfers with
	  82350A.

2008-08-23 16:37  fmhess

	* [r1500] drivers/gpib/agilent_82350b/agilent_82350b_init.c: Fixed
	  null pointer dereference with 82350B caused by new support for
	  82350A.

2008-08-23 01:06  fmhess

	* [r1499] drivers/gpib/include/linux/device.h,
	  drivers/gpib/sys/osinit.c: Fixed compilation against kernel
	  2.6.26.3 by updating linux/device.h
	  compatibility header from comedi.

2008-08-23 00:25  fmhess

	* [r1498] drivers/gpib/sys/autopoll.c, drivers/gpib/sys/osfuncs.c,
	  drivers/gpib/sys/osinit.c: Replaced some up/down calls with
	  mutex_lock and mutex_unlock
	  since I've changed some semaphores into mutexes.

2008-08-22 21:25  fmhess

	* [r1497] drivers/gpib/include/gpib_types.h,
	  drivers/gpib/sys/osfuncs.c: Replaced some semaphores with
	  mutexes.

2008-08-22 21:12  fmhess

	* [r1496] drivers/gpib/include/gpib_types.h,
	  drivers/gpib/sys/ibinit.c, drivers/gpib/sys/osinit.c: Changed
	  autospoll_completion from a semaphore to a completion.

2008-08-19 15:18  fmhess

	* [r1495] drivers/gpib/agilent_82350b/agilent_82350b_init.c: Bugfix
	  for 82350A/B detection from 'Penkler, David'
	  <dave.penkler@hp.com>

2008-08-19 00:31  fmhess

	* [r1494] doc/linux-gpib.sgml: Some trivial re-wording.

2008-08-19 00:30  fmhess

	* [r1493] drivers/gpib/agilent_82350b/agilent_82350b.h,
	  drivers/gpib/agilent_82350b/agilent_82350b_init.c: Fixed some
	  confusion between pci device and subdevice id numbers
	  reported by: "Penkler, David" <dave.penkler@hp.com>

2008-08-12 00:41  fmhess

	* [r1492] doc/linux-gpib.sgml: Added notes about the hp 82350A.

2008-08-11 13:36  fmhess

	* [r1491] drivers/gpib/agilent_82350b/agilent_82350b_init.c,
	  drivers/gpib/cec/init.c, drivers/gpib/include/plx9050.h,
	  drivers/gpib/ines/ines_init.c: Added PLX9050_ prefix to
	  definitions in plx9050.h to reduce chance of
	  name collision.

2008-08-11 13:28  fmhess

	* [r1490] drivers/gpib/agilent_82350b/agilent_82350b_init.c:
	  Replaced more magic bits with named constants. Tweaked firmware
	  loading loop so ready bit is always checked before a write, and
	  not checked after last write.

2008-08-11 13:26  fmhess

	* [r1489] drivers/gpib/include/plx9050.h: Added more bit
	  definitions for CNTRL register.

2008-08-04 04:07  fmhess

	* [r1488] drivers/gpib/agilent_82350b/agilent_82350b.h,
	  drivers/gpib/agilent_82350b/agilent_82350b_init.c,
	  drivers/gpib/include/gpibP.h, drivers/gpib/include/plx9050.h,
	  drivers/gpib/sys/osinit.c: First pass at 82350A support in the
	  agilent_82350b driver.

2008-07-23 20:13  fmhess

	* [r1487] drivers/gpib/agilent_82350b/agilent_82350b_init.c: Call
	  pci_enable_device before requesting io regions and irq.

2008-07-07 15:21  fmhess

	* [r1486] drivers/gpib/include/gpib_ioctl.h: Pad ioctl struct
	  instead of relying on non-portable pack pragma.

2008-07-03 20:26  fmhess

	* [r1485] drivers/gpib/include/gpib_ioctl.h: Use #pragma pack to
	  make sure our alignment doesn't get screwed by
	  user's compiler options.

2008-07-03 20:04  fmhess

	* [r1484] drivers/gpib/include/gpib_ioctl.h: Fixed some
	  incompatible alignments with ioctl structs when compiled in
	  64 or 32 bit mode.

2008-06-28 21:00  fmhess

	* [r1483] drivers/gpib/include/gpib_types.h,
	  drivers/gpib/sys/ibinit.c, drivers/gpib/sys/osfuncs.c,
	  drivers/gpib/sys/osinit.c: Removed autopoll_mutex, which wasn't
	  doing anything useful.

2008-06-28 20:56  fmhess

	* [r1482] drivers/gpib/include/gpib_types.h,
	  drivers/gpib/sys/ibinit.c, drivers/gpib/sys/ibread.c,
	  drivers/gpib/sys/osfuncs.c, drivers/gpib/sys/osinit.c: Go back to
	  BKL, since simple ioctl_mutex isn't going to cut it.

2008-06-28 19:26  fmhess

	* [r1481] drivers/gpib/include/gpib_ioctl.h,
	  drivers/gpib/include/gpib_proto.h,
	  drivers/gpib/include/gpib_types.h, drivers/gpib/sys/osfuncs.c,
	  drivers/gpib/sys/osinit.c, lib/gpib_config/gpib_config.c,
	  lib/ibCmd.c, lib/ibRd.c, lib/ibWrt.c: Fix compatibility of 32 bit
	  user space with 64 bit kernel. Breaks
	  compatibility of user space/kernel driver interface with older
	  linux-gpib
	  releases

2008-02-19 19:31  fmhess

	* [r1480] drivers/gpib/ni_usb/ni_usb_gpib.c: usb-b barfs if you try
	  to send more than 16 command bytes at once.

2008-02-19 19:30  fmhess

	* [r1479] drivers/gpib/ni_usb/ni_usb_gpib.h: Added a little more
	  info about error 4.

2008-02-19 15:37  fmhess

	* [r1478] doc/linux-gpib.sgml: Added mention of usage for ibcnt
	  with FindLstn function.

2008-01-30 21:07  fmhess

	* [r1477] INSTALL: Fixed udev rule for setting permissions.

2008-01-30 20:14  fmhess

	* [r1475] ChangeLog: Reran svn2cl at top level to get full
	  ChangeLog.

2008-01-30 19:58  fmhess

	* [r1474] configure.ac: Bumped version for 3.2.10 release.

2008-01-30 19:35  fmhess

	* [r1473] ChangeLog: Generated ChangeLog with svn2cl.

2008-01-07 18:37  fmhess

	* [r1472] lib/ibutil.c: Made slightly more valgrind-friendly.

2007-10-14 22:04  fmhess

	* [r1471] drivers/gpib/cb7210/cb7210_cs.c,
	  drivers/gpib/ines/ines_cs.c, drivers/gpib/tnt4882/tnt4882_cs.c:
	  More SA_SHIRQ to IRQF_SHARED changes.

2007-10-14 21:51  fmhess

	* [r1470] drivers/gpib/tnt4882/mite.c: Replaced use of deprecated
	  pci_find_device with pci_get_device
	  (and pci_dev_put).

2007-10-14 21:46  fmhess

	* [r1469] drivers/gpib/agilent_82350b/agilent_82350b_init.c,
	  drivers/gpib/cb7210/cb7210_init.c, drivers/gpib/cec/init.c,
	  drivers/gpib/include/linux/interrupt.h,
	  drivers/gpib/ines/ines_init.c, drivers/gpib/pc2/pc2_init.c,
	  drivers/gpib/tnt4882/tnt4882_init.c: Replaced use of deprecated
	  SA_SHIRQ flag with IRQF_SHARED.

2007-10-14 21:45  fmhess

	* [r1468] drivers/gpib/sys/osinit.c: Fixed compile error against
	  2.6.23.1 kernel.

2007-09-06 03:34  fmhess

	* [r1467] lib/ibWait.c: Bug fix from Mark Hounschell
	  <markh@compro.net>:
	  
	  If the END bit is set in ibsta or ThreadIbsta() and then ibwait
	  is called,
	  the END bit is lost.

2007-04-19 15:26  fmhess

	* [r1466] configure.ac, doc/Makefile.am, drivers/Makefile.am,
	  language/php/Makefile.am, language/tcl/Makefile.am: Fixed
	  warnings from automake 1.10

2007-04-19 15:14  fmhess

	* [r1465] drivers/Makefile.am: Added explanatory comment

2007-04-19 14:51  fmhess

	* [r1464] drivers/Makefile.am: Ignore errors when invoking kernel
	  makefile
	  in all-local. This avoids fatal errors during
	  make install when building on an NFS filesystem
	  with root_squash turned on.

2007-04-13 19:43  fmhess

	* [r1463] drivers/gpib/ines/ines_init.c: Fixed compile warning.

2007-04-10 00:36  fmhess

	* [r1462] drivers/Makefile.am: change mknod option from --mode to
	  -m for busybox
	  (suggested by Kevin Anderson <kehander@yahoo.com>)

2007-04-05 14:53  fmhess

	* [r1461] drivers/gpib/hp_82335/hp82335.h,
	  drivers/gpib/hp_82335/hp82335_init.c: Don't attempt to reserve
	  hp82335 adapter ROM.

2007-04-04 19:49  fmhess

	* [r1460] drivers/gpib/hp_82335/hp82335_init.c: Return more
	  meaningful error values on errors
	  when configuring hp82335.

2007-03-26 00:55  fmhess

	* [r1458] configure.ac, lib/ibConfYacc.y: Removed double
	  declaration of T_DCL token.

2007-03-26 00:34  fmhess

	* [r1457] ChangeLog, drivers/gpib/cb7210/cb7210_cs.c,
	  drivers/gpib/ines/ines_cs.c, drivers/gpib/tnt4882/tnt4882_cs.c:
	  Fixed some compile warnings against a 2.6.20 kernel.

2007-03-26 00:27  fmhess

	* [r1456] drivers/gpib/agilent_82357a/agilent_82357a.c,
	  drivers/gpib/ni_usb/ni_usb_gpib.c: Fixed compilation warnings due
	  to dropping of
	  struct pt_regs * parameter from usb functions
	  in 2.6.19 kernel.

2007-03-25 23:35  fmhess

	* [r1455] ChangeLog, drivers/gpib/agilent_82350b/agilent_82350b.h,
	  drivers/gpib/agilent_82350b/agilent_82350b_interrupt.c,
	  drivers/gpib/cb7210/cb7210.h, drivers/gpib/cb7210/interrupt.c,
	  drivers/gpib/cec/cec.h, drivers/gpib/cec/interrupt.c,
	  drivers/gpib/hp_82335/hp82335.h,
	  drivers/gpib/hp_82335/hp82335_init.c,
	  drivers/gpib/hp_82341/hp_82341.h,
	  drivers/gpib/hp_82341/hp_82341_init.c,
	  drivers/gpib/include/gpibP.h, drivers/gpib/include/gpib_types.h,
	  drivers/gpib/include/linux/interrupt.h, drivers/gpib/ines/ines.h,
	  drivers/gpib/ines/ines_cs.c, drivers/gpib/ines/interrupt.c,
	  drivers/gpib/pc2/interrupt.c, drivers/gpib/pc2/pc2.h,
	  drivers/gpib/sys/osutil.c, drivers/gpib/tnt4882/interrupt.c,
	  drivers/gpib/tnt4882/tnt4882.h,
	  drivers/gpib/tnt4882/tnt4882_read.c,
	  drivers/gpib/tnt4882/tnt4882_write.c: Deal with dropping of
	  struct pt_regs * parameter
	  on interrupt handlers in 2.6.19 kernel.

2007-03-25 23:06  fmhess

	* [r1454] drivers/gpib/include/linux/interrupt.h: Added kernel
	  compatibility header from comedi, to
	  deal with change to interrupt handler prototype
	  in kernel api.

2007-03-25 22:43  fmhess

	* [r1453] ChangeLog, configure.ac: Prepare for 3.2.09 release.

2007-02-24 02:44  fmhess

	* [r1452] language/php/TESTS/test1: Removed binary file that
	  shouldn't have been added in the
	  first place.

2007-01-16 03:21  fmhess

	* [r1451] AUTHORS: Added Gudjon

2007-01-11 01:35  fmhess

	* [r1450] drivers/gpib/cb7210/cb7210_cs.c,
	  drivers/gpib/ines/ines_cs.c: Patch from "Gudjon I. Gudjonsson"
	  <gudjon@mc2.chalmers.se>:
	  
	  Removed obsolete pcmcia calls: pcmcia_release_configuration(),
	  pcmcia_release_io(), and pcmcia_release_irq().

2007-01-11 01:33  fmhess

	* [r1449] drivers/gpib/agilent_82357a/agilent_82357a.c: Patch from
	  "Gudjon I. Gudjonsson" <gudjon@mc2.chalmers.se>:
	  
	  Got rid of mixed code and declarations, since gcc doesn't
	  support C99 by default.

2007-01-11 01:32  fmhess

	* [r1448] drivers/gpib/sys/osinit.c: Patch from "Gudjon I.
	  Gudjonsson" <gudjon@mc2.chalmers.se>:
	  
	  file_operations struct no longer has readv and writev
	  members.

2007-01-11 01:30  fmhess

	* [r1447] drivers/gpib/cb7210/cb7210.h: Patch from "Gudjon I.
	  Gudjonsson" <gudjon@mc2.chalmers.se>:
	  
	  Removed obsolete include of linux/config.h

2007-01-04 02:02  fmhess

	* [r1446] drivers/gpib/cb7210/cb7210_cs.c,
	  drivers/gpib/ines/ines_cs.c: Ported to 2.6.17 kernel pcmcia api,
	  by
	  "Gudjon I. Gudjonsson" <gudjon@mc2.chalmers.se>

2007-01-03 02:20  fmhess

	* [r1445] drivers/gpib/tnt4882/tnt4882_cs.c: Ported to 2.6.17
	  kernel pcmcia api, by
	  "Gudjon I. Gudjonsson" <gudjon@mc2.chalmers.se>

2006-12-12 01:37  fmhess

	* [r1444] doc/linux-gpib.sgml: Fix kernel driver type for quancom
	  boards.

2006-12-07 03:13  fmhess

	* [r1443] language/php/Makefile.am: Added -DCOMPILE_DL=1 to
	  CPPFLAGS, from
	  "Gudjon I. Gudjonsson" <gudjon@mc2.chalmers.se>

2006-12-02 02:46  fmhess

	* [r1442] drivers/gpib/agilent_82350b/agilent_82350b_interrupt.c,
	  drivers/gpib/hp_82341/hp_82341_read.c,
	  drivers/gpib/hp_82341/hp_82341_write.c,
	  drivers/gpib/ines/ines_read.c, drivers/gpib/ines/ines_write.c,
	  drivers/gpib/ines/interrupt.c: More sparc 64 compile fixes.

2006-12-01 03:21  fmhess

	* [r1441] drivers/gpib/agilent_82350b/agilent_82350b_read.c,
	  drivers/gpib/agilent_82350b/agilent_82350b_write.c,
	  drivers/gpib/include/linux/delay.h: More fixes for sparc64
	  compilation.

2006-11-28 00:47  fmhess

	* [r1440] drivers/gpib/agilent_82350b/agilent_82350b_read.c: Added
	  missing include of <linux/wait.h> which causes compilation
	  failure on sparc 64.

2006-11-20 21:12  fmhess

	* [r1439] drivers/gpib/sys/osinit.c: Got rid of UTS_RELEASE usage,
	  since it causes
	  compile problems across kernel versions
	  that aren't worth fixing.

2006-11-16 02:44  fmhess

	* [r1438] drivers/gpib/cec/cec.h, drivers/gpib/ines/ines.h,
	  drivers/gpib/sys/ibinit.c, drivers/gpib/sys/ibsys.h: Removed
	  obsolete includes of linux/config.h

2006-11-13 01:03  fmhess

	* [r1437] drivers/gpib/agilent_82357a/agilent_82357a.c: 82357B
	  doesn't become system controller unless you send the
	  9914 auxilliary command.

2006-11-12 23:17  fmhess

	* [r1436] usb/agilent_82357a/agilent_82357a: Agilent 82357B needs
	  the "-t fx2" command line option
	  for fxload.

2006-11-12 22:55  fmhess

	* [r1435] doc/linux-gpib.sgml,
	  drivers/gpib/agilent_82357a/agilent_82357a.c,
	  drivers/gpib/agilent_82357a/agilent_82357a.h,
	  usb/agilent_82357a/agilent_82357a,
	  usb/agilent_82357a/agilent_82357a.usermap: Added support for
	  Agilent 82357B.

2006-10-26 18:11  fmhess

	* [r1434] README: Updated copyright dates.

2006-08-30 18:21  fmhess

	* [r1433] drivers/gpib/agilent_82357a/agilent_82357a.c,
	  drivers/gpib/ni_usb/ni_usb_gpib.c: Added some missing & before
	  function names
	  passed as function pointers. gcc doesn't care, but we might
	  as well be correct.

2006-08-30 18:13  fmhess

	* [r1432] drivers/gpib/tnt4882/tnt4882_init.c: Fixed warning about
	  mixed declarations and code.

2006-08-23 19:55  fmhess

	* [r1430] lib/Makefile.am: Added ibConfLex.h to libgpib_la_SOURCES

2006-08-23 19:52  fmhess

	* [r1429] lib/Makefile.am: Fixed capitalization error in
	  ibConfLex.h target.

2006-08-23 19:29  fmhess

	* [r1426] ChangeLog: Added 3.2.08 changes.

2006-08-23 19:04  fmhess

	* [r1425] Makefile.am, drivers/Makefile.am: Clean up some garbage
	  from distribution tarball.

2006-08-23 18:05  fmhess

	* [r1424] Makefile.am: Clean up svn files from distribution
	  tarball.

2006-08-23 17:53  fmhess

	* [r1423] lib/ibConfYacc.y: Fixed reporting of parse errors, due to
	  the fact that
	  yyparse returns 1, not a negative value on
	  error.

2006-08-23 17:45  fmhess

	* [r1422] lib/ibConfYacc.y: Fixed infinite loop on parse error.

2006-08-23 17:34  fmhess

	* [r1421] lib/ibConfLex.l, lib/ibConfYacc.y, lib/ib_internal.h:
	  Made flex generated analyzer reentrant.

2006-08-23 15:06  fmhess

	* [r1420] doc/Makefile.am: Only update gpib_version_txt if VERSION
	  has
	  actually changed, to prevent rebuild of documentation
	  every time configure is run.

2006-08-23 14:50  fmhess

	* [r1419] lib/ib.h: Fixed bogus compile warning.

2006-08-23 14:45  fmhess

	* [r1418] configure.ac: Bumped versions for next release (3.2.08).

2006-08-23 14:44  fmhess

	* [r1417] doc/Makefile.am: gpib_version_txt really depends on the
	  Makefile,
	  not configure.ac.

2006-08-23 14:17  fmhess

	* [r1416] drivers/Makefile.am, drivers/gpib/Makefile: Fixed
	  compilation problems due to moving directories around.
	  Use kbuild to install/clean module subdirectories.

2006-08-23 13:16  fmhess

	* [r1415] lib/Makefile.am, lib/ibConfLex.l, lib/ibConfYacc.y,
	  lib/ib_internal.h: Fixed flex/bison compile problems.

2006-08-23 02:59  fmhess

	* [r1414] Makefile.am, configure.ac, drivers/Makefile.am,
	  drivers/agilent_82350b, drivers/agilent_82357a, drivers/cb7210,
	  drivers/cec, drivers/eastwood, drivers/gpib/agilent_82350b,
	  drivers/gpib/agilent_82357a, drivers/gpib/cb7210,
	  drivers/gpib/cec, drivers/gpib/eastwood, drivers/gpib/hp_82335,
	  drivers/gpib/hp_82341, drivers/gpib/include, drivers/gpib/ines,
	  drivers/gpib/nec7210, drivers/gpib/ni_usb, drivers/gpib/pc2,
	  drivers/gpib/sys, drivers/gpib/tms9914, drivers/gpib/tnt4882,
	  drivers/gpib/tnt4882-tms, drivers/hp82335, drivers/hp_82341,
	  drivers/include, drivers/ines, drivers/nec7210, drivers/ni_usb,
	  drivers/pc2, drivers/sys, drivers/tms9914, drivers/tnt4882,
	  drivers/tnt4882-tms, include/Makefile.am, lib/Makefile.am,
	  lib/ibConfLex.l, lib/ibConfYacc.y, lib/ib_internal.h: Moved
	  driver subdirectories into drivers/gpib. Doesn't
	  currently compile (will fix tomorrow).

2006-08-23 02:06  fmhess

	* [r1413] driver, drivers, drivers/gpib: renamed driver
	  subdirectory to drivers, to be more like
	  kernel directory structure.

2006-08-21 21:14  fmhess

	* [r1412] lib/Makefile.am: Got rid of bogus plus sign between yacc
	  targets.

2006-08-04 13:03  fmhess

	* [r1411] driver/ni_usb/ni_usb_gpib.c: Print out serial number for
	  gpib-hs instead of dumping a raw
	  block.

2006-08-04 12:55  fmhess

	* [r1410] driver/sys/ibinit.c, driver/sys/osfuncs.c: Fixed problem
	  with gpib_config failing to take an unconfigured board
	  offline.

2006-07-31 14:54  fmhess

	* [r1409] lib/gpib_config/gpib_config.c: Fix possible kernel crash
	  when gpib_config attempts to take a board
	  offline after minor numbers for online boards have been
	  rearranged in gpib.conf

2006-07-23 18:40  fmhess

	* [r1408] doc/linux-gpib.sgml: Fixed broken link to ibsta that was
	  supposed to be to iberr.

2006-07-23 18:39  fmhess

	* [r1407] lib/ibWrt.c: Return EARG errors instead of EDVR (and
	  failing to set ibcnt) when
	  a device descriptor is passed to SendDataBytes(), Send(), or
	  SendList().

2006-07-19 17:09  fmhess

	* [r1406] configure.ac, driver/Makefile.am: Fixed (mostly)
	  compilation against 2.6.17. It compiles with a small
	  patch to the kernel's scripts/Makefile.modpost

2006-07-19 15:00  fmhess

	* [r1405] driver/tnt4882/mite.c, driver/tnt4882/mite.h,
	  driver/tnt4882/tnt4882_init.c: Fixed problems with improper
	  deallocation of io resources after
	  attempting to configure a single pci-gpib board on multiple
	  device
	  files.

2006-07-11 01:22  fmhess

	* [r1404] driver/agilent_82350b/agilent_82350b_read.c,
	  driver/hp_82341/hp_82341_read.c, driver/ines/ines_read.c,
	  driver/sys/device.c: More int/size_t fixes for 64 bit arches.

2006-07-11 01:00  fmhess

	* [r1403] driver/include/gpib_types.h: Made return value of
	  gpib_interface_t.read and write an int.

2006-07-10 11:58  fmhess

	* [r1402] driver/sys/ibread.c: Fixed another int/size_t problem
	  that shows up on 64 bit systems
	  (from Michael Ritzert" <michael@ritzert.de>).

2006-07-10 00:05  fmhess

	* [r1401] driver/sys/osfuncs.c: Fixed type of nbytes variable
	  passed to ibrd(), which is probably
	  causing problems on 64 bit systems.

2006-07-09 14:15  fmhess

	* [r1400] lib/ibRd.c: Fixed compile error.

2006-07-06 18:19  fmhess

	* [r1399] driver/ni_usb/ni_usb_gpib.c: Added some comments
	  indicating where the read of the serial number
	  happens for the usb-hs.

2006-07-03 15:55  fmhess

	* [r1398] driver/ni_usb/ni_usb_gpib.c: Fixed number of bytes
	  reported sent when write partially completes
	  (due to timeout for example).

2006-07-03 15:44  fmhess

	* [r1397] driver/ni_usb/ni_usb_gpib.c: Updated comment to reflect
	  that I actually checked that the
	  1000 second timeout works.

2006-07-03 14:54  fmhess

	* [r1396] driver/ni_usb/ni_usb_gpib.c: Increase os timeout, since
	  adapter's timeout has much looser tolerances
	  than I imagined.

2006-07-03 13:55  fmhess

	* [r1395] driver/sys/osfuncs.c: Fixed little error suppression hack
	  on reads.

2006-06-30 21:39  fmhess

	* [r1394] driver/ni_usb/ni_usb_gpib.c: Fixed kernel panic due to
	  kernel timers not getting cleaned up
	  after a read/write is interrupted by a signal.

2006-06-30 21:06  fmhess

	* [r1393] lib/async.c, lib/ibRd.c: fixed a few error codes, and set
	  ibcnt properly when the addressing
	  fails in ibrd().

2006-06-25 18:12  fmhess

	* [r1392] driver/tnt4882/tnt4882_cs.c: Removed useless free_ports
	  code.

2006-06-25 17:35  fmhess

	* [r1391] driver/tms9914/util.c: Compile fixes.

2006-06-25 16:38  fmhess

	* [r1390] driver/include/gpib_state_machines.h,
	  driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/nec7210/util.c, driver/tms9914/interrupt.c,
	  driver/tms9914/util.c: Try to properly distinguish between
	  various talker and listener
	  function states (from 488.1 standard) when setting LACS and TACS.

2006-06-18 22:51  fmhess

	* [r1389] driver/eastwood/eastwood_gpib.c: Fixed compile error
	  caused by last reversion.

2006-06-18 22:46  fmhess

	* [r1388] driver/eastwood/eastwood_gpib.c,
	  driver/eastwood/eastwood_gpib.h: Reverted attempt to work around
	  hardware bug (it doesn't work).

2006-06-18 22:44  fmhess

	* [r1387] driver/include/nec7210.h: added private void* to nec7210
	  struct.

2006-06-18 21:23  fmhess

	* [r1386] driver/eastwood/eastwood_gpib.c,
	  driver/eastwood/eastwood_gpib.h: Fixed eastwood_hybrid interface.
	  Added workaround for hardware bug
	  that occurs during dma reads.

2006-06-18 01:57  fmhess

	* [r1385] driver/eastwood/eastwood_gpib.c: Now we are sure (for
	  real this time) that we have dealt with races between
	  timeouts and END being detected on dma reads. Also added
	  eastwood_hybrid
	  board type, which uses dma for writes but not for reads.

2006-06-13 02:09  fmhess

	* [r1384] driver/eastwood/eastwood_gpib.c: Make absolutely sure END
	  status is in sync with transfer count
	  on dma reads.

2006-06-11 15:51  fmhess

	* [r1383] driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82357a/agilent_82357a.c,
	  driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/eastwood/eastwood_gpib.c, driver/hp82335/hp82335_init.c,
	  driver/hp_82341/hp_82341_init.c, driver/ines/ines_init.c,
	  driver/nec7210/init.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/pc2/pc2_init.c, driver/tms9914/init.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882/tnt4882_init.c: Patch
	  from Sam Bishop <sam@bishop.dhs.org>, <sbishop@micron.com>:
	  
	  I've attached a little patch that adds "__init" and "__exit"
	  annotations to
	  all of the module initialization and exit functions which were
	  missing them.

2006-06-05 22:59  fmhess

	* [r1382] driver/sys/osfuncs.c: suppress read errors when we have
	  received the END byte, not just
	  when we have received maximum number of bytes requested.

2006-06-05 00:29  fmhess

	* [r1381] ChangeLog: Added 3.2.07 changes.

2006-06-04 23:45  fmhess

	* [r1380] examples/ibtest.c: Made ibtest print bytes in hex when it
	  receives binary data from a read.

2006-06-04 23:11  fmhess

	* [r1379] driver/sys/osfuncs.c: Fix possibility of bogus errors if
	  a read or write is aborted
	  immediately after it completes.

2006-06-03 14:19  fmhess

	* [r1378] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h,
	  driver/tnt4882/ni-usb-b.txt: Fixed parsing of result from attempt
	  to read more than 3 registers
	  at once. Added printout of usb-b serial number at startup, thanks
	  to Sam Bishop <sam@bishop.dhs.org> figuring out what a previously
	  unknown block of bytes meant.

2006-06-01 14:39  fmhess

	* [r1377] configure.ac: bumped version

2006-05-31 01:16  fmhess

	* [r1376] driver/eastwood/eastwood_gpib.c: Removed instance of
	  initial_count I missed before when getting rid
	  of that variable.

2006-05-31 01:08  fmhess

	* [r1375] driver/nec7210/write.c: Made sure there is no ambiguity
	  on precedence of dereference
	  and increment operators when incrementing count of bytes written.

2006-05-31 00:40  fmhess

	* [r1374] driver/eastwood/eastwood_gpib.c,
	  driver/eastwood/eastwood_gpib.h: Added support for new AUX_NBAF
	  command and for reporting number
	  of data bytes successfully written on partially completed writes.

2006-05-30 03:21  fmhess

	* [r1373] lib/async.c, lib/ibWrt.c, lib/ib_internal.h: Made changes
	  to user space library to support reporting of number
	  of data bytes written on partially completed writes.

2006-05-30 01:52  fmhess

	* [r1372] driver/tms9914/write.c: Fixed return of number of bytes
	  written from pio_write()

2006-05-29 21:21  fmhess

	* [r1371] driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82350b/agilent_82350b_read.c,
	  driver/agilent_82350b/agilent_82350b_write.c,
	  driver/agilent_82357a/agilent_82357a.c, driver/cb7210/cb7210.h,
	  driver/cb7210/cb7210_init.c, driver/cb7210/cb7210_read.c,
	  driver/cb7210/cb7210_write.c, driver/cec/cec.h,
	  driver/cec/init.c, driver/hp82335/hp82335.h,
	  driver/hp82335/hp82335_init.c, driver/hp_82341/hp_82341.h,
	  driver/hp_82341/hp_82341_init.c, driver/hp_82341/hp_82341_read.c,
	  driver/hp_82341/hp_82341_write.c, driver/include/gpib_proto.h,
	  driver/include/gpib_types.h, driver/include/nec7210.h,
	  driver/include/tms9914.h, driver/ines/ines.h,
	  driver/ines/ines_init.c, driver/ines/ines_read.c,
	  driver/ines/ines_write.c, driver/nec7210/read.c,
	  driver/nec7210/write.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/pc2/pc2_init.c, driver/sys/ibread.c, driver/sys/ibwrite.c,
	  driver/sys/osfuncs.c, driver/tms9914/read.c,
	  driver/tms9914/write.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: Added support for proper
	  reporting of the number of bytes sent
	  on a write that only partially completes.

2006-05-29 21:21  fmhess

	* [r1370] driver/cb7210/cb7210_cs.c, driver/ines/ines_cs.c,
	  driver/tnt4882/tnt4882_cs.c: Fixed compile warning due to updates
	  for pcmcia on 2.6.16 kernels.

2006-05-23 02:05  fmhess

	* [r1369] driver/agilent_82357a/agilent_82357a.c,
	  driver/cb7210/cb7210_cs.c, driver/ines/ines_cs.c,
	  driver/ni_usb/ni_usb_gpib.c, driver/tnt4882/tnt4882_cs.c: 2.6.16
	  compile fixes for pcmcia and usb (untested)

2006-05-22 02:14  fmhess

	* [r1368] language/guile/Makefile.am: library was supposed to be
	  libgpib-guile, now libgpib_guile

2006-05-22 00:32  fmhess

	* [r1367] driver/cb7210/cb7210_cs.c, driver/ines/ines.h,
	  driver/ines/ines_cs.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_cs.c: 2.6.13 and later kernels require
	  pcmcia drivers to reserve their own
	  io regions.

2006-05-08 01:06  fmhess

	* [r1366] driver/ines/ines_cs.c, driver/tnt4882/tnt4882_cs.c: Fixes
	  for pcmciautils with kernels 2.6.13 through 2.6.15

2006-05-08 00:59  fmhess

	* [r1365] driver/cb7210/cb7210_cs.c: Fixes for use with pcmciautils
	  and kernels 2.6.13-2.6.15

2006-05-07 22:46  fmhess

	* [r1364] driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c: Work
	  around broken cb7210 return to local behavior with undocumented
	  auxilliary command.

2006-05-07 22:43  fmhess

	* [r1363] driver/eastwood, driver/eastwood/Makefile,
	  driver/eastwood/eastwood_gpib.c, driver/eastwood/eastwood_gpib.h:
	  Added code for Fluke 8845/6 device to repository.

2006-05-07 22:41  fmhess

	* [r1362] driver/nec7210/interrupt.c: Made
	  nec7210_interrupt_have_status() return IRQ_HANDLED or
	  IRQ_NONE as appropriate.

2006-04-30 00:32  fmhess

	* [r1361] driver/nec7210/interrupt.c: err undo last change since it
	  was wrong.

2006-04-30 00:30  fmhess

	* [r1360] driver/nec7210/interrupt.c: Always update status in
	  nec7210 interrupt handler, so we can
	  detect if ATN has changed reliably.

2006-04-29 22:51  fmhess

	* [r1359] examples/ibtest.c: Added ability to do device clear.

2006-04-29 18:44  fmhess

	* [r1358] lib/ibLoc.c: Allow board-level ibloc to execute without
	  holding board mutex.

2006-04-29 18:41  fmhess

	* [r1357] examples/ibtest.c: Added support for calling ibloc().

2006-04-24 01:29  fmhess

	* [r1356] examples/ibtest.c: Added printout of some missing status
	  bits. Added SPOLL to instructions
	  for ibwait() prompt.

2006-04-24 00:58  fmhess

	* [r1355] lib/ibask.c: Made ibask always say SPOLL bit is enabled.

2006-04-24 00:52  fmhess

	* [r1354] driver/include/nec7210.h,
	  driver/include/nec7210_registers.h, driver/nec7210/util.c,
	  lib/ibWait.c, lib/ibconfig.c: Added some initial support for
	  SPOLL status bit.

2006-04-24 00:51  fmhess

	* [r1353] driver/include/gpib_user.h: Removed unused DRIVERBITS

2006-04-22 19:13  fmhess

	* [r1352] driver/sys/ibinit.c: Disable autospoll thread on
	  nios2nommu

2006-04-22 16:45  fmhess

	* [r1351] configure.ac: Don't run python tests if python binding is
	  disabled.

2006-04-22 01:07  fmhess

	* [r1350] lib/ibRd.c: Set iberr to EABO on read timeout.

2006-04-13 23:24  fmhess

	* [r1349] examples/ibtest.c: Added ability to change eot
	  configuration.

2006-04-13 23:18  fmhess

	* [r1348] driver/sys/osfuncs.c: Check return values from all
	  copy_to_user()/copy_from_user() calls.

2006-04-13 22:32  fmhess

	* [r1347] driver/include/gpibP.h: include gpib_user.h as
	  gpib/gpib_user.h

2006-04-13 22:28  fmhess

	* [r1346] driver/tms9914/Makefile, driver/tms9914/aux.c,
	  driver/tms9914/tms9914_aux.c: Renamed aux.c to tms9914_aux.c for
	  the sake of cygwin.

2006-04-13 22:27  fmhess

	* [r1345] driver/nec7210/Makefile, driver/nec7210/aux.c,
	  driver/nec7210/nec7210_aux.c: renamed aux.c to nec7210_aux.c for
	  the sake of cygwin (windows doesn't
	  like files called aux).

2006-04-12 23:02  fmhess

	* [r1344] driver/tnt4882/tnt4882_write.c: don't write wait after an
	  error has already occurred.

2006-04-12 16:31  fmhess

	* [r1343] examples/ibtest.c: Fix acceptance of default value for
	  asserting ATN.

2006-04-12 15:54  fmhess

	* [r1342] examples/ibtest.c: Fixed unintentional fall-through from
	  take control to set timeout.

2006-04-12 15:43  fmhess

	* [r1341] examples/ibtest.c: Added support for changing state of
	  ATN

2006-04-12 00:01  fmhess

	* [r1340] driver/ni_usb/ni_usb_gpib.c: Attempted to fix problems
	  with timeout TNONE (untested).

2006-04-11 23:34  fmhess

	* [r1339] driver/agilent_82357a/agilent_82357a.c: Fix bogus
	  timeouts when timeout is set to TNONE.

2006-04-11 17:48  fmhess

	* [r1338] driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82357a/agilent_82357a.c,
	  driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/hp82335/hp82335_init.c, driver/hp_82341/hp_82341_init.c,
	  driver/ines/ines_init.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/pc2/pc2_init.c, driver/tnt4882/tnt4882_init.c: Replaced
	  &__this_module with THIS_MODULE to support compilation into
	  kernel.

2006-04-10 22:25  fmhess

	* [r1337] examples/ibtest.c: Added prompt for max number of bytes
	  to read.

2006-03-25 18:52  fmhess

	* [r1336] driver/nec7210/interrupt.c: disabled obsolete isa-dma
	  stuff in nec7210 interrupt handler

2006-03-21 01:40  fmhess

	* [r1335] driver/hp_82341/hp_82341_init.c: Fixed compile warning
	  about C90 compilance.

2006-03-21 01:39  fmhess

	* [r1334] driver/sys/osfuncs.c: Added missing include of
	  linux/vmalloc.h

2006-03-21 01:39  fmhess

	* [r1333] lib/ibRd.c: Fixed compile warning.

2006-03-21 01:37  fmhess

	* [r1332] test/libgpib_test.c: Removed some unused variables.

2006-03-21 01:37  fmhess

	* [r1331] configure.ac: Ignore CFLAGS and LDFLAGS from environment
	  when compiling
	  test kernel module.

2006-02-27 23:00  fmhess

	* [r1330] driver/include/linux/usb.h, driver/ni_usb/ni_usb_gpib.c:
	  Fixed endian problem on big-endian machines when checking product
	  id
	  on 2.6.11 and newer kernels.

2006-02-27 22:59  fmhess

	* [r1329] driver/ines/ines_cs.c: Don't force pulsed irq (not
	  absolutely sure this is correct, but
	  pulsed irq definitely fails on powerpc).

2006-02-25 22:01  fmhess

	* [r1328] usb/agilent_82357a/agilent_82357a,
	  usb/ni_usb_gpib/ni_usb_gpib: Made sure "which" is in the PATH in
	  the usb hotplug scripts.

2006-02-20 21:53  fmhess

	* [r1327] driver/ines/ines_cs.c: Fixed initialization of
	  link->conf.ConfigIndex, which might be
	  0x30 or 0x31 depending on the board revision. Fixed compile
	  warning
	  on request_irq call, by adding ines_pcmcia_interrupt() wrapper.

2006-02-20 14:38  fmhess

	* [r1326] driver/ines/ines_cis_dump.txt: Added cis dump for
	  revision 1.0 ines board

2006-01-24 15:13  fmhess

	* [r1325] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c:
	  Added device id for ni pci-express gpib board.

2006-01-15 20:38  fmhess

	* [r1324] driver/sys/osinit.c: Fixed compilation against 2.6.15
	  kernels by using
	  CLASS_DEVICE_CREATE wrapper.

2006-01-15 20:36  fmhess

	* [r1323] driver/include/linux/device.h: Copied compatibility
	  header linux/device.h from comedi, for
	  CLASS_DEVICE_CREATE macro.

2006-01-15 20:10  fmhess

	* [r1322] driver/include/linux/pci_ids.h: Added defines for vendor
	  ids removed from vanilla kernel in 2.6.14

2006-01-15 19:44  fmhess

	* [r1321] README.hp82335: Fixed address dc00 which should be dc000

2005-10-31 01:05  fmhess

	* [r1319] ChangeLog: Added 3.2.06 changes

2005-10-31 00:50  fmhess

	* [r1318] driver/cb7210/interrupt.c: Quancom irq status bit can't
	  be relied on to determine whether
	  interrupt handler should execute.

2005-10-31 00:47  fmhess

	* [r1317] doc/linux-gpib.sgml: Added cb7210 based Quancom board to
	  supported hardware table

2005-10-31 00:47  fmhess

	* [r1316] configure.ac: bumped version

2005-10-30 21:01  fmhess

	* [r1315] driver/ni_usb/ni_usb_gpib.c: Fix reporting of lockout
	  state

2005-10-30 20:36  fmhess

	* [r1314] driver/include/Makefile.am: Added quancom_pci.h to
	  EXTRA_DIST

2005-10-30 20:35  fmhess

	* [r1313] driver/include/quancom_pci.h: Added header for quancom
	  pci registers

2005-10-30 20:33  fmhess

	* [r1312] driver/include/linux/pci_ids.h: added pci_ids.h
	  compatibility header

2005-10-30 03:23  fmhess

	* [r1311] driver/include/tnt4882_registers.h,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c: Fix
	  parallel poll in tnt4882 one-chip mode.

2005-10-30 03:22  fmhess

	* [r1310] test/libgpib_test.c: remove useless ibcac

2005-10-29 21:43  fmhess

	* [r1309] lib/ibCmd.c: Protocol book says order of send_setup
	  should be slightly different.
	  Shouldnt' make any noticeable difference.

2005-10-29 21:28  fmhess

	* [r1308] driver/ines/interrupt.c: We really can't rely on quancom
	  irq status bit

2005-10-25 01:00  fmhess

	* [r1307] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cb7210/cb7210_read.c,
	  driver/cb7210/cb7210_write.c, driver/cb7210/interrupt.c,
	  driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/ines_read.c, driver/ines/interrupt.c: Add support for
	  quancom boards with cb7210 chip.

2005-10-25 00:55  fmhess

	* [r1306] test/README, test/runtest: pass runtest options to
	  libgpib_test

2005-10-23 21:44  fmhess

	* [r1305] doc/linux-gpib.sgml: Documented Iba7BitEOS extension to
	  ibask()

2005-10-18 01:59  fmhess

	* [r1304] driver/agilent_82357a/agilent_82357a.c: make sure we
	  abort interrupted writes

2005-10-17 12:08  fmhess

	* [r1303] driver/agilent_82357a/agilent_82357a.c: Make sure we
	  abort transfer on interrupted read.

2005-10-17 03:13  fmhess

	* [r1302] driver/agilent_82357a/agilent_82357a.c: Fix crashes in
	  error handling, which would occur for example when
	  interrupting a read with a signal.

2005-10-17 00:58  fmhess

	* [r1301] driver/ines/ines_init.c, driver/ines/ines_read.c,
	  driver/ines/ines_write.c: Avoid use of INES_AUX_CLR_IN_FIFO and
	  INES_AUX_CLR_OUT_FIFO as they
	  seem to be buggy. Bad behaviour where first byte written would
	  have EOI asserted when acting as device has been fixed by this
	  change.

2005-10-17 00:56  fmhess

	* [r1300] examples/ibtest.c: show results of timed out reads

2005-10-16 23:41  fmhess

	* [r1299] driver/agilent_82357a/agilent_82357a.c: fix reporting of
	  timeout error on reads

2005-10-16 23:41  fmhess

	* [r1298] driver/sys/ibread.c: make sure we don't lock up kernel
	  stuck in ibread loop

2005-10-16 21:56  fmhess

	* [r1297] driver/include/Makefile.am, driver/include/nec7210.h,
	  driver/include/nec7210_registers.h: split nec7210_registers.h out
	  of nec7210.h as suggested by
	  roucaries bastien <roucaries.bastien@gmail.com>

2005-10-16 21:51  fmhess

	* [r1296] driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82357a/agilent_82357a.c, driver/cb7210/cb7210.h,
	  driver/cb7210/cb7210_init.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c,
	  driver/hp_82341/hp_82341.h, driver/hp_82341/hp_82341_init.c,
	  driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/include/nec7210.h,
	  driver/include/tms9914.h, driver/ines/ines.h,
	  driver/ines/ines_init.c, driver/nec7210/util.c,
	  driver/ni_usb/ni_usb_gpib.c, driver/pc2/pc2_init.c,
	  driver/sys/ibutil.c, driver/sys/osfuncs.c, driver/tms9914/util.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  lib/ibEos.c, lib/ibask.c, test/libgpib_test.c, test/runtest:
	  Added support for returning errors from
	  gpib_interface_t::enable_eos
	  for the case of the Agilent 82357a which can't do 7 bit eos
	  compares. Added support for querying support of 7 bit compares
	  through
	  ibask() (option = Iba7BitEOS). This breaks binary compatibility
	  between the lib and kernel, since the board_info_ioctl_t has
	  gotten
	  a new member.

2005-10-16 17:29  fmhess

	* [r1295] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h, driver/nec7210/util.c:
	  Fixed problems in agilent_82357a driver where more important
	  operations could fail
	  due to the board being busy in update_status or line_status. Made
	  everything block on mutex except update_status and line_status
	  (which
	  are likely to be called hopelessly when an async io operation is
	  in
	  progress). update_status and line_status try nonblocking lock of
	  mutex
	  and return immeditately on error.

2005-10-10 20:45  fmhess

	* [r1294] driver/sys/ibread.c, driver/sys/ibwrite.c,
	  test/Makefile.am, test/README, test/libgpib_test.c, test/runtest:
	  Changed libgpib_test to synchronize through stdin/stdout. Fixed
	  bogus test failure in lockout test. Removed some debug spam to
	  kernel logs.

2005-10-10 20:30  fmhess

	* [r1293] driver/ines/ines_read.c, driver/ines/interrupt.c: Fixed
	  race where race in interrupt handler setting RECEIVED_END_BN bit
	  would cause ines_accel_read() to time out.

2005-10-10 15:01  fmhess

	* [r1292] AUTHORS, TODO, driver/include/gpib_types.h,
	  driver/sys/osfuncs.c, lib/ibOnl.c: don't require board mutex to
	  be locked for opening/closing device
	  descriptors.

2005-10-06 22:48  fmhess

	* [r1291] language/tcl/ibCmds.c: Fix for "gpib rsv" from "John
	  Bradshaw" <jbradsha@nortel.com>

2005-09-21 13:24  fmhess

	* [r1290] INSTALL: Added a line about udev permissions.

2005-09-20 02:32  fmhess

	* [r1289] driver/cb7210/cb7210_cs.c, driver/ines/ines_cs.c,
	  driver/tnt4882/tnt4882_cs.c: Deal with event callback being moved
	  into pcmcia_driver struct
	  in 2.6.13

2005-09-20 02:06  fmhess

	* [r1288] driver/include/linux/device.h, driver/sys/osinit.c: Cope
	  with class_simple getting dropped from kernel 2.6.13

2005-09-20 01:15  fmhess

	* [r1287] driver/cb7210/cb7210_cs.c, driver/ines/ines_cs.c,
	  driver/tnt4882/tnt4882_cs.c: Fixed some compile warnings in
	  pcmcia drivers against kernel 2.6.13.2

2005-09-15 23:46  fmhess

	* [r1286] driver/cb7210/cb7210_cs.c, driver/ines/ines_cs.c,
	  driver/tnt4882/tnt4882_cs.c: Get rid of
	  pcmcia_get_card_services_info(), which has been
	  dropped from kernel 2.6.13

2005-09-14 23:15  fmhess

	* [r1285] lib/ibask.c: fixed compile warning

2005-09-11 22:39  fmhess

	* [r1284] test/libgpib_test.c: re-enabled lockout test, since it
	  could be made to fail harmlessly

2005-09-11 22:14  fmhess

	* [r1283] test/libgpib_test.c: Fixes for remote and lockout test,
	  and disabled test of lockout
	  since drivers don't report that correctly yet.

2005-09-11 21:50  fmhess

	* [r1282] examples/ibtest.c: Added REM and LOK states to status
	  printout.

2005-09-11 01:07  fmhess

	* [r1281] doc/linux-gpib.sgml: Added mention of NOADDR for
	  termination Addr4882_t arrays. Added
	  mention of how to clear lockout state.

2005-09-11 01:06  fmhess

	* [r1280] test/libgpib_test.c: Added a remote and lockout test.

2005-09-07 01:34  fmhess

	* [r1279] driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_init.c,
	  driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c,
	  driver/cb7210/cb7210_read.c, driver/cb7210/cb7210_write.c,
	  driver/cb7210/interrupt.c, driver/cec/init.c,
	  driver/hp82335/hp82335_init.c, driver/hp_82341/hp_82341_init.c,
	  driver/include/gpibP.h, driver/include/gpib_types.h,
	  driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/interrupt.c, driver/nec7210/init.c,
	  driver/pc2/pc2_init.c, driver/sys/osfuncs.c, driver/sys/osutil.c,
	  driver/tms9914/init.c, driver/tnt4882/mite.c,
	  driver/tnt4882/mite.h, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_write.c:
	  Fixed compile warnings against Linux 2.6.12.1.

2005-09-06 20:10  fmhess

	* [r1278] driver/agilent_82357a/agilent_82357a.c,
	  driver/ines/ines_read.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/sys/osinit.c, lib/ibRd.c: Fixed some compile warnings that
	  showed up on amd64 withh gcc 3.4
	  (Fedora core 3).

2005-09-06 18:24  fmhess

	* [r1277] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  Fixed read failures which occurred after REOS eosmode was turned
	  on then
	  off.

2005-09-06 15:29  fmhess

	* [r1276] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  Fix timeout code for 1 millisec timeout setting. Fixed parallel
	  poll
	  timeout problem. Fixed parse error when getting a readback from a
	  gpib read operation which has no data blocks. Fixed monitoring
	  of status changes though interrupt urb. Fixed crash on unplug,
	  apparently
	  due to my addition of ni_usb_shutdown_hardware() to disconnect.

2005-09-06 15:24  fmhess

	* [r1275] test/libgpib_test.c: Fix parallel poll test, and make it
	  a little more thorough.

2005-09-05 14:07  fmhess

	* [r1274] driver/ni_usb/ni_usb_gpib.c: Fixed writing of AUX_7210 to
	  AUXMR in ni_usb_init(). Undid change
	  of "value" field when altering status bits to monitor, until
	  further
	  evidence is seen. Added graceful shutdown of hardware when module
	  is unloaded or board is taken offline.

2005-09-05 02:01  fmhess

	* [r1273] test/libgpib_test.c: Added a little information to some
	  error messages.

2005-09-05 02:00  fmhess

	* [r1272] lib/ibWait.c: Tweak brokenness on waiting for async CMPL
	  (it still ain't right).

2005-09-05 01:59  fmhess

	* [r1271] lib/ibWait.c: Fix reporting of ERR status bit when async
	  operation ends in error.

2005-09-05 01:58  fmhess

	* [r1270] lib/async.c: set ibcntl for async operations when there
	  is an error, since it might
	  be useful for EDVR errors.

2005-09-05 01:56  fmhess

	* [r1269] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  Fixed some problems with iblines causing other operations to fail
	  with EAGAIN errors. Use a value of 0x100 when turning off
	  monitoring
	  of status changes, since windows driver seems to do that. Added
	  polling of gpib-usb-hs so we are sure it is ready before we try
	  to
	  initialize it. Added a usb_reset_configuration() in attach
	  (doesn't
	  actually seem to help noticeably).

2005-09-04 21:36  fmhess

	* [r1268] doc/linux-gpib.sgml: Added NI gpib-usb-hs to supported
	  hardware matrix.

2005-09-03 23:57  fmhess

	* [r1267] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  Added support for ni-usb-hs.

2005-09-03 23:51  fmhess

	* [r1266] driver/sys/ibinit.c: Return meaningful error code when
	  attach fails.

2005-09-03 23:49  fmhess

	* [r1265] lib/gpib_config/gpib_config.c: Added more error messages.

2005-09-03 23:48  fmhess

	* [r1264] usb/agilent_82357a/agilent_82357a.usermap,
	  usb/ni_usb_gpib/ni_usb_gpib, usb/ni_usb_gpib/ni_usb_gpib.usermap:
	  Remove commented-out post firmware entries to usb usermaps, since
	  they are not needed. Added section for running gpib_config with
	  ni-usb-hs

2005-08-15 23:26  fmhess

	* [r1263] AUTHORS: added "Bernhard Heibler"
	  <bernhard_heibler@gmx.de> to AUTHORS

2005-08-15 23:20  fmhess

	* [r1262] driver/agilent_82350b/agilent_82350b_init.c,
	  driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/hp_82341/hp_82341_init.c, driver/ines/ines_init.c,
	  driver/tnt4882/tnt4882_init.c: Remove __devinitdata from pci
	  device id tables, due to possible
	  badness. It also fixes a section conflict caused by the mixture
	  of
	  __devinitdata and const.

2005-08-08 02:59  fmhess

	* [r1261] driver/cb7210/interrupt.c, lib/gpib_config/gpib_config.c,
	  lib/ibWait.c: Patch from Bernhard Heibler
	  <bernhard_heibler@gmx.de>:
	  
	  I have created a patch for linux-gpib-3.2.05 that addresses
	  serveral issues:
	  
	  - gpib_config doesn't work. Kernel out of memory error in IBOL
	  because
	  of uninitialized argument online_cmd.init_data_length
	  - cb7210 interrupt handling. In a shared interrupt environment
	  cb7210
	  didn't check if the interrupts belongs to himself
	  - Compilation problem with gcc 3.3.3 in ibWait.c resolved

2005-06-13 22:55  fmhess

	* [r1259] ChangeLog: 3.2.05 changes

2005-06-13 22:55  fmhess

	* [r1258] configure.ac: version bump

2005-06-13 22:51  fmhess

	* [r1257] driver/ines/ines.h: compile fix from Robert Jordens

2005-06-12 22:31  fmhess

	* [r1256] driver/tnt4882/ni-usb-b-initialiation-log.txt,
	  driver/tnt4882/ni-usb-startup-log.txt: remove some usb sniff logs

2005-06-12 22:00  fmhess

	* [r1254] ChangeLog: added 3.2.04 changes

2005-06-12 22:00  fmhess

	* [r1253] configure.ac: bump version for 3.2.04 release

2005-06-12 21:37  fmhess

	* [r1252] driver/hp_82341/hp_82341_init.c: tweak clear_xilinx so it
	  works the first time after boot

2005-06-12 14:01  fmhess

	* [r1251] driver/hp_82341/hp_82341_read.c: try to avoid spurious 1
	  byte reads when using 82341 fifo

2005-06-12 13:59  fmhess

	* [r1250] doc/linux-gpib.sgml: made some additions to the
	  board-specific notes

2005-06-08 01:47  fmhess

	* [r1249] driver/hp_82341/hp_82341.h,
	  driver/hp_82341/hp_82341_init.c, driver/hp_82341/hp_82341c_fw.h,
	  driver/hp_82341/hp_82341d_fw.h: load firmware through gpib_config
	  now

2005-06-05 19:27  fmhess

	* [r1248] doc/linux-gpib.sgml: add description of -I, --init-data
	  option for gpib_config

2005-06-05 19:20  fmhess

	* [r1247] driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82357a/agilent_82357a.c,
	  driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cec/init.c, driver/hp82335/hp82335_init.c,
	  driver/hp_82341/hp_82341_init.c, driver/include/gpib_ioctl.h,
	  driver/include/gpib_proto.h, driver/include/gpib_types.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/ni_usb/ni_usb_gpib.c, driver/pc2/pc2_init.c,
	  driver/sys/ibinit.c, driver/sys/osfuncs.c,
	  driver/tnt4882/tnt4882_init.c, lib/gpib_config/gpib_config.c: add
	  infrastructure for loading firmware through gpib_config

2005-06-03 21:21  fmhess

	* [r1246] doc/linux-gpib.sgml: added hp 82341 C and D to supported
	  hardware matrix

2005-06-02 22:14  fmhess

	* [r1245] driver/hp_82341/hp_82341_init.c: fix clearing of firmware
	  for 82341C

2005-06-02 22:02  fmhess

	* [r1244] driver/include/Makefile.am: add linux compatibility
	  headers to distribution tarball

2005-05-30 23:21  fmhess

	* [r1243] driver/hp_82341/hp_82341_write.c: removed some debugging
	  messages

2005-05-30 22:51  fmhess

	* [r1242] driver/hp_82341/hp_82341_read.c,
	  driver/hp_82341/hp_82341_write.c: add files that contain support
	  for read/writes using fifo

2005-05-30 22:35  fmhess

	* [r1241] TODO, driver/agilent_82350b/agilent_82350b_read.c,
	  driver/agilent_82350b/agilent_82350b_write.c,
	  driver/hp_82341/Makefile, driver/hp_82341/hp_82341.c,
	  driver/hp_82341/hp_82341.h, driver/hp_82341/hp_82341_init.c:
	  fifos on hp 82341D work now

2005-05-30 18:25  fmhess

	* [r1240] driver/agilent_82350b/agilent_82350b_read.c: fix holdoffs
	  on accel reads

2005-05-30 15:42  fmhess

	* [r1239] driver/agilent_82350b/agilent_82350b_read.c,
	  driver/hp_82341/hp_82341.c, driver/hp_82341/hp_82341.h,
	  driver/include/tms9914.h, driver/sys/ibinit.c,
	  driver/tms9914/aux.c, driver/tms9914/init.c,
	  driver/tms9914/interrupt.c, driver/tms9914/read.c,
	  driver/tms9914/util.c: fixes for data holdoff, parallel polling,
	  and serial polling with
	  ti 9914

2005-05-29 21:33  fmhess

	* [r1238] driver/agilent_82350b/agilent_82350b_read.c,
	  driver/include/tms9914.h, driver/tms9914/aux.c,
	  driver/tms9914/interrupt.c, driver/tms9914/read.c: rework tms9914
	  rfd holdoff scheme

2005-05-28 19:36  fmhess

	* [r1237] driver/agilent_82357a/agilent_82357a.c,
	  driver/ni_usb/ni_usb_gpib.c: deal with change of meaning for
	  timeout argument to usb_control_msg()

2005-05-28 19:36  fmhess

	* [r1236] driver/agilent_82350b/agilent_82350b_init.c: remove dead
	  code

2005-05-28 19:35  fmhess

	* [r1235] driver/include/linux/delay.h,
	  driver/include/linux/time.h, driver/include/linux/usb.h: added
	  compatibility definitions for USB_BULK_MSG(), USB_CONTROL_MSG(),
	  jiffies_to_msecs(), msecs_to_jiffies(), and
	  msleep_interruptible()

2005-05-28 18:06  fmhess

	* [r1234] driver/hp_82341/hp_82341.c, driver/hp_82341/hp_82341.h,
	  driver/hp_82341/hp_82341c_fw.h, driver/hp_82341/hp_82341d_fw.h:
	  hp 82341d should work now (but haven't tested this particular
	  driver
	  version yet)

2005-05-27 00:54  fmhess

	* [r1233] language/python/Gpib.py, language/python/gpibinter.c:
	  python binding for ibtmo from Sandro shannemann@gmail.com

2005-05-18 00:58  fmhess

	* [r1232] driver/hp_82341/hp_82341.h: add buffer control register
	  that I left out

2005-05-15 23:41  fmhess

	* [r1231] driver/hp_82341/hp_82341.c: temporarily use timer to work
	  around interrupts not working

2005-05-14 18:13  fmhess

	* [r1230] doc/linux-gpib.sgml: added hameg boards to supported
	  hardware table

2005-05-13 00:30  fmhess

	* [r1229] driver/hp_82341/hp_82341.c: trying to get interrupts
	  working

2005-05-11 12:48  fmhess

	* [r1228] driver/hp_82341/hp_82341.c: oops, was still using
	  writeb/readb when I should have been using
	  outb/inb

2005-05-10 01:39  fmhess

	* [r1227] driver/hp_82341/hp_82341.c: call pnp_device_detach() in
	  detach, and add module device table
	  for isapnp board

2005-05-10 00:42  fmhess

	* [r1226] configure.ac: version bump

2005-05-10 00:34  fmhess

	* [r1225] driver/hp_82341/hp_82341.c, driver/hp_82341/hp_82341.h:
	  driver ready for initial testing

2005-05-09 01:58  fmhess

	* [r1224] driver/Makefile.am, driver/hp_82341,
	  driver/hp_82341/Makefile, driver/hp_82341/hp_82341.c,
	  driver/hp_82341/hp_82341.h: beginnings of hp 82341 driver

2005-05-09 01:58  fmhess

	* [r1223] driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c:
	  don't request shared irq, and make iobase long for 64 bit arches

2005-04-13 02:48  fmhess

	* [r1222] driver/include/plx9050.h: add missing zero to new bit
	  definitions

2005-04-13 02:22  fmhess

	* [r1221] driver/include/plx9050.h: add some plx9052 bits

2005-04-10 23:30  fmhess

	* [r1220] doc/linux-gpib.sgml: add some ines isa boards, and
	  deprecate some *_accel board types

2005-04-10 23:29  fmhess

	* [r1219] driver/agilent_82350b/agilent_82350b_init.c,
	  driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/include/gpibP.h, driver/ines/ines_init.c,
	  driver/sys/osinit.c: replace some pci_find_*() functions with
	  pci_get_*()

2005-03-28 13:32  fmhess

	* [r1218] driver/ines/ines_init.c: don't change interrupt polarity
	  for quancom boards (based on bug
	  reports from Simon Zeller <zellers@phys.ethz.ch>

2005-03-25 22:08  fmhess

	* [r1217] driver/ines/interrupt.c: disable check of quancom status
	  register, i'm guessing this is
	  needed to fix reported problems, but not sure. It shouldn't cause
	  harm in any case.

2005-03-17 04:21  fmhess

	* [r1216] driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c: add support for Ines igpib ISA boards

2005-03-11 22:52  fmhess

	* [r1215] AUTHORS: add Chris Lang for some bugfixes

2005-03-11 22:50  fmhess

	* [r1214] lib/ibRd.c: patch from chrislang144 at
	  users.sourceforge.net:
	  
	  After calling fwrite in ibrdf the result is compared to
	  retval from read_data. However read_data does not
	  deliver the number of read bytes
	  as it returns. Comparing aginst
	  bytes_read fixes the problem.

2005-03-11 22:46  fmhess

	* [r1213] examples/slave_write_from_file.c: patch from chrislang144
	  at users.sourceforge.net:
	  
	  Fixes a typo in slave_write_from file test tool.
	  "LACS"->"TACS"

2005-03-11 22:42  fmhess

	* [r1212] lib/ibTmo.c: patch from <christopher dot lang at plus dot
	  cablesurf dot de>:
	  
	  fixed bug in ppoll_timeout_to_usec (used usec_to_timeout
	  instead of timeout_to_usec.

2005-03-11 01:16  fmhess

	* [r1211] doc/greg_goebel_hpib_tutorial.html: add Greg Goebel's
	  hpib tutorial (xhtml 1.0 valid)

2005-03-01 02:26  fmhess

	* [r1209] test/README: document -M, --minor option of test program

2005-03-01 02:23  fmhess

	* [r1208] ChangeLog: add 3.2.03 changes

2005-03-01 02:23  fmhess

	* [r1207] doc/linux-gpib.sgml: added board-specific notes for
	  agilent 82350b

2005-03-01 02:11  fmhess

	* [r1206] configure.ac: version bump

2005-03-01 02:09  fmhess

	* [r1205] doc/Makefile.am: fix problem with docs getting rebuilt
	  over and over that happened
	  sometimes.

2005-02-22 02:12  fmhess

	* [r1204] driver/agilent_82350b/agilent_82350b_interrupt.c,
	  driver/agilent_82350b/agilent_82350b_read.c,
	  driver/agilent_82350b/agilent_82350b_write.c: fix some corner
	  cases where first byte could have been lost due
	  to handling of holdoffs, and removed debug messages

2005-02-22 02:10  fmhess

	* [r1203] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  better error handling

2005-02-22 02:10  fmhess

	* [r1202] driver/include/tms9914.h, driver/tms9914/read.c: fix a
	  problem with possibly losing first byte when we try to release
	  holdoff

2005-02-22 02:08  fmhess

	* [r1201] driver/sys/osfuncs.c: remove some debugging messages

2005-02-21 21:09  fmhess

	* [r1200] driver/include/gpib_types.h, driver/sys/osfuncs.c,
	  driver/sys/osinit.c: fix corner cases in keeping track of
	  module use count

2005-02-21 15:51  fmhess

	* [r1199] driver/ni_usb/ni_usb_gpib.c: fix integer overflow in
	  timeout calculation for ni_usb

2005-02-21 01:49  fmhess

	* [r1198] driver/agilent_82350b/agilent_82350b_init.c: white space

2005-02-21 01:06  fmhess

	* [r1197] driver/tms9914/read.c: fix possibility of losing first
	  byte of first message (after first
	  board configuration, and maybe after a read timeout), due to
	  release
	  holdoff command.

2005-02-14 02:58  fmhess

	* [r1196] driver/agilent_82350b/agilent_82350b_init.c: fix
	  read_transfer_counter to handle zero correctly

2005-02-13 20:06  fmhess

	* [r1195] lib/gpib_version_script: export symbol for ibcntl
	  variable

2005-02-13 18:48  fmhess

	* [r1194] driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82350b/agilent_82350b_read.c,
	  driver/agilent_82350b/agilent_82350b_write.c: fifo reads work now

2005-02-13 15:05  fmhess

	* [r1193] driver/agilent_82350b/agilent_82350b_read.c: fix compile
	  errors

2005-02-13 14:42  fmhess

	* [r1192] driver/agilent_82350b/agilent_82350b_read.c,
	  driver/agilent_82350b/agilent_82350b_write.c: first pass at
	  supporting fifo for reads

2005-02-09 23:46  fmhess

	* [r1191] driver/agilent_82350b/agilent_82350b_write.c: make sure
	  we clear DEV_CLEAR bit at beginning of write

2005-02-09 19:52  fmhess

	* [r1190] driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82350b/agilent_82350b_write.c: fifo is actually
	  4k, and got rid of stub for accellerated command
	  bytes since the board doesn't seem to support it.

2005-02-09 17:04  fmhess

	* [r1189] driver/agilent_82350b/agilent_82350b_write.c: interrupt
	  fifo writes on device clear or timeout

2005-02-07 03:45  fmhess

	* [r1188] driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82350b/agilent_82350b_write.c: got fifo writes to
	  work (no timeout support yet though)

2005-02-07 02:37  fmhess

	* [r1187] driver/sys/ibutil.c: check return valid of iblines

2005-02-07 02:34  fmhess

	* [r1186] driver/ni_usb/ni_usb_gpib.c: get rid of usb_bulk_msg()
	  calls in ni_usb_line_status(), replace
	  with ni_usb_send_bulk_msg()/ni_usb_receive_bulk_msg(). This
	  avoids
	  bugs in usb_bulk_msg(), and fixes possible interruptions of other
	  bulk transfers that are already in progress.

2005-02-07 02:05  fmhess

	* [r1185] driver/ni_usb/ni_usb_gpib.c: fix clearing of SRQI | ATN |
	  CIC | REM | LACS | TACS status bits

2005-02-06 23:52  fmhess

	* [r1184] driver/ni_usb/ni_usb_gpib.c: fix segfault when
	  ni_usb_line_status() is called after unplugging
	  board

2005-02-06 23:00  fmhess

	* [r1183] driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_interrupt.c,
	  driver/agilent_82350b/agilent_82350b_write.c: fixes for write
	  with fifo

2005-02-06 20:35  fmhess

	* [r1182] driver/agilent_82350b/Makefile,
	  driver/agilent_82350b/agilent_82350b.c,
	  driver/agilent_82350b/agilent_82350b.h,
	  driver/agilent_82350b/agilent_82350b_init.c,
	  driver/agilent_82350b/agilent_82350b_interrupt.c,
	  driver/agilent_82350b/agilent_82350b_read.c,
	  driver/agilent_82350b/agilent_82350b_write.c: beginnings of
	  support for fifo

2005-02-03 23:35  fmhess

	* [r1181] doc/linux-gpib.sgml: mention relationship between RQS and
	  automatic serial polling in
	  ibsta description

2005-01-24 00:13  fmhess

	* [r1180] driver/agilent_82350b/agilent_82350b.c,
	  driver/agilent_82357a/agilent_82357a.c,
	  driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/ines/ines_init.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/tnt4882/mite.c, driver/tnt4882/tnt4882_init.c: added
	  module device tables for pci and isapnp boards

2005-01-20 18:46  fmhess

	* [r1179] configure.ac: version bump

2005-01-20 18:45  fmhess

	* [r1178] doc/Makefile.am: don't attempt to build documentation if
	  docbook-utils wasn't found

2005-01-20 18:29  fmhess

	* [r1177] doc/linux-gpib.sgml: add missing end tags

2005-01-17 18:02  fmhess

	* [r1176] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h,
	  driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h: fix
	  timeouts in usb drivers (urb->timeout has been removed from the
	  kernel)

2005-01-04 16:44  fmhess

	* [r1174] README: filename is COPYING not COPYRIGHTS

2005-01-02 02:01  fmhess

	* [r1173] AUTHORS: added robert jordens

2004-12-30 03:24  fmhess

	* [r1171] doc/Makefile.am: change man target to man/*, and don't
	  need to touch directories anymore

2004-12-30 02:08  fmhess

	* [r1170] Makefile.am: clean up .depend files from distibution
	  tarball

2004-12-30 01:50  fmhess

	* [r1169] configure.ac: version bump

2004-12-30 01:49  fmhess

	* [r1168] ChangeLog: changes for 3.2.02

2004-12-29 01:51  fmhess

	* [r1167] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  use low-level usb functions for bulk urbs, so they can be killed

2004-12-29 01:33  fmhess

	* [r1166] doc/linux-gpib.sgml: added agilent 82350b to supported
	  hardware list, added board-specific
	  notes section with notes on 82357a limitations

2004-12-29 01:32  fmhess

	* [r1165] doc/Makefile.am: change doc_html target to doc_html/*

2004-12-29 01:16  fmhess

	* [r1164] driver/sys/osinit.c: add support for udev

2004-12-27 17:14  fmhess

	* [r1163] INSTALL: add not about where hotplug error messages show
	  up (not in dmesg)

2004-12-24 21:16  fmhess

	* [r1162] driver/Makefile.am, language/python/setup.py,
	  usb/agilent_82357a/Makefile.am, usb/ni_usb_gpib/Makefile.am:
	  reversed some of Robert Jordan's packaging changes that cause
	  problems
	  with "normal" compilation/installation

2004-12-24 20:40  fmhess

	* [r1161] configure.ac, doc/Makefile.am, driver/Makefile.am,
	  driver/include/Makefile.am, language/Makefile.am,
	  language/python/Makefile.am, language/python/gpibinter.c,
	  language/python/setup.py, lib/Makefile.am,
	  usb/agilent_82357a/Makefile.am, usb/ni_usb_gpib/Makefile.am:
	  Various patches from Robert Jordens <robertjo@phys.ethz.ch> he
	  created
	  while packaging linux-gpib for Debian.

2004-12-24 20:00  fmhess

	* [r1160] driver/agilent_82357a/agilent_82357a.c: don't allow two
	  bulk transfers at once

2004-12-23 01:28  fmhess

	* [r1159] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: properly unlink urbs in
	  disconnect, got rid of unnecessary bulk_completion
	  mutex in private structure.

2004-12-22 03:20  fmhess

	* [r1158] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: use lower level usb
	  functions, so we will be able to kill urbs in progress.
	  Hangs seem to be fixed for the moment (reason not entirely clear,
	  last
	  change was removing usb_reset_configuration() call in attach).

2004-12-20 02:57  fmhess

	* [r1157] driver/agilent_82357a/agilent_82357a.c: put the hardware
	  into an idle state and turn off ready led on detach

2004-12-20 02:36  fmhess

	* [r1155] driver/agilent_82350b/agilent_82350b.c,
	  driver/agilent_82357a/agilent_82357a.c,
	  driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cec/init.c, driver/hp82335/hp82335_init.c,
	  driver/include/gpibP.h, driver/include/gpib_types.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/ni_usb/ni_usb_gpib.c, driver/pc2/pc2_init.c,
	  driver/sys/ibinit.c, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  driver/tnt4882/tnt4882_cs.c, driver/tnt4882/tnt4882_init.c: moved
	  provider_module out of gpib_interface_t and into gpib_board_t,
	  to avoid chicken-and-egg problem when calling try_module_get().
	  
	  agilent_82357a: Added setting/clearing of NOT_PARALLEL_POLL bit
	  in parallel poll function. Added a usb_reset_configuration()
	  call in attach. Fixed initialization of hw_control_bits. Fixed
	  use of private struct after it has been freed.

2004-12-19 23:19  fmhess

	* [r1154] driver/ni_usb/ni_usb_gpib.c: fix some places where
	  ni_private_t may be accessed when it is unallocated

2004-12-19 20:15  fmhess

	* [r1153] driver/agilent_82357a/agilent_82357a.c: fix error
	  handling in attach, and don't bother killing urb that
	  failed being submitted

2004-12-19 18:08  fmhess

	* [r1152] driver/agilent_82357a/agilent_82357a.c: only print
	  warning about secondary address if they are actually
	  trying to enable its use

2004-12-12 00:07  fmhess

	* [r1151] driver/agilent_82357a/agilent_82357a.c,
	  driver/include/tms9914.h: improve initialization of agilent
	  82357a, in particular set its primary
	  address correctly when it is not 0

2004-12-11 23:58  fmhess

	* [r1150] INSTALL: add some notes about using kernel-headers
	  packages

2004-12-10 02:18  fmhess

	* [r1149] driver/agilent_82357a/agilent_82357a.c: make sure
	  actual_data_length is initialized properly in usb bulk send /
	  receive wrappers

2004-12-09 12:05  fmhess

	* [r1148] driver/tnt4882/tnt4882_init.c: make sure we delay after
	  writes to cmdr

2004-12-09 02:44  fmhess

	* [r1147] driver/include/tnt4882_registers.h,
	  driver/ni_usb/ni_usb_gpib.c, driver/tnt4882/tnt4882_init.c: No,
	  ni-usb isn't flipping polarity of SC bit, but I had SETSC and
	  CLRSC
	  backwards (the tnt5002 manual is wrong). I don't know why this
	  change seemed to fix my nec7210 atgpib board a few weeks ago, but
	  the
	  nec7210 based board is working fine now with CLRSC=2 and SETSC=3
	  (and
	  it displays the same problem with not being able to set the REN
	  line
	  if you use SETSC=2 and CLRSC=2)..

2004-12-09 02:42  fmhess

	* [r1146] driver/nec7210/aux.c: make sure we aren't asserting IFC
	  or REN when we release system control

2004-12-09 02:24  fmhess

	* [r1145] INSTALL: tell fakers to run 'make modules' too

2004-12-09 02:22  fmhess

	* [r1144] driver/agilent_82357a/agilent_82357a.c,
	  driver/ni_usb/ni_usb_gpib.c: fix possibility of segfault on
	  detach, and fix polarity of system
	  controller bit for ni-usb

2004-12-08 23:58  fmhess

	* [r1143] doc/linux-gpib.sgml: correct description of IbaSRE

2004-12-08 23:23  fmhess

	* [r1142] driver/agilent_82350b/agilent_82350b.c: set t1 delay the
	  tms9914 way too, not sure if it matters though

2004-12-08 02:10  fmhess

	* [r1141] driver/tnt4882/tnt4882_read.c: remove bogus error message
	  that sometimes happens when using
	  chips in one-chip mode

2004-12-07 01:12  fmhess

	* [r1140] driver/agilent_82350b/agilent_82350b.c: round up t1
	  delay. Initialize board's t1 delay.

2004-12-05 19:45  fmhess

	* [r1139] driver/Makefile.am,
	  driver/agilent_82350b/agilent_82350b.c,
	  driver/agilent_82350b/agilent_82350b.h, driver/pc2/pc2_init.c:
	  agilent 82350b driver now compiles, and looks like it should work
	  (untested)

2004-12-03 02:56  fmhess

	* [r1138] util/linux_flags/Makefile: don't keep appending forever
	  to flags file

2004-12-03 02:45  fmhess

	* [r1137] util/linux_flags/Makefile: fix sed problem properly
	  instead of just making it less likely

2004-12-03 02:20  fmhess

	* [r1136] util/linux_flags/Makefile: use more obscure character
	  than underscore for sed 's' command delimiter

2004-11-28 01:20  fmhess

	* [r1135] driver/agilent_82350b/agilent_82350b.c,
	  driver/agilent_82350b/agilent_82350b.h: a few more rough
	  approximations of what the code should do

2004-11-27 21:50  fmhess

	* [r1134] driver/agilent_82350b/agilent_82350b.h: removed some
	  definitions we won't be needing

2004-11-27 21:50  fmhess

	* [r1133] driver/hp82335/hp82335.h: removed unused variable

2004-11-26 22:02  fmhess

	* [r1132] driver/agilent_82350b, driver/agilent_82350b/Makefile,
	  driver/agilent_82350b/agilent_82350b.c,
	  driver/agilent_82350b/agilent_82350b.h: Start of 82350b driver.
	  Essentially just a copy of the hp82335 driver
	  at this point.

2004-11-26 22:00  fmhess

	* [r1131] driver/hp82335/hp82335.h: fixed comment

2004-11-26 00:48  fmhess

	* [r1130] lib/ibSdbg.c: removed useless file

2004-11-25 00:59  fmhess

	* [r1129] Makefile.am: clean up .mod.c files from driver
	  directories for tarballs

2004-11-25 00:33  fmhess

	* [r1128] configure.ac: version bump

2004-11-22 00:43  fmhess

	* [r1127] lib/ibBoard.c: made error message on failure to open
	  device file slightly more verbose

2004-11-22 00:40  fmhess

	* [r1126] usb/agilent_82357a/agilent_82357a.usermap,
	  usb/ni_usb_gpib/ni_usb_gpib.usermap: comment out post-firmware
	  ids from usermaps, since it seems to cause
	  hotplug script to run twice

2004-11-22 00:39  fmhess

	* [r1125] driver/agilent_82357a/agilent_82357a.c: removed some more
	  debug messages, and added a power-up reset during
	  attach

2004-11-22 00:17  fmhess

	* [r1124] examples/ibtest.c: added ability to send command bytes

2004-11-22 00:17  fmhess

	* [r1123] doc/linux-gpib.sgml: added 82357a to supported hardware
	  list

2004-11-21 22:50  fmhess

	* [r1122] driver/agilent_82357a/agilent_82357a.c: turned off some
	  debug output

2004-11-21 13:55  fmhess

	* [r1121] driver/agilent_82357a/agilent_82357a.c: implement
	  primary_address() and update_status()

2004-11-21 00:04  fmhess

	* [r1120] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: implemented adjustable t1
	  delay

2004-11-20 23:55  fmhess

	* [r1119] driver/include/gpib_proto.h, driver/sys/ostimer.c: made
	  usec_to_jiffies an inline function

2004-11-20 23:54  fmhess

	* [r1118] driver/tms9914/util.c: removed unused variable

2004-11-20 23:54  fmhess

	* [r1117] driver/include/tms9914.h, driver/tms9914/init.c: rename
	  AUX_CR command to AUX_CHIP_RESET to avoid confusion with
	  AUXCR register

2004-11-20 23:50  fmhess

	* [r1116] driver/ni_usb/ni_usb_gpib.c: fix memory leak

2004-11-20 17:10  fmhess

	* [r1115] driver/agilent_82357a/agilent_82357a.c: handle read/write
	  timeouts

2004-11-16 00:37  fmhess

	* [r1114] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: added an abort function

2004-11-14 22:50  fmhess

	* [r1113] driver/agilent_82357a/agilent_82357a.c: implement
	  parallel poll. It's really slow, but it should work (untested).

2004-11-14 20:03  fmhess

	* [r1112] driver/tms9914/util.c: fix parallel polls for tms9914
	  (untested)

2004-11-14 20:02  fmhess

	* [r1111] driver/nec7210/util.c: make sure we don't read parallel
	  poll result prematurely

2004-11-13 23:20  fmhess

	* [r1110] driver/agilent_82357a/agilent_82357a.c: fixed a typo in a
	  debug message

2004-11-13 20:29  fmhess

	* [r1109] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: fixes for reads

2004-11-12 01:10  fmhess

	* [r1108] driver/tms9914/aux.c: fixed bogus setting of CIC status
	  bit when asserting remote enable

2004-11-12 01:09  fmhess

	* [r1107] driver/include/tms9914.h: fixed typo in comment

2004-11-12 01:08  fmhess

	* [r1106] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: writes and commands work
	  now, among other things (but not reads)

2004-11-11 14:57  fmhess

	* [r1105] driver/include/tnt4882_registers.h: Fix CMDR commands for
	  set/clear system controller bits with old turbo488

2004-11-11 01:45  fmhess

	* [r1104] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: some bogosity so I can
	  test operation during development

2004-11-08 03:05  fmhess

	* [r1103] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: fix board_type name

2004-11-08 02:58  fmhess

	* [r1102] usb/agilent_82357a/Makefile.am,
	  usb/agilent_82357a/agilent_82357a, usb/ni_usb_gpib/ni_usb_gpib,
	  usb/ni_usb_gpib/ni_usb_gpib.usermap: fix install and operation of
	  agilent 82357 hotplug script

2004-11-08 01:43  fmhess

	* [r1101] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: added some more
	  declarations for firmware registers, and a little
	  initialization

2004-11-07 02:03  fmhess

	* [r1100] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: more implementation of
	  writes

2004-11-07 01:59  fmhess

	* [r1099] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  defined a new constant, ni_usb_control_request

2004-11-06 22:38  fmhess

	* [r1098] usb/ni_usb_gpib/ni_usb_gpib: added -t fx fxload option

2004-11-06 16:48  fmhess

	* [r1097] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: beginnings of support for
	  interrupt urbs

2004-11-06 15:25  fmhess

	* [r1096] driver/agilent_82357a/agilent_82357a.c: added
	  configuration of eos character/mode

2004-11-06 15:22  fmhess

	* [r1095] driver/ni_usb/ni_usb_gpib.h: endpoint addresses are only
	  4 bit

2004-11-04 02:07  fmhess

	* [r1094] driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: implemented request
	  system control function

2004-11-04 01:09  fmhess

	* [r1093] README: don't support kernels older than 2.6.8 due to
	  usb_kill_urb()

2004-10-31 22:52  fmhess

	* [r1092] driver/Makefile.am, driver/agilent_82357a,
	  driver/agilent_82357a/Makefile,
	  driver/agilent_82357a/agilent_82357a.c,
	  driver/agilent_82357a/agilent_82357a.h: beginnings of Agilent
	  82357A driver

2004-10-28 22:21  fmhess

	* [r1091] driver/tnt4882/tnt4882_cs.c: unaccelerated read/write
	  don't work anymore with tnt4882 in one-chip
	  mode.

2004-10-25 00:36  fmhess

	* [r1090] configure.ac, usb/Makefile.am, usb/agilent_82357a,
	  usb/agilent_82357a/Makefile.am,
	  usb/agilent_82357a/agilent_82357a,
	  usb/agilent_82357a/agilent_82357a.usermap: added new hotplug
	  scripts for agilent 82357a

2004-10-24 21:03  fmhess

	* [r1089] driver/ni_usb/ni_usb_gpib.c: don't overestimate how many
	  data bytes we read, either

2004-10-24 20:01  fmhess

	* [r1088] driver/ni_usb/ni_usb_gpib.c: fix bogus rejection of read
	  data due to incorrectly determining that
	  the read buffer is too small

2004-10-24 14:16  fmhess

	* [r1087] language/php/Makefile.am: use PHP_CONFIG variable from
	  configure instead of directly calling
	  php-config

2004-10-24 14:09  fmhess

	* [r1086] language/php/sample-php.ini: update module name to
	  gpib_php.so

2004-10-21 23:39  fmhess

	* [r1085] driver/Makefile.am: use : for chown

2004-10-21 23:09  fmhess

	* [r1083] AUTHORS: add Bryan Thomas

2004-10-21 23:08  fmhess

	* [r1082] Makefile.am: fix dist-hook

2004-10-21 11:06  fmhess

	* [r1081] ChangeLog: added mention of quancom fix

2004-10-21 02:00  fmhess

	* [r1080] ChangeLog: added 3.2.01 changes

2004-10-21 01:37  fmhess

	* [r1079] configure.ac: bump version

2004-10-21 01:37  fmhess

	* [r1078] INSTALL: added some usb instructions

2004-10-21 01:18  fmhess

	* [r1077] usb/ni_usb_gpib/ni_usb_gpib: add gpib_config call

2004-10-20 21:21  fmhess

	* [r1076] driver/ines/ines_init.c: fix interrupt polarity on
	  quancom boards

2004-10-18 00:55  fmhess

	* [r1075] driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c,
	  driver/cb7210/cb7210_read.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c,
	  driver/include/gpib_proto.h, driver/include/gpib_types.h,
	  driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/ines_read.c, driver/nec7210/read.c,
	  driver/nec7210/write.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/pc2/pc2_init.c, driver/sys/device.c, driver/sys/ibread.c,
	  driver/sys/osfuncs.c, driver/tms9914/read.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c, lib/async.c, lib/ibRd.c,
	  lib/ib_internal.h: add support for returning partial reads that
	  have been interrupted
	  (for example by timeouts) based on patch from Steve Holland.

2004-10-18 00:34  fmhess

	* [r1074] AUTHORS: added Steve Holland

2004-10-17 22:43  fmhess

	* [r1073] bootstrap: we have a real file called ChangeLog now

2004-10-17 14:01  fmhess

	* [r1072] driver/ni_usb/ni_usb_gpib.c: implemented setting of t1
	  delay

2004-10-17 13:59  fmhess

	* [r1071] lib/ibask.c: report bug if bogus t1 delay time is
	  returned

2004-10-17 01:35  fmhess

	* [r1070] driver/ni_usb/ni_usb_gpib.c: Still has random problems
	  when module is removed then reloaded, maybe
	  its a kernel bug. Got rid of debugging printks, etc.

2004-10-16 14:06  fmhess

	* [r1069] driver/ni_usb/ni_usb_gpib.c: Cleaned up some useless
	  usb_dev variables. More careful about locking
	  for hotplugging. Fixed problem with gpib_config only working the
	  first
	  time after plugging in adapter (untested).

2004-10-14 00:37  fmhess

	* [r1068] driver/ni_usb/ni_usb_gpib.c: fixed timeout codes for
	  read/write/commands

2004-10-12 02:18  fmhess

	* [r1067] driver/ni_usb/ni_usb_gpib.c: Replaced (not exported by
	  kernel) usb_get_intf() and usb_put_intf() with
	  usb_get_dev() and usb_put_dev(). Replaced usb_unlink_urb with
	  blocking
	  usb_kill_urb(). Fixed parse error in parse_board_ibrd_readback().

2004-10-12 00:16  fmhess

	* [r1066] usb/ni_usb_gpib/ni_usb_gpib: fix check for fxload
	  executable

2004-10-11 23:25  fmhess

	* [r1065] driver/sys/iblines.c: be more careful about error
	  handling in iblines()

2004-10-11 23:24  fmhess

	* [r1064] INSTALL: update reference to 2.4 kernel to 2.6

2004-10-11 23:21  fmhess

	* [r1063] driver/ni_usb/ni_usb_gpib.c: don't block in
	  ni_usb_line_status if bulk_transfer_lock is already held

2004-10-11 23:01  fmhess

	* [r1062] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  Added wrappers for usb_control_msg() and usb_bulk_msg() to deal
	  with
	  hotplug disconnect races.

2004-10-11 21:48  fmhess

	* [r1061] driver/ni_usb/ni_usb_gpib.c: fix some timeout issues, and
	  pass board pointer to usb interface struct
	  using usb_get/set_intfdata()

2004-10-11 15:55  fmhess

	* [r1060] Makefile.am, configure.ac, usb, usb/Makefile.am,
	  usb/ni_usb_gpib, usb/ni_usb_gpib/Makefile.am,
	  usb/ni_usb_gpib/ni_usb_gpib, usb/ni_usb_gpib/ni_usb_gpib.usermap:
	  added hotplug scripts for ni_usb_gpib

2004-10-10 23:53  fmhess

	* [r1059] README: tell people not to use kernels older than 2.6.6

2004-10-10 23:04  fmhess

	* [r1058] driver/ni_usb/ni_usb_gpib.c: add support for parallel
	  poll configuration

2004-10-04 00:54  fmhess

	* [r1057] test/libgpib_test.c: added --minor option

2004-10-04 00:44  fmhess

	* [r1056] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  interrupt transfers of ibsta are working

2004-10-03 15:05  fmhess

	* [r1055] driver/nec7210/interrupt.c: ignore device clear events
	  when controller in charge

2004-10-03 14:41  fmhess

	* [r1054] AUTHORS: more contributors

2004-10-02 13:48  fmhess

	* [r1053] doc/linux-gpib.sgml: describe effect of empty addressList
	  on DevClearList, and remove bogus
	  sentence.

2004-10-02 13:28  fmhess

	* [r1052] lib/ibClr.c: fix behaviour of DevClearList when passed an
	  empty or NULL addressList

2004-10-01 01:53  fmhess

	* [r1051] lib/ibConf.h: include pthread.h

2004-10-01 00:24  fmhess

	* [r1050] driver/tnt4882/tnt4882_cs.c: fixed some confusion of
	  CS_CHECK and CFG_CHECK macros when porting to
	  2.6 pcmcia interface

2004-08-22 21:42  fmhess

	* [r1049] etc/pcmcia/linux-gpib-pcmcia.conf: fix for ines module
	  name from Karl Schramm <kschramm@mail.arc.nasa.gov>

2004-08-06 07:07  fmhess

	* [r1048] driver/cb7210/cb7210_init.c: fix allocation of ioports
	  and uninitialized variables in attach
	  for meas computing isa boards.

2004-06-29 01:02  fmhess

	* [r1047] doc/linux-gpib.sgml: added some new boards to the
	  supported hardware list

2004-06-29 00:37  fmhess

	* [r1046] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c:
	  more pci device ids (from "uwe strempel" <u.strempel@web.de>)

2004-06-29 00:36  fmhess

	* [r1045] driver/tnt4882/ni-usb-b.txt: more gpib-usb-b notes

2004-06-27 17:58  fmhess

	* [r1044] lib/ibutil.c: fix bogus rejection of address 30 (from
	  bryan.thomas@trw.com)

2004-06-13 23:21  fmhess

	* [r1043] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  added ni_usb_write_registers() for writing to arbitrary sequence
	  of registers.
	  implemented parallel poll, serial poll response, return to local.
	  Fixed
	  initialization with respect to pad/sad and master.

2004-06-13 01:51  fmhess

	* [r1042] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  add support for reading line status, and setting eos char/mode

2004-06-11 22:55  fmhess

	* [r1041] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  reading and writing as bus master work now

2004-06-08 00:17  fmhess

	* [r1040] driver/ni_usb/ni_usb_gpib.c: added support for changing
	  remote enable line, and fixed counts
	  returned by read/write/command functions

2004-06-07 02:50  fmhess

	* [r1039] driver/ni_usb/ni_usb_gpib.c: fix update of ibsta

2004-06-07 01:44  fmhess

	* [r1038] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  added some initialization code

2004-06-07 01:44  fmhess

	* [r1037] driver/tnt4882/ni-usb-b.txt: more usb sniff notes

2004-06-06 23:44  fmhess

	* [r1036] driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  ni_usb driver approaching useability

2004-06-06 23:43  fmhess

	* [r1035] ChangeLog: 3.2.00 changes

2004-06-06 23:43  fmhess

	* [r1034] configure.ac: version bump

2004-06-06 23:42  fmhess

	* [r1033] AUTHORS: add Marco

2004-06-06 01:08  fmhess

	* [r1032] driver/Makefile.am, driver/include/Makefile.am,
	  driver/nec7210/util.c, driver/ni_usb/ni_usb_gpib.c,
	  driver/ni_usb/ni_usb_gpib.h: ni_usb compiles now

2004-06-06 01:07  fmhess

	* [r1031] driver/cb7210/cb7210_init.c: fix compile error

2004-06-05 16:06  fmhess

	* [r1030] driver/include/tnt4882_registers.h,
	  driver/tnt4882/tnt4882.h: split register definitions out of
	  tnt4882.h for use by ni_usb

2004-06-05 16:05  fmhess

	* [r1029] driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: fix inability to read/write after
	  receiving device clear (noted by
	  Erich Hoover <ehoover@dbmoptics.com>

2004-06-05 16:00  fmhess

	* [r1028] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cb7210/cb7210_read.c,
	  driver/cb7210/cb7210_write.c: fix for mc pci-gpib1m (courtesy
	  Marco Prevedelli <mrp@ms.fci.unibo.it>)

2004-06-01 12:08  fmhess

	* [r1027] driver/ni_usb, driver/ni_usb/Makefile,
	  driver/ni_usb/ni_usb_gpib.c, driver/ni_usb/ni_usb_gpib.h:
	  beginnings of usb-b driver

2004-05-30 00:12  fmhess

	* [r1026] driver/tnt4882/ni-usb-b.txt: more reverse engineering of
	  ni usb-b

2004-05-24 01:16  fmhess

	* [r1025] driver/tnt4882/ni-usb-b-initialiation-log.txt,
	  driver/tnt4882/ni-usb-b.txt,
	  driver/tnt4882/ni-usb-startup-log.txt: some logs and reverse
	  engineering of ni usb-b gpib adapter

2004-05-16 15:27  fmhess

	* [r1023] driver/sys/osinit.c: don't need MODULE_VERSION() after
	  all

2004-05-16 15:14  fmhess

	* [r1022] INSTALL: I think we can just 'make vmlinux' in kernel
	  source tree, to skip
	  'make modules' which takes forever.

2004-05-16 13:55  fmhess

	* [r1021] Makefile.am, doc/Makefile.am, driver/Makefile.am: update
	  dist-hooks to clean up some garbage that was making it into
	  distribution tarballs

2004-05-16 13:29  fmhess

	* [r1020] INSTALL: don't need 'make prepare' if we are telling
	  people to do the full
	  kernel build anyways

2004-05-16 00:20  fmhess

	* [r1019] configure.ac: version bump

2004-05-16 00:18  fmhess

	* [r1018] driver/sys/osinit.c: don't need MODULE_VERSION() after
	  all

2004-05-16 00:17  fmhess

	* [r1017] driver/Makefile.am: don't use kernels MODVERDIR after all

2004-05-16 00:16  fmhess

	* [r1016] INSTALL: add note on how to prevent kernel taint

2004-05-15 22:23  fmhess

	* [r1015] driver/sys/osfuncs.c: request modules by 'gpib0', etc
	  instead of char-major-... Make it
	  clear that the request module return message is not an error
	  message.

2004-05-15 22:22  fmhess

	* [r1014] driver/Makefile.am: override MODVERDIR to make modpost
	  work. Remove redundant listing
	  of tm9914 modules. Remove .ko module files during clean.

2004-05-15 22:20  fmhess

	* [r1013] INSTALL, README: update instructions for 2.6 kernels

2004-05-11 01:23  fmhess

	* [r1012] driver/sys/ibinit.c: need to explicitly make autospoll
	  process killable for 2.6

2004-05-11 01:19  fmhess

	* [r1011] driver/sys/osfuncs.c: fix reversal of module_get and
	  module_put that occurred during
	  port to 2.6

2004-05-10 02:20  fmhess

	* [r1010] driver/cb7210/Makefile, driver/cb7210/cb7210_cs.c,
	  driver/cec/Makefile, driver/hp82335/Makefile,
	  driver/ines/Makefile, driver/ines/ines_cs.c,
	  driver/nec7210/Makefile, driver/pc2/Makefile,
	  driver/sys/Makefile, driver/tms9914/Makefile,
	  driver/tnt4882-tms/Makefile, driver/tnt4882/Makefile,
	  driver/tnt4882/tnt4882_cs.c: port pcmcia support to 2.6 kernel,
	  and cleanup deprecated stuff from
	  Makefiles

2004-05-09 22:57  fmhess

	* [r1009] test/libgpib_test.c: removed some unused variables

2004-05-03 00:43  fmhess

	* [r1008] driver/Makefile.am: kernel modules now have .ko instead
	  of .o suffix

2004-05-03 00:37  fmhess

	* [r1007] INSTALL, configure.ac, driver/Makefile.am,
	  driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c,
	  driver/cb7210/interrupt.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/cec/interrupt.c, driver/hp82335/hp82335.h,
	  driver/hp82335/hp82335_init.c, driver/include/gpibP.h,
	  driver/include/gpib_types.h, driver/include/nec7210.h,
	  driver/include/tms9914.h, driver/ines/ines.h,
	  driver/ines/ines_init.c, driver/ines/ines_read.c,
	  driver/ines/interrupt.c, driver/nec7210/cmd.c,
	  driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/nec7210/write.c, driver/pc2/interrupt.c, driver/pc2/pc2.h,
	  driver/pc2/pc2_init.c, driver/sys/ibinit.c, driver/sys/osfuncs.c,
	  driver/sys/osinit.c, driver/sys/osutil.c,
	  driver/tms9914/interrupt.c, driver/tnt4882/interrupt.c,
	  driver/tnt4882/mite.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: port to 2.6 kernel

2004-05-02 21:12  fmhess

	* [r1006] configure.ac, driver/Makefile.am, driver/cb7210/Makefile,
	  driver/cec/Makefile, driver/hp82335/Makefile,
	  driver/ines/Makefile, driver/nec7210/Makefile,
	  driver/pc2/Makefile, driver/sys/Makefile,
	  driver/tms9914/Makefile, driver/tnt4882-tms/Makefile,
	  driver/tnt4882/Makefile, util/linux_flags/Makefile: changes to
	  build system for 2.6 kernels

2004-04-22 02:21  fmhess

	* [r1005] configure.ac: version bump

2004-04-22 02:18  fmhess

	* [r1003] configure.ac: version bump

2004-04-22 02:10  fmhess

	* [r1002] ChangeLog: 3.1.101 changes

2004-04-20 01:51  fmhess

	* [r1001] test/libgpib_test.c: verbose debug message

2004-04-20 01:47  fmhess

	* [r1000] driver/tnt4882/tnt4882_read.c: move reset of fifo after
	  configuration of fifo (seems to fix dropping
	  of byte after eos received in libgpib_test?)

2004-04-20 00:50  fmhess

	* [r999] driver/nec7210/write.c: fix possible problems with
	  resending last byte

2004-04-18 19:52  fmhess

	* [r998] driver/nec7210/write.c: trying to fix device writes for
	  chips that don't lose byte on bus error

2004-04-18 19:13  fmhess

	* [r997] test/README: fix newline at end of file, and path to
	  libgpib_test

2004-04-13 01:07  fmhess

	* [r996] test/README: updated testing instructions

2004-04-13 00:59  fmhess

	* [r995] test/libgpib_test.c: altered so test can be run when
	  boards are in different computers

2004-04-13 00:58  fmhess

	* [r994] lib/ibask.c: allow ibask to run without locking board

2004-04-11 19:29  fmhess

	* [r993] TODO, doc/linux-gpib.sgml, driver/cb7210/cb7210_init.c,
	  driver/cec/init.c, driver/include/nec7210.h,
	  driver/ines/ines_init.c, driver/nec7210/write.c,
	  driver/pc2/pc2_init.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_aux.c, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: add support for differentiating
	  between different varieties of
	  nec7210 compatibile chips

2004-03-29 12:42  fmhess

	* [r992] driver/sys/ibread.c: properly dereference end_flag

2004-02-29 23:52  fmhess

	* [r991] configure.ac: update some deprecated macros

2004-02-29 20:03  fmhess

	* [r990] driver/sys/ibinit.c, driver/sys/ibutil.c: return proper
	  SRQI status on boards that can

2004-02-29 20:02  fmhess

	* [r989] driver/nec7210/aux.c: more verbose printk's

2004-02-29 20:02  fmhess

	* [r988] driver/sys/osfuncs.c: added fixme comment

2004-02-21 14:43  fmhess

	* [r987] AUTHORS: added Werner

2004-02-16 22:11  fmhess

	* [r986] lib/ib.h: explicitly declare variables and functions
	  extern

2004-02-16 22:10  fmhess

	* [r985] lib/ibRd.c: fix from Werner Stille
	  <stille@uni-freiburg.de>

2004-02-13 23:33  fmhess

	* [r984] driver/sys/osutil.c: fix compile on Suse 9

2004-02-05 04:08  fmhess

	* [r982] driver/Makefile.am: clean up driver directories before
	  making distribution tarballs

2004-02-05 03:37  fmhess

	* [r981] ChangeLog, configure.ac: sync for 3.1.100

2004-02-03 01:46  fmhess

	* [r980] language/python/gpibinter.c: get rid of static buffers in
	  read functions

2004-02-02 01:36  fmhess

	* [r979] driver/sys/Makefile, driver/sys/Makefile.am,
	  driver/tms9914/Makefile, driver/tms9914/Makefile.am,
	  driver/tnt4882-tms/Makefile, driver/tnt4882-tms/Makefile.am,
	  driver/tnt4882/Makefile, driver/tnt4882/Makefile.am: changed
	  module build system to kbuild

2004-02-02 01:35  fmhess

	* [r978] TODO, configure.ac, driver/Makefile.am,
	  driver/nec7210/Makefile, driver/nec7210/Makefile.am,
	  driver/pc2/Makefile, driver/pc2/Makefile.am: added configure
	  check for depmod, switched module build system to kbuild

2004-02-02 01:06  fmhess

	* [r977] TODO, configure.ac, driver/Makefile-driver.am,
	  driver/Makefile.am, driver/cb7210/Makefile,
	  driver/cb7210/Makefile.am, driver/cec/Makefile,
	  driver/cec/Makefile.am, driver/hp82335/Makefile,
	  driver/hp82335/Makefile.am, driver/ines/Makefile,
	  driver/ines/Makefile.am: switch module building over to kbuild

2004-01-31 23:24  fmhess

	* [r976] driver/nec7210/aux.c: wait for up to a second for ATN line
	  to change state, by falling back
	  on schedule_timeout() if busy wait fails

2004-01-31 23:21  fmhess

	* [r975] language/python/Gpib.py, language/python/README,
	  language/python/gpibinter.c: binary read/write functions from
	  John Ackermann

2004-01-26 00:19  fmhess

	* [r974] driver/nec7210/aux.c: increased timeouts for
	  asserting/releasing ATN line

2004-01-25 23:06  fmhess

	* [r973] driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c:
	  add some missing gpib_free_pseudo_irq() calls, to hopefully fix
	  crashes on unload with cb pcmcia board

2004-01-25 22:22  fmhess

	* [r972] doc/Makefile.am: fix conflict with internal html target
	  that exists in automake 1.8

2004-01-25 21:57  fmhess

	* [r971] m4/tcl.m4: fix some warnings about m4 underquoted stuff

2004-01-25 21:34  fmhess

	* [r970] configure.ac: changed some warnings to notices

2004-01-25 21:24  fmhess

	* [r969] README: tell people to mail list instead of me

2004-01-25 21:21  fmhess

	* [r968] configure.ac: do proper quoting of variables to deal with
	  case when they are
	  undefined

2004-01-04 19:49  fmhess

	* [r966] ChangeLog: 3.1.99 changes

2004-01-04 19:40  fmhess

	* [r965] TODO, configure.ac: sync for 3.1.99 release

2004-01-04 19:39  fmhess

	* [r964] doc/Makefile.am: trivial tweaks

2004-01-04 19:34  fmhess

	* [r963] driver/sys/ibinit.c: be more careful about killing
	  autospoll thread

2003-12-28 22:11  fmhess

	* [r962] test/libgpib_test.c: write daemon output to a file, so you
	  don't have to be root

2003-12-27 17:38  fmhess

	* [r961] driver/ines/ines_read.c: make sure RECEIVED_END is in sync
	  at end or read

2003-12-27 01:34  fmhess

	* [r960] lib/ibutil.c: handle forking a little better

2003-12-27 01:32  fmhess

	* [r959] test/README, test/libgpib_test.c: added option to loop N
	  times through tests. Added ability to specify
	  when daemonization should happen

2003-12-26 18:03  fmhess

	* [r958] test/README, test/libgpib_test.c: add command line option
	  to libgpib_test to allow testing of
	  daemonization

2003-12-14 23:19  fmhess

	* [r957] driver/nec7210/cmd.c, driver/nec7210/write.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c, driver/tnt4882/tnt4882_write.c:
	  more tnt4882/nat4882 fixes

2003-12-14 21:32  fmhess

	* [r956] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/hp82335/hp82335_init.c, driver/include/gpibP.h,
	  driver/include/gpib_types.h, driver/ines/ines_init.c,
	  driver/nec7210/interrupt.c, driver/pc2/interrupt.c,
	  driver/pc2/pc2_init.c, driver/sys/osinit.c, driver/sys/osutil.c:
	  added 'pseudo_irq' to support polling (irqless) mode. Also used
	  to poll state of ATN line on boards that need it.

2003-12-14 21:31  fmhess

	* [r955] driver/tnt4882/interrupt.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: fixed a bunch of problems
	  detected by running test/libgpib_test in a loop
	  with a ni-pci and at-gpib/tnt card.

2003-12-14 21:29  fmhess

	* [r954] lib/async.c, lib/globals.c, lib/ibCmd.c, lib/ibOnl.c,
	  lib/ibRd.c, lib/ibWait.c, lib/ibdev.c, lib/ibutil.c: some
	  initialization to keep valgrind from complaining

2003-12-14 21:27  fmhess

	* [r953] examples/ibtest.c: got rid of mcheck call, since libc
	  support seems to be buggy

2003-12-14 21:26  fmhess

	* [r952] test/libgpib_test.c: got rid of mcheck() since libc
	  support seems to be buggy

2003-12-14 21:20  fmhess

	* [r951] TODO: always more to do

2003-12-14 14:29  fmhess

	* [r950] driver/sys/ibinit.c: kill autspoll thread before detaching
	  board

2003-12-14 00:30  fmhess

	* [r949] driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/nec7210/write.c: fix recovery from bus errors, and fix
	  wait on last byte written

2003-12-14 00:27  fmhess

	* [r948] configure.ac: version bump

2003-12-10 03:26  fmhess

	* [r947] TODO, driver/sys/autopoll.c, driver/sys/device.c,
	  driver/sys/osfuncs.c, driver/sys/ostimer.c: handle timeouts in
	  autopoll routine more graciously

2003-12-10 01:44  fmhess

	* [r946] driver/include/gpib_types.h, driver/sys/ibinit.c,
	  driver/sys/osinit.c: make sure autospoll_thread is done before we
	  exit module

2003-12-10 01:42  fmhess

	* [r945] driver/include/gpibP.h: added gpl boilerplate

2003-12-07 23:08  fmhess

	* [r943] ChangeLog, configure.ac: sync for 3.1.98

2003-12-07 22:52  fmhess

	* [r942] TODO, driver/include/gpib_types.h,
	  driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/sys/ibread.c, driver/sys/osinit.c,
	  driver/tnt4882/tnt4882_read.c, test/libgpib_test.c: fix
	  possibility of read fifo not being completely emptied for
	  tnt4882

2003-12-07 21:13  fmhess

	* [r941] TODO, driver/include/gpib_ioctl.h,
	  driver/include/gpib_types.h, driver/sys/ibinit.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c, lib/Makefile.am,
	  lib/ibBoard.c, lib/ibConf.h, lib/ibOnl.c, lib/ib_internal.h,
	  lib/ibconfig.c, lib/ibutil.c: do auto serial polling with kernel
	  thread instead of using libpthread

2003-12-07 14:52  fmhess

	* [r940] TODO: *** empty log message ***

2003-12-07 14:51  fmhess

	* [r939] INSTALL: warn about dangers of different compiler versions

2003-12-06 23:37  fmhess

	* [r938] doc/linux-gpib.sgml: add mention of PPConfig alternate
	  name for PPC

2003-11-26 00:53  fmhess

	* [r937] driver/cb7210/interrupt.c: doh, forgot brackets

2003-11-24 01:15  fmhess

	* [r936] driver/cb7210/interrupt.c: only read hs_status register
	  when fifos are enabled, to prevent
	  possibility of screwy things happening on boards that don't have
	  a
	  hs_status register (pci-gpib 300k)

2003-11-24 01:01  fmhess

	* [r935] driver/sys/ibread.c, driver/sys/ibwrite.c: get rid of wait
	  for NATN and LACS before starting read, since it can
	  cause a hang (NATN does not produce an interrupt on all chips).
	  Also
	  got rid of dead code in ibwrite that did something similar

2003-11-24 00:58  fmhess

	* [r934] TODO: add a gotcha about gpib_config --file

2003-11-24 00:56  fmhess

	* [r933] test/libgpib_test.c: trivial indentation change

2003-11-24 00:55  fmhess

	* [r932] examples/ibtest.c: added command line option -m, --minor
	  to allow opening of devices that
	  are attached to boards other than /dev/gpib0

2003-11-24 00:52  fmhess

	* [r931] driver/sys/osinit.c: reset buffer_length to zero if
	  vmalloc of buffer failes

2003-11-24 00:50  fmhess

	* [r930] driver/sys/ibinit.c: a little more debug spam

2003-10-24 16:54  fmhess

	* [r929] configure.ac: don't need to explicitly add CFLAGS after
	  all

2003-10-21 14:45  fmhess

	* [r928] lib/ibConfYacc.y, lib/ibutil.c: fix invalid descriptor
	  problems when 'name' is not specified in
	  gpib.conf

2003-10-21 13:54  fmhess

	* [r927] configure.ac: take library cflags from environment
	  variable CFLAGS, to make turning
	  on/off debugging, optimization and warnings easier

2003-10-09 15:01  fmhess

	* [r926] Makefile.am: add m4 subdirectory to EXTRA_DIST

2003-10-09 14:55  fmhess

	* [r925] Makefile.am: add ACLOCAL_AMFLAGS so automake calls aclocal
	  correctly when necessary

2003-10-07 18:38  fmhess

	* [r924] driver/sys/ibwrite.c: disable half-assed attempt to avoid
	  bus errors. It's the drivers'
	  problem now (been fixed in nec7210)

2003-10-07 18:36  fmhess

	* [r923] driver/nec7210/write.c: make writes recover from bus
	  errors, and drop isa dma write support,
	  since it can drop bytes on bus errors.

2003-10-07 18:33  fmhess

	* [r922] TODO: *** empty log message ***

2003-10-07 03:08  fmhess

	* [r921] test/libgpib_test.c: added end-of-string character test

2003-10-07 03:05  fmhess

	* [r920] lib/ibEos.c: added a couple error messages

2003-10-07 03:05  fmhess

	* [r919] driver/tnt4882/tnt4882_read.c: deal with possible race in
	  accel read setup (haven't actually seen
	  any problems occuring)

2003-10-07 03:03  fmhess

	* [r918] driver/include/gpib_user.h: add PPConfig alternate name
	  for PPC

2003-10-07 03:02  fmhess

	* [r917] TODO: *** empty log message ***

2003-10-05 16:29  fmhess

	* [r916] driver/include/nec7210.h: added bit explicit bit
	  definitions for various transmit/receive modes
	  (which never seem to do anything)

2003-10-05 16:28  fmhess

	* [r915] driver/ines/ines.h: added definition for parallel poll
	  timeout bit

2003-10-05 16:28  fmhess

	* [r914] driver/ines/ines_util.c: make sure aux d bits are always
	  set

2003-10-05 16:27  fmhess

	* [r913] driver/ines/interrupt.c: fix bogus warning for unaccel
	  ines fifo full

2003-10-05 15:08  fmhess

	* [r912] driver/ines/ines_read.c: quancom problems don't seem to be
	  caused by fifo full after all

2003-10-04 13:59  fmhess

	* [r911] driver/ines/ines_init.c, driver/ines/ines_read.c,
	  driver/ines/interrupt.c, driver/sys/ibread.c: Finally figured out
	  what was causing ines chips to crash: added
	  work-arounds to prevent ines chips from freaking out when input
	  fifo
	  fills.

2003-10-03 18:18  fmhess

	* [r910] driver/sys/event.c: fix recursive locking of board
	  spinlock in push_gpib_event. Seems to
	  fix weird problems with ines_accel, I have no idea why that
	  should be
	  though?

2003-10-03 18:16  fmhess

	* [r909] driver/nec7210/aux.c: don't touch bits on failure to
	  change ATN line

2003-10-03 18:16  fmhess

	* [r908] configure.ac: version increment

2003-10-01 18:53  fmhess

	* [r906] ChangeLog: 3.1.97 changes

2003-10-01 18:37  fmhess

	* [r905] TODO, configure.ac, driver/cb7210/cb7210.h,
	  driver/ines/ines_read.c: sync for 3.1.97

2003-09-30 22:53  fmhess

	* [r904] doc/linux-gpib.sgml: correct case of IbaTIMING and
	  IbcTIMING

2003-09-29 23:50  fmhess

	* [r903] driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/ines_read.c: ines accel fixes

2003-09-29 23:49  fmhess

	* [r902] driver/nec7210/aux.c: EXPORT_SYMBOL_GPL seems to be
	  causing problems on some distros, so
	  we'll remove it for the moment

2003-09-29 23:46  fmhess

	* [r901] driver/Makefile-driver.am: clean up dependency files

2003-09-29 23:46  fmhess

	* [r900] doc/Makefile.am: install docs even if we aren't building
	  them

2003-09-29 23:45  fmhess

	* [r899] TODO: *** empty log message ***

2003-09-29 23:43  fmhess

	* [r898] INSTALL: trivial tweak

2003-09-28 20:25  fmhess

	* [r897] lib/ibWait.c: don't report status bits that don't apply to
	  device/board

2003-09-25 02:52  fmhess

	* [r896] driver/include/nec7210.h: note to self to use serial poll
	  mode state bit

2003-09-22 13:28  fmhess

	* [r895] driver/Makefile.am: don't specify kernel release during
	  depmod (doesn't work for kernel
	  other that the one running anyways)

2003-09-19 13:47  fmhess

	* [r894] driver/ines/ines.h, driver/ines/ines_init.c: positive id
	  on new pci chip

2003-09-18 14:06  fmhess

	* [r893] configure.ac: get rid of spurious backslashes

2003-09-18 14:04  fmhess

	* [r892] driver/ines/ines.h, driver/ines/ines_init.c: support for
	  yet another set of ines pci ids

2003-09-13 18:33  fmhess

	* [r891] driver/tnt4882/tnt4882_init.c: oops used wrong function
	  names

2003-09-13 18:22  fmhess

	* [r890] driver/tnt4882/tnt4882_init.c: fix ni_isa to work with
	  atgpib/tnt in one-chip mode (same as ni_isa_accel)

2003-09-13 16:12  fmhess

	* [r889] driver/tnt4882/tnt4882.h: oops, fixed args to io_writeb

2003-09-13 15:19  fmhess

	* [r888] driver/tnt4882/tnt4882.h: fix deadlock

2003-09-13 14:29  fmhess

	* [r887] driver/tnt4882/tnt4882.h: ACCWR and INTRT are not
	  tnt4882-only registers

2003-09-10 22:40  fmhess

	* [r886] driver/ines/ines_read.c, driver/ines/ines_write.c: fixed
	  ines_accel support

2003-09-10 03:22  fmhess

	* [r885] doc/linux-gpib.sgml: added quancom pcigpib-1 to supported
	  hardware

2003-09-10 03:12  fmhess

	* [r884] driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/interrupt.c: quancom support works now

2003-09-10 02:33  fmhess

	* [r883] configure.ac: version bump

2003-09-04 04:50  fmhess

	* [r881] doc/linux-gpib.sgml: document new gpib_config options

2003-09-04 04:46  fmhess

	* [r880] configure.ac: version bump

2003-09-04 04:45  fmhess

	* [r879] ChangeLog: 3.1.96 changes

2003-09-04 04:28  fmhess

	* [r878] driver/ines/ines_cs.c: PCMCIA_DEBUG is gone

2003-09-04 04:04  fmhess

	* [r877] lib/gpib_config/gpib_config.c: fix is_system_controller
	  initialization from config file when
	  unspecified as a command line option

2003-09-03 17:25  fmhess

	* [r876] lib/gpib_config/gpib_config.c: more options for
	  gpib_config

2003-09-03 17:24  fmhess

	* [r875] lib/Makefile.am: add -Wl, before linker option

2003-09-03 17:23  fmhess

	* [r874] driver/cb7210/cb7210_cs.c: printk the irq_mask

2003-09-03 17:13  fmhess

	* [r873] driver/ines/ines_cs.c: cis dump says ines pcmcia uses
	  pulsed interrupt (maybe its wrong though?)

2003-09-02 23:24  fmhess

	* [r872] examples/Makefile.am: install ibtest

2003-08-30 14:12  fmhess

	* [r871] driver/ines/ines_cs.c: allow irq_mask to be overridden

2003-08-30 03:35  fmhess

	* [r870] driver/tnt4882/tnt4882_cs.c: print irq_mask used

2003-08-30 03:26  fmhess

	* [r869] driver/cb7210/cb7210_cs.c: don't force use of irqmask from
	  cistuple

2003-08-30 02:54  fmhess

	* [r868] driver/ines/ines_cs.c: add support for irq_mask and
	  irq_list module parameters

2003-08-30 02:52  fmhess

	* [r867] driver/cb7210/cb7210_cs.c: add support for irq_mask,
	  irq_list module parameters

2003-08-29 02:51  fmhess

	* [r866] driver/tnt4882/ni_cis_dump.txt,
	  driver/tnt4882/tnt4882_cs.c: added cis dump for ni pcmcia cards,
	  and fixed their default irqmask

2003-08-29 01:11  fmhess

	* [r865] etc/pcmcia/linux-gpib-pcmcia.opts: add blank opts file

2003-08-28 23:49  fmhess

	* [r864] driver/include/nec7210.h: fix include for memset

2003-08-28 23:36  fmhess

	* [r863] language/php/TESTS/Makefile.am: automake file

2003-08-28 23:32  fmhess

	* [r862] configure.ac: remove duplicate driver/Makefile entry from
	  AC_OUTPUT

2003-08-28 23:19  fmhess

	* [r861] INSTALL: mention how to get the cardmgr to reload
	  configuration files

2003-08-27 22:56  fmhess

	* [r860] driver/ines/ines.h, driver/ines/ines_init.c: don't do
	  bogus outl() in detach for non plx pci boards. Also, fix
	  setting of pci_chip_type for pcmcia boards.

2003-08-27 18:11  fmhess

	* [r859] driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/interrupt.c, driver/sys/osfuncs.c: trying to get
	  quancom interrupts to work

2003-08-26 17:16  fmhess

	* [r858] driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/ines_read.c, driver/ines/ines_util.c,
	  driver/ines/ines_write.c, driver/ines/interrupt.c: more fixes for
	  quancom

2003-08-26 13:26  fmhess

	* [r857] driver/ines/ines_init.c: really fix pci detection code

2003-08-25 18:13  fmhess

	* [r856] driver/include/gpib_ioctl.h, driver/include/gpib_proto.h,
	  driver/include/gpib_types.h, driver/sys/ibinit.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c,
	  lib/gpib_config/gpib_config.c, lib/ibOnl.c: boards are only
	  brought online by gpib_config now, instead of counting
	  how many times the device file has been opened/closed

2003-08-25 18:03  fmhess

	* [r855] include/Makefile.am: use BUILT_SOURCES instead of
	  all-local, etc because it works better

2003-08-25 17:03  fmhess

	* [r854] driver/ines/ines_init.c: fix some pci chip probing
	  breakage, and add dump for quancom chip

2003-08-25 15:30  fmhess

	* [r853] doc/linux-gpib.sgml: added entry for contec isa board

2003-08-19 15:34  fmhess

	* [r852] test/README: give people a clue what libgpib_test is for

2003-08-19 15:33  fmhess

	* [r851] driver/Makefile.am: make sure gpib group is created before
	  we try to use it

2003-08-19 15:14  fmhess

	* [r850] configure.ac, m4/tcl.m4: don't generate error when python
	  is too old, just disable the binding.
	  Also, fixed setting of TCL_INC_DIR for non-debian systems.

2003-08-19 03:16  fmhess

	* [r849] m4/tcl.m4: reverse-order sort output of 'ls' so that newer
	  versions of tcl
	  are preferred

2003-08-19 03:13  fmhess

	* [r848] m4/tcl.m4: add debian TCL directories to default search
	  paths

2003-08-19 01:45  fmhess

	* [r847] configure.ac, language/tcl/Makefile.am, m4/tcl.m4: fix up
	  TCL configuration

2003-08-19 01:17  fmhess

	* [r846] language/tcl/ibCmds.c: fix for new lib name

2003-08-19 00:21  fmhess

	* [r845] m4/tcl.m4: added m4 tcl macros from tcl-8.4

2003-08-18 23:41  fmhess

	* [r844] driver/ines/ines_init.c: first pass at quancom pcigpib-1
	  support

2003-08-12 22:32  fmhess

	* [r843] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c, driver/tnt4882/tnt4882_write.c:
	  support tnt4882 in one-chip mode ( for tnt5002 compatibility )

2003-08-12 18:31  fmhess

	* [r842] lib/ibConfYacc.y, lib/ibLines.c, lib/ibutil.c: some error
	  code fixes

2003-08-12 17:21  fmhess

	* [r841] configure.ac: err we don't want the 'yes' action for
	  AC_CHECK_LIB to be blank

2003-08-12 17:17  fmhess

	* [r840] driver/Makefile-driver.am: fix driver dependency creation

2003-08-12 17:16  fmhess

	* [r839] configure.ac: fix error message output by configure script

2003-08-12 16:49  fmhess

	* [r838] configure.ac, doc/Makefile.am: add configure option for
	  disabling build of documentation

2003-08-12 06:14  fmhess

	* [r837] doc/Makefile.am: fix dependency dist tarball doesn't
	  re-make documentation

2003-08-11 20:09  fmhess

	* [r836] driver/Makefile-driver.am: add a dependency on the kernel
	  compile flags

2003-08-08 19:34  fmhess

	* [r835] driver/Makefile-driver.am, driver/Makefile.am,
	  driver/cb7210/Makefile.am, driver/cec/Makefile.am,
	  driver/hp82335/Makefile.am, driver/ines/Makefile.am,
	  driver/nec7210/Makefile.am, driver/pc2/Makefile.am,
	  driver/sys/Makefile.am, driver/tms9914/Makefile.am,
	  driver/tnt4882-tms/Makefile.am, driver/tnt4882/Makefile.am:
	  simplified driver Makefile.am's, and include compat headers
	  before
	  kernel headers

2003-07-30 15:33  fmhess

	* [r834] driver/cb7210/cb7210.h, driver/cb7210/cb7210_aux.c,
	  driver/cb7210/cb7210_init.c: fix locking for paged registers

2003-07-27 21:23  fmhess

	* [r833] driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/ines/ines_init.c, driver/pc2/pc2_init.c: add
	  init_nec7210_private() calls

2003-07-27 21:13  fmhess

	* [r832] driver/include/nec7210.h, driver/nec7210/init.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_aux.c,
	  driver/tnt4882/tnt4882_cs.c, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c: fix register page locking

2003-07-27 21:12  fmhess

	* [r831] driver/cb7210/cb7210_init.c: fix init of line status
	  function pointer

2003-07-25 20:31  fmhess

	* [r830] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_aux.c,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c:
	  implement locking to prevent races when using paged-in registers

2003-07-23 21:24  fmhess

	* [r829] driver/tnt4882/tnt4882.h: ignore tnt4882 specific
	  registers on non-tnt4882 chips

2003-07-23 01:35  fmhess

	* [r828] configure.ac: update version

2003-07-23 01:33  fmhess

	* [r827] driver/sys/osfuncs.c: replace suser() with capable()

2003-07-23 01:32  fmhess

	* [r826] driver/include/Makefile.am: add linux subdir to EXTRA_DIST

2003-07-23 01:31  fmhess

	* [r825] configure.ac: use AC_MSG_CHECK and AC_MSG_RESULT macros

2003-07-23 01:31  fmhess

	* [r824] ChangeLog: fix typo

2003-07-22 21:49  fmhess

	* [r822] ChangeLog, Changelog: rename Changelog ChangeLog

2003-07-22 21:41  fmhess

	* [r821] Changelog, configure.ac: sync for 3.1.95

2003-07-22 03:50  fmhess

	* [r820] driver/tms9914/aux.c: added clearing of write/command
	  ready status bits similar to what
	  I did for nec7210. Not sure if it's necessary, but it should be
	  harmless

2003-07-22 03:42  fmhess

	* [r819] driver/tnt4882/tnt4882_init.c: don't touch ibbase, since
	  it causes bug in that driver no longer thinks
	  board is isapnp after it is attached once

2003-07-22 03:14  fmhess

	* [r818] test/libgpib_test.c: new parallel poll test

2003-07-22 03:13  fmhess

	* [r817] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c: disable all tnt4882 interrupts on
	  detach

2003-07-22 03:02  fmhess

	* [r816] driver/nec7210/cmd.c: catch bus errors on writing command
	  bytes

2003-07-22 03:01  fmhess

	* [r815] driver/nec7210/aux.c: re-fix some timing issues for
	  masters switching between writing command
	  and data bytes

2003-07-21 22:22  fmhess

	* [r814] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_aux.c,
	  driver/tnt4882/tnt4882_cs.c, driver/tnt4882/tnt4882_init.c: make
	  sure chipset is specified before interrupt handler is requested

2003-07-18 17:28  fmhess

	* [r813] language/Makefile.am: be more careful about what gets
	  included in 'make dist' from the perl
	  subdirectory

2003-07-18 17:27  fmhess

	* [r812] doc/Makefile.am: refine handling of build directories

2003-07-18 16:25  fmhess

	* [r811] driver/Makefile.am, driver/cb7210/Makefile.am,
	  driver/cec/Makefile.am, driver/hp82335/Makefile.am,
	  driver/ines/Makefile.am, driver/nec7210/Makefile.am,
	  driver/pc2/Makefile.am, driver/sys/Makefile.am,
	  driver/tms9914/Makefile.am, driver/tnt4882-tms/Makefile.am,
	  driver/tnt4882/Makefile.am: restore dependency checking

2003-07-18 16:24  fmhess

	* [r810] driver/tnt4882/interrupt.c, driver/tnt4882/mite.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_aux.c,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: fix nat4882 support, in
	  particular confusion between absolute address
	  and offset from base address

2003-07-17 22:36  fmhess

	* [r809] test/libgpib_test.c: make sure autopolling is enabled when
	  we are assuming it is

2003-07-17 22:29  fmhess

	* [r808] lib/ibLines.c: don't lock board in TestSRQ

2003-07-17 22:27  fmhess

	* [r807] lib/ibOnl.c: only close gpib handle if ibonl() is taking
	  board offline

2003-07-17 22:27  fmhess

	* [r806] lib/ibWait.c: make WaitSRQ not require locking board

2003-07-17 22:26  fmhess

	* [r805] lib/ibutil.c: fix buggy unlocking

2003-07-17 21:25  fmhess

	* [r804] lib/ibBoard.c, lib/ibOnl.c, lib/ibutil.c: turn off
	  autopolling by default

2003-07-15 15:59  fmhess

	* [r803] language/python/Makefile.am: be smarter about rebuilding

2003-07-15 00:42  fmhess

	* [r802] doc/Makefile.am, lib/Makefile.am: pregenerate
	  documentation and bison/flex files for 'make dist'

2003-07-14 23:34  fmhess

	* [r801] language/python/Makefile.am: tarball created with 'make
	  dist' compiles now

2003-07-14 23:32  fmhess

	* [r800] driver/tnt4882-tms/Makefile.am, lib/Makefile.am: fixes for
	  'make dist'

2003-07-14 23:31  fmhess

	* [r799] INSTALL: added mention of bootstrap script

2003-07-14 23:06  fmhess

	* [r798] Makefile.am, NEWS, README.MODBUS-PCI, README.TCL, TODO,
	  bootstrap, configure.ac, doc/Makefile.am,
	  driver/cb7210/Makefile.am, driver/cb7210/amccs5933.h,
	  driver/cec/Makefile.am, driver/hp82335/Makefile.am,
	  driver/include/Makefile.am, driver/include/amccs5933.h,
	  driver/ines/Makefile.am, driver/nec7210/Makefile.am,
	  driver/pc2/Makefile.am, driver/sys/Makefile.am,
	  driver/tms9914/Makefile.am, driver/tnt4882-tms/Makefile.am,
	  driver/tnt4882/Makefile.am, examples/README,
	  language/guile/Makefile.am, language/php/INSTALLATION,
	  language/php/Makefile.am, language/php/Makefile.fake,
	  language/php/OLD, language/php/TESTS/Makefile,
	  language/php/TESTS/test1.c, language/python/Makefile.am,
	  language/tcl/Makefile.am, language/tcl/README,
	  language/tcl/examples/Makefile, util/Setup, util/Setup.in,
	  util/mkproto.sh, util/version: fixing 'make dist' and cleaning up
	  some cruft

2003-07-14 21:44  fmhess

	* [r797] COPYING, COPYRIGHTS: rename COPYRIGHTS to COPYING

2003-07-14 21:44  fmhess

	* [r796] lib/Makefile.am: clean flex/yacc generated files only in
	  maintainer-clean

2003-07-14 21:33  fmhess

	* [r795] configure.ac: prevent -lguile from getting added to LIBS

2003-07-14 21:20  fmhess

	* [r794] language/php/Makefile.am: added -rdynamic link flag

2003-07-14 21:06  fmhess

	* [r793] configure.ac, language/Makefile.am: rework how generation
	  of perl makefile is handled

2003-07-14 17:54  fmhess

	* [r792] doc/linux-gpib.sgml, driver/tnt4882/interrupt.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_aux.c,
	  driver/tnt4882/tnt4882_cs.c, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c, driver/tnt4882/tnt4882_write.c:
	  fixing support for older chipsets

2003-07-14 17:33  fmhess

	* [r791] configure.ac: added reporting of wheter docs will be built

2003-07-12 23:30  fmhess

	* [r790] INSTALL: update for new binding compilation scheme

2003-07-12 22:48  fmhess

	* [r789] configure.ac: add disable options for bindings

2003-07-12 21:17  fmhess

	* [r788] bootstrap, configure.ac, driver/Makefile.am,
	  language/Makefile.am, m4, m4/am-check-python-headers.m4: make
	  configure check for ability to compile bindings

2003-07-12 21:16  fmhess

	* [r787] driver/include/gpib_ioctl.h: don't let gpib_ioctl.h depend
	  on config.h

2003-07-11 20:22  fmhess

	* [r786] language/tcl/Makefile.am: improve extraction of TCL
	  configuration

2003-07-11 19:37  fmhess

	* [r785] configure.ac, language/Makefile.am,
	  language/php/FAKE-GPIB, language/php/Makefile,
	  language/php/Makefile.am, language/tcl/Makefile.am: more
	  autoconfiscation

2003-07-11 17:37  fmhess

	* [r784] Makefile.am, configure.ac, driver/Makefile.am,
	  driver/include/gpib_ioctl.h, language/Makefile.am,
	  language/tcl/Makefile.am, language/tcl/README,
	  util/Setup.install, util/linux_flags/Makefile: more
	  autoconfiscation fixes, and made tcl compilation smarter

2003-07-11 17:20  fmhess

	* [r783] INSTALL: updated install directions post autoconfiscation

2003-07-11 15:39  fmhess

	* [r782] driver/Makefile.am: added 'depmod' on install of drivers

2003-07-11 15:33  fmhess

	* [r781] configure.ac: change package name to linux-gpib, and make
	  linking to library work
	  better

2003-07-10 00:46  fmhess

	* [r780] driver/Makefile.am: add tms9914 to SUBDIRS

2003-07-09 22:36  fmhess

	* [r779] language/guile/Makefile.am, language/tcl/Makefile.am,
	  lib/Makefile.am: add -release $(VERSION) ldflag to libraries

2003-07-09 20:32  fmhess

	* [r778] driver/cb7210/Makefile.am, driver/cec/Makefile.am,
	  driver/hp82335/Makefile.am, driver/ines/Makefile.am,
	  driver/nec7210/Makefile.am, driver/pc2/Makefile.am,
	  driver/sys/Makefile.am, driver/tms9914/Makefile.am,
	  driver/tnt4882-tms/Makefile.am, driver/tnt4882/Makefile.am:
	  install modules into gpib subdirectory instead of misc

2003-07-09 20:23  fmhess

	* [r777] INSTALL, configure.ac, doc/linux-gpib.sgml,
	  driver/Makefile.am, driver/cb7210/Makefile,
	  driver/cb7210/Makefile.am, driver/cec/Makefile,
	  driver/cec/Makefile.am, driver/hp82335/Makefile,
	  driver/hp82335/Makefile.am, driver/include/Makefile.am,
	  driver/ines/Makefile, driver/ines/Makefile.am,
	  driver/nec7210/Makefile, driver/nec7210/Makefile.am,
	  driver/pc2/Makefile, driver/pc2/Makefile.am, driver/sys/Makefile,
	  driver/sys/Makefile.am, driver/tms9914/Makefile,
	  driver/tms9914/Makefile.am, driver/tnt4882-tms/Makefile,
	  driver/tnt4882-tms/Makefile.am, driver/tnt4882/Makefile,
	  driver/tnt4882/Makefile.am, lib/Makefile.am: autoconfiscating
	  driver module directories, plus changed a bunch of dashes
	  to underscores in driver module names

2003-07-09 00:18  fmhess

	* [r776] bootstrap: there is no m4 directory

2003-07-09 00:14  fmhess

	* [r775] Makefile, Makefile.am, NEWS, bootstrap, configure.ac,
	  doc/Makefile, doc/Makefile.am, doc/linux-gpib.sgml,
	  driver/Makefile, driver/Makefile.am, driver/cb7210/Makefile,
	  driver/cec/Makefile, driver/cec/init.c, driver/hp82335/Makefile,
	  driver/include/Makefile.am, driver/include/gpibP.h,
	  driver/include/gpib_ioctl.h, driver/include/gpib_registers.h,
	  driver/ines/Makefile, driver/nec7210/Makefile,
	  driver/pc2/Makefile, driver/sys/Makefile, driver/sys/osinit.c,
	  driver/tms9914/Makefile, driver/tnt4882-tms/Makefile,
	  driver/tnt4882/Makefile, driver/tnt4882/tnt4882_init.c,
	  drivers.txt, examples/Makefile, examples/Makefile.am,
	  include/Makefile, include/Makefile.am, language/guile/Makefile,
	  language/guile/Makefile.am, language/perl/Makefile.PL,
	  language/php/Makefile, language/python/Makefile,
	  language/python/Makefile.am, language/python/setup.py,
	  language/tcl/Makefile, language/tcl/Makefile.am,
	  language/tcl/examples/example1.tcl,
	  language/tcl/examples/example2.tcl, lib/Makefile,
	  lib/Makefile.am, lib/gpib_config/Makefile,
	  lib/gpib_config/Makefile.am, makefile.inc, test/Makefile,
	  test/Makefile.am, util/linux_flags/Makefile: first pass at
	  autoconfiscation

2003-07-03 16:23  fmhess

	* [r774] language/perl/LinuxGpib.xs: fix compilation with perl 5.8

2003-07-02 19:16  ela

	* [r773] language/guile/gpib.c: - fixed a bug in ibrd

2003-06-29 04:25  fmhess

	* [r772] lib/gpib_config/Makefile: added linking to libpthread

2003-06-28 14:49  ela

	* [r771] language/guile/Makefile, language/guile/gpib.c,
	  language/guile/gpib.h, language/guile/gpib.scm: - added eos
	  constants
	  - added bool parameter values if possible
	  - added copyright notices

2003-06-27 21:26  fmhess

	* [r770] test/libgpib_test.c: include string.h

2003-06-27 21:17  fmhess

	* [r769] doc/README: removed

2003-06-27 19:03  fmhess

	* [r767] lib/ibstop.c: add ibstop.c

2003-06-27 16:51  fmhess

	* [r766] Changelog, examples/ibtest.c, util/version: sync for
	  3.1.94

2003-06-27 16:50  fmhess

	* [r765] INSTALL: improved module autoloading support

2003-06-27 16:49  fmhess

	* [r764] driver/sys/osfuncs.c: improve module autoloading support

2003-06-27 15:42  fmhess

	* [r763] test/libgpib_test.c: fix spelling

2003-06-27 01:54  fmhess

	* [r762] driver/sys/ibwait.c: removed debugging printk

2003-06-26 23:06  fmhess

	* [r761] driver/sys/ibwait.c: fix wait for RQS

2003-06-26 22:13  fmhess

	* [r760] lib/ibOnl.c: fix setting of status bits when taking board
	  offline

2003-06-26 22:09  fmhess

	* [r759] test/libgpib_test.c: added serial poll test (it fails)

2003-06-26 17:39  fmhess

	* [r758] AUTHORS, driver/include/gpib_ioctl.h,
	  driver/include/gpib_proto.h, driver/sys/ibutil.c,
	  driver/sys/ibwait.c, driver/sys/osfuncs.c, lib/async.c,
	  lib/ibCmd.c, lib/ibEos.c, lib/ibEot.c, lib/ibEvent.c,
	  lib/ibLines.c, lib/ibOnl.c, lib/ibRd.c, lib/ibTmo.c,
	  lib/ibWait.c, lib/ibWrt.c, lib/ib_internal.h, lib/ibutil.c,
	  test/libgpib_test.c: fixed issues with CMPL status bit

2003-06-26 15:25  fmhess

	* [r757] language/perl/examples, language/perl/examples/n8ur,
	  language/perl/examples/n8ur/hp3585b-control.pl,
	  language/perl/examples/n8ur/hp3585b-plot.pl,
	  language/perl/examples/n8ur/hp3585b.pm,
	  language/perl/examples/n8ur/hp8569b.pl,
	  language/perl/examples/n8ur/n8ur.pm: added example perl programs
	  from John Ackermann

2003-06-24 16:14  fmhess

	* [r756] driver/include/gpib_proto.h, driver/include/gpib_types.h,
	  driver/sys/autopoll.c, driver/sys/autopoll.h,
	  driver/sys/device.c, driver/sys/ibutil.c, driver/sys/ibwait.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c: changed gpib_device_t
	  to gpib_status_queue_t

2003-06-24 02:18  fmhess

	* [r755] driver/include/gpib_ioctl.h, driver/include/gpib_proto.h,
	  driver/include/gpib_types.h, driver/sys/ibutil.c,
	  driver/sys/ibwait.c, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  lib/async.c, lib/ibCmd.c, lib/ibEos.c, lib/ibEot.c,
	  lib/ibEvent.c, lib/ibFind.c, lib/ibLines.c, lib/ibRd.c,
	  lib/ibTmo.c, lib/ibWait.c, lib/ibWrt.c, lib/ib_internal.h,
	  lib/ibutil.c: async io sort of works now, and fixed some bugs
	  with board unlocking

2003-06-23 19:36  fmhess

	* [r754] driver/include/gpib_ioctl.h, driver/include/gpib_proto.h,
	  driver/sys/device.c, driver/sys/ibcac.c, driver/sys/ibcmd.c,
	  driver/sys/ibgts.c, driver/sys/ibread.c, driver/sys/ibrsv.c,
	  driver/sys/ibutil.c, driver/sys/ibwait.c, driver/sys/ibwrite.c,
	  driver/sys/osfuncs.c, lib/Makefile, lib/async.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibBoard.c, lib/ibCmd.c,
	  lib/ibConf.h, lib/ibOnl.c, lib/ibRd.c, lib/ibWait.c, lib/ibWrt.c,
	  lib/ib_internal.h, lib/ibutil.c, test/libgpib_test.c:
	  infrastructure changes, trying to get async io to work (doesn't
	  yet)

2003-06-23 18:03  fmhess

	* [r753] test/libgpib_test.c: added ibonl(ud,0) calls

2003-06-22 23:08  fmhess

	* [r752] driver/nec7210/util.c, driver/tms9914/util.c,
	  test/libgpib_test.c: fix clearing of WRITE_READY that was causing
	  problems with libgpib_test

2003-06-22 22:59  fmhess

	* [r751] driver/nec7210/read.c, driver/nec7210/util.c,
	  driver/tms9914/util.c: fixed some places where READ_READY
	  shouldn't be cleared, uncovered
	  by libgpib_test

2003-06-22 22:58  fmhess

	* [r750] test/Makefile, test/libgpib_test.c: finished basic
	  read/write test

2003-06-22 21:35  fmhess

	* [r749] Makefile, examples/Makefile, lib/ibutil.c, test,
	  test/Makefile, test/libgpib_test.c: fixed problems with using
	  board indices as descriptors that I created
	  recently. Added beginnings of test program for library.

2003-06-22 02:32  fmhess

	* [r748] driver/cb7210/cb7210.h, driver/include/gpibP.h,
	  driver/include/gpib_ioctl.h, driver/include/gpib_proto.h,
	  driver/include/gpib_types.h, driver/include/protocol_proto.h,
	  driver/include/sys_proto.h, driver/sys/osfuncs.c,
	  driver/sys/osinit.c, examples/ibtest.c,
	  lib/gpib_config/gpib_config.c, lib/ibBdChrConfig.c,
	  lib/ibBoard.c, lib/ibConf.h, lib/ibConfYacc.y, lib/ibOnl.c,
	  lib/ibP.h, lib/ib_internal.h, lib/ibbna.c, lib/ibdev.c,
	  lib/ibutil.c: infrastructure changes so that ibwait can be fixed

2003-06-20 15:14  fmhess

	* [r747] driver/include/gpib_user.h: check if preprocessor has
	  already defined PPC constant (seems to be
	  defined by gnu toolchain on ppc arch).

2003-06-18 18:05  fmhess

	* [r746] driver/include/linux/module.h: added EXPORT_SYMBOL_GPL()
	  compat macro

2003-06-18 17:55  fmhess

	* [r745] driver/nec7210/aux.c, driver/nec7210/board.h,
	  driver/sys/osinit.c, driver/tms9914/aux.c,
	  driver/tms9914/board.h, driver/tnt4882-tms/tnt4882.h,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c: fix
	  include

2003-06-17 17:17  fmhess

	* [r744] language/guile/Makefile, language/guile/gpib.c,
	  language/guile/gpib.scm: guile patch from Stefan - cleaning up
	  the Makefile and export of some
	  some constants.

2003-06-15 21:06  fmhess

	* [r743] doc/linux-gpib.sgml: added entries for ibcmda(), ibrda(),
	  ibwrta(), and ibstop()

2003-06-14 22:39  fmhess

	* [r742] AUTHORS, lib/async.c, lib/gpib_config/gpib_config.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibCmd.c, lib/ibConf.h,
	  lib/ibRd.c, lib/ibWait.c, lib/ibWrt.c, lib/ib_internal.h,
	  lib/ibutil.c: implemented ibrda() and ibwrta() (untested)

2003-06-14 00:06  fmhess

	* [r741] doc/linux-gpib.sgml: fill out gpib_config entry

2003-06-13 15:20  fmhess

	* [r740] AUTHORS, INSTALL, language/guile, language/guile/Makefile,
	  language/guile/README, language/guile/gpib.c,
	  language/guile/gpib.h, language/guile/gpib.scm: new guile binding
	  from Stefan Jahn

2003-06-13 15:19  fmhess

	* [r739] lib/ibutil.c: check for errors in
	  setup_global_board_descriptors()

2003-06-12 02:19  fmhess

	* [r738] doc/linux-gpib.sgml: adding stub for gpib_config docs

2003-06-11 22:15  fmhess

	* [r737] doc/linux-gpib.sgml: added description for ibln()

2003-06-11 02:37  fmhess

	* [r736] driver/cb7210/Makefile, driver/cec/Makefile,
	  driver/hp82335/Makefile, driver/ines/Makefile,
	  driver/nec7210/Makefile, driver/pc2/Makefile,
	  driver/sys/Makefile, driver/tms9914/Makefile,
	  driver/tnt4882-tms/Makefile, driver/tnt4882/Makefile: replace
	  $(RLINK) with $(LD) -r to link modules, since that's what the
	  kernel does.

2003-06-10 17:42  fmhess

	* [r735] doc/linux-gpib.sgml, lib/gpib_version_script, lib/ib.h,
	  lib/ibFindLstn.c: add ibln() function, and stub documentation
	  entry

2003-06-10 17:41  fmhess

	* [r734] driver/include/gpib_user.h: fix use of SRQI status bit

2003-06-10 17:40  fmhess

	* [r733] lib/ibutil.c: set iberr in insert_descriptor()

2003-06-06 18:08  fmhess

	* [r732] driver/nec7210/gpib_pci.c: remove obsolete file

2003-06-06 17:12  fmhess

	* [r731] INSTALL, Makefile: more notes on pcmcia

2003-06-06 17:12  fmhess

	* [r730] lib/ibutil.c: reset iberr and ibcnt on library calls

2003-06-06 17:07  fmhess

	* [r729] etc/pcmcia/linux-gpib-pcmcia: pcmcia script to call
	  gpib_config

2003-06-06 16:39  fmhess

	* [r728] language/perl/LinuxGpib.xs: made ibrsp and ibrpp read back
	  integer types instead of character.
	  added bindings for ThreadIb*() functions.

2003-06-06 04:59  fmhess

	* [r727] doc/linux-gpib.sgml: added supported hardware section

2003-06-05 20:03  fmhess

	* [r726] driver/cb7210/cb7210_read.c, driver/ines/ines_read.c,
	  driver/nec7210/read.c, driver/tms9914/read.c,
	  driver/tnt4882/tnt4882_read.c: abort reads on device clear

2003-06-05 20:02  fmhess

	* [r725] lib/ibutil.c: fix off-by-one error in checking validity of
	  descriptors

2003-06-04 23:31  fmhess

	* [r724] driver/cb7210/cb7210_write.c, driver/include/nec7210.h,
	  driver/include/tms9914.h, driver/ines/ines_write.c,
	  driver/nec7210/interrupt.c, driver/nec7210/write.c,
	  driver/sys/osfuncs.c, driver/tms9914/interrupt.c,
	  driver/tms9914/write.c, driver/tnt4882/tnt4882_write.c,
	  lib/ibFind.c, lib/ibRd.c, lib/ibWrt.c, lib/ib_internal.h,
	  lib/ibdev.c: abort writes on device clear or bus error, and fixed
	  some problems with
	  querying pad/sad before board is online

2003-06-04 23:05  fmhess

	* [r723] util/Setup.in: default debug symbols on

2003-06-04 22:56  fmhess

	* [r722] INSTALL: added note on pcmcia boards

2003-06-03 20:11  fmhess

	* [r721] examples/Makefile: include util/.config

2003-06-03 02:12  fmhess

	* [r720] lib/gpib_config/gpib_config.c, lib/ibBoard.c, lib/ibCmd.c,
	  lib/ibConf.h, lib/ibConfYacc.y, lib/ibRd.c, lib/ib_internal.h,
	  lib/ibask.c, lib/ibdev.c: more fixes for getting rid of local pad
	  and sad for boards

2003-06-02 22:35  fmhess

	* [r719] doc/linux-gpib.sgml, driver/cb7210/cb7210.h,
	  driver/cb7210/cb7210_init.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c,
	  driver/include/gpibP.h, driver/include/gpib_ioctl.h,
	  driver/include/gpib_types.h, driver/include/nec7210.h,
	  driver/include/protocol_proto.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/interrupt.c, driver/nec7210/interrupt.c,
	  driver/nec7210/util.c, driver/pc2/pc2_init.c,
	  driver/sys/device.c, driver/sys/event.c, driver/sys/ibcac.c,
	  driver/sys/ibcmd.c, driver/sys/ibgts.c, driver/sys/ibread.c,
	  driver/sys/ibrsv.c, driver/sys/ibutil.c, driver/sys/ibwrite.c,
	  driver/sys/osfuncs.c, driver/tms9914/interrupt.c,
	  driver/tms9914/util.c, driver/tnt4882-tms/init.c,
	  driver/tnt4882-tms/tnt4882.h, driver/tnt4882/interrupt.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  lib/ibBoard.c, lib/ibCmd.c, lib/ibConf.h, lib/ibRd.c,
	  lib/ibWait.c, lib/ibWrt.c, lib/ib_internal.h, lib/ibask.c,
	  lib/ibconfig.c, lib/ibutil.c: added support for DTAS and DCAS
	  status bits, and disabling of event
	  queue

2003-06-01 22:22  fmhess

	* [r718] lib/ibask.c, lib/ibutil.c: made ibask() query pad and sad
	  from driver instead of relying on
	  (possibly wrong) local values

2003-06-01 18:31  fmhess

	* [r717] lib/Makefile: fix install of gpib_config

2003-06-01 18:31  fmhess

	* [r716] driver/sys/osfuncs.c: fix improper use of ENODEV in open()

2003-06-01 18:30  fmhess

	* [r715] INSTALL: fix instructions for auto loading/configuring
	  drivers

2003-06-01 18:21  fmhess

	* [r714] lib/gpib_config/gpib_config.c: fix file path

2003-06-01 01:40  fmhess

	* [r713] INSTALL: added some mention of gpib_config to INSTALL

2003-06-01 01:36  fmhess

	* [r712] driver/sys/osfuncs.c, examples/Makefile, lib/Makefile,
	  lib/gpib_config, lib/gpib_config/Makefile,
	  lib/gpib_config/gpib_config.c, lib/gpib_version_script,
	  lib/ibOnl.c, lib/ib_internal.h: added gpib_config utility to
	  support proper permission checking

2003-05-28 19:46  fmhess

	* [r711] lib/ibBoard.c, lib/ibConfYacc.y, lib/ibP.h,
	  lib/ib_internal.h, lib/ibutil.c: purify parser in preparation for
	  use in gpib_conf

2003-05-25 22:56  fmhess

	* [r710] examples/ibtest.c, examples/master_read_to_file.c,
	  examples/master_write_from_file.c, examples/slave_read_to_file.c,
	  examples/slave_write_from_file.c: added mcheck() call to ibtest

2003-05-22 21:51  fmhess

	* [r709] TODO, doc/Makefile, doc/linux-gpib.sgml,
	  driver/cb7210/cb7210_init.c, lib/ib.h, makefile.inc: trivial
	  tweaks

2003-05-18 22:43  fmhess

	* [r708] doc/linux-gpib.sgml: added Trigger, TriggerList, and
	  WaitSRQ entries

2003-05-17 05:55  fmhess

	* [r707] doc/linux-gpib.sgml: added TestSRQ and TestSys

2003-05-17 05:47  fmhess

	* [r706] lib/self_test.c: need to return error when device fails to
	  respond to *TST? query, to
	  distinguish it from a response to a failed self-test.

2003-05-17 05:44  fmhess

	* [r705] lib/self_test.c: fixed count of self-test failures

2003-05-17 03:34  fmhess

	* [r704] lib/ibutil.c: removed user-specifiably config file, since
	  it is a massive security
	  hole

2003-05-16 19:57  fmhess

	* [r703] doc/linux-gpib.sgml: added SendIFC, SnedLLO, and SetRWLS
	  entries

2003-05-15 00:22  fmhess

	* [r702] doc/linux-gpib.sgml: added entries for ResetSys, Send,
	  SendList, SendCmds, SendDataBytes,
	  and SendSetup

2003-05-14 03:52  fmhess

	* [r701] doc/linux-gpib.sgml: added RcvRespMsg, Receive, and
	  ReceiveSetup entries

2003-05-14 02:15  fmhess

	* [r700] doc/linux-gpib.sgml: added PPoll, PPollConfig, and
	  PPollUnconfig entries

2003-05-13 15:59  fmhess

	* [r699] lib/Makefile, lib/ibConfLex.c, lib/ibConfYacc.c,
	  lib/ibConfYacc.h: remove autogenerated files from cvs, i'll make
	  them in a release script
	  instead

2003-05-13 15:58  fmhess

	* [r698] lib/ibFindLstn.c: fixed checking of results array for
	  overflow in FindLstn()

2003-05-13 15:46  fmhess

	* [r697] driver/include/gpib_user.h, driver/include/tms9914.h,
	  driver/tms9914/cmd.c, driver/tms9914/interrupt.c: some tms9914
	  cleanup, and added SAD constant

2003-05-13 00:21  fmhess

	* [r696] doc/linux-gpib.sgml: added FindLstn, FindRQS, and
	  PassControl entries

2003-05-12 20:16  fmhess

	* [r695] util/version: *** empty log message ***

2003-05-10 15:28  fmhess

	* [r694] TODO, driver/pc2/pc2.h, driver/pc2/pc2_init.c,
	  drivers.txt, lib/ibConfLex.c: added pcII/IIa board_type support

2003-05-09 16:37  fmhess

	* [r693] lib/ibConfYacc.c: regenerated file

2003-05-09 13:52  fmhess

	* [r692] lib/ibSic.c: fix ibsic error code

2003-05-08 15:39  fmhess

	* [r691] lib/Makefile, lib/ibBoard.c, lib/ibConfLex.c,
	  lib/ibConfYacc.c, lib/ibConfYacc.h: add autogenerated bison/flex
	  code to cvs, so it is included in tarballs
	  and people don't have to generate it themselves (trying to avoid
	  bugs
	  in old bison versions)

2003-05-08 15:29  fmhess

	* [r690] lib/ibConfLex.l: get rid of yyunput warning

2003-05-08 15:28  fmhess

	* [r689] lib/Makefile: add -DPIC to CFLAGS

2003-05-08 14:56  fmhess

	* [r688] driver/include/linux, driver/include/linux/module.h:
	  copied linux/module.h compat header from comedi, for
	  MODULE_LICENSE problems

2003-05-04 19:45  fmhess

	* [r687] driver/cb7210/cb7210_init.c,
	  driver/hp82335/hp82335_init.c, driver/ines/ines_init.c,
	  driver/nec7210/init.c, driver/pc2/pc2_init.c,
	  driver/sys/osinit.c, driver/tms9914/init.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882/tnt4882_init.c:
	  converted init_module() and cleanup_module to use module_init()
	  and module_exit()

2003-04-17 20:09  fmhess

	* [r685] driver/Makefile, driver/cb7210/Makefile,
	  driver/hp82335/Makefile, driver/ines/Makefile,
	  driver/nec7210/Makefile, driver/pc2/Makefile,
	  driver/sys/Makefile, driver/tms9914/Makefile,
	  driver/tnt4882-tms/Makefile, driver/tnt4882/Makefile,
	  makefile.inc: dont override kernels CC when compiling drivers

2003-04-17 19:55  fmhess

	* [r684] lib/ibConfLex.l: added include of string.h for strlen()

2003-04-17 19:54  fmhess

	* [r683] examples/Makefile, examples/ibtest.c,
	  examples/slave_write_from_file.c: updates for compiling with gcc3
	  and -ansi -pedantic

2003-04-17 19:23  fmhess

	* [r682] makefile.inc: make it easier to switch between gcc 2 and 3

2003-04-17 19:13  fmhess

	* [r681] driver/sys/ibsic.c: added newline to end of file

2003-04-17 17:59  fmhess

	* [r680] Changelog: 3.1.93 changes

2003-04-17 17:23  fmhess

	* [r679] INSTALL: minor updates

2003-04-17 16:55  fmhess

	* [r678] doc/Makefile, doc/linux-gpib.sgml, driver/sys/osinit.c,
	  lib/Makefile, util/Setup.in, util/version: added 'version' file
	  to ease incrementing version globally

2003-04-17 02:49  fmhess

	* [r677] doc/linux-gpib.sgml: added ThreadIbsta(), ThreadIberr(),
	  ThreadIbcnt(), ThreadIbcntl(), MakeAddr(),
	  GetPAD(), and GetSAD() entries

2003-04-17 00:46  fmhess

	* [r676] doc/linux-gpib.sgml: added ibsic() ibtrg() and ibwait()

2003-04-16 03:24  fmhess

	* [r675] doc/linux-gpib.sgml: added entries for ibonl(), ibpct(),
	  and ibrpp()

2003-04-15 22:48  fmhess

	* [r674] lib/ibOnl.c: fix ibonl(ud, 1 );

2003-04-15 19:13  fmhess

	* [r673] driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c,
	  drivers.txt: measurement computing CPCI-GPIB support (courtesy of
	  Sebastian Prassl)

2003-04-15 00:14  fmhess

	* [r672] lib/ibCmd.c, lib/ibConf.h, lib/ibConfYacc.y, lib/ibEos.c,
	  lib/ibEot.c, lib/ibFind.c, lib/ibPad.c, lib/ibRd.c, lib/ibRpp.c,
	  lib/ibRsp.c, lib/ibSad.c, lib/ibTmo.c, lib/ibTrg.c, lib/ibWait.c,
	  lib/ibWrt.c, lib/ib_internal.h, lib/ibask.c, lib/ibbna.c,
	  lib/ibconfig.c, lib/ibdev.c, lib/ibppc.c, lib/ibutil.c,
	  lib/pass_control.c: infrastructure changes to make ibonl(1)
	  support possible. Now it remembers
	  what 'default' values for various settings are.

2003-04-15 00:12  fmhess

	* [r671] doc/linux-gpib.sgml: corrections re: byte swapping

2003-04-14 19:43  fmhess

	* [r670] driver/include/gpib_ioctl.h, driver/sys/osfuncs.c,
	  driver/tms9914/aux.c, lib/ibLoc.c: fixed ibloc with board
	  descriptor

2003-04-14 19:43  fmhess

	* [r669] doc/linux-gpib.sgml: added ibloc description

2003-04-13 03:36  fmhess

	* [r668] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c,
	  driver/include/gpib_types.h, driver/include/nec7210.h,
	  driver/include/tms9914.h, driver/ines/ines.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/nec7210/aux.c, driver/pc2/pc2_init.c,
	  driver/tms9914/aux.c, driver/tnt4882-tms/init.c,
	  driver/tnt4882-tms/tnt4882.h, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_cs.c, driver/tnt4882/tnt4882_init.c: added
	  'return to local' support to drivers

2003-04-13 03:30  fmhess

	* [r667] lib/ib.h, lib/ibLoc.c, lib/ib_internal.h, lib/ibbna.c,
	  lib/ibconfig.c: added IbcBNA option to ibconfig()

2003-04-13 03:26  fmhess

	* [r666] driver/include/gpib_user.h: added IbcBNA constant

2003-04-12 05:14  fmhess

	* [r665] doc/linux-gpib.sgml: added iblines() description

2003-04-10 18:17  fmhess

	* [r664] driver/tnt4882/tnt4882.h: fix BCSR_EOI_BIT definition.
	  This should fix bogus EOI line status
	  with iblines() and NI boards.

2003-04-10 03:06  fmhess

	* [r663] doc/linux-gpib.sgml: added ibcac() and ibevent() entries

2003-04-09 18:56  fmhess

	* [r662] doc/linux-gpib.sgml: added ibbna entry

2003-04-08 19:42  fmhess

	* [r661] language/php/INSTALLATION, language/php/Makefile,
	  language/php/gpib.c: fixed compile of php binding

2003-04-08 03:26  fmhess

	* [r660] examples/ibtest.c: made line status output more human
	  friendly

2003-04-08 02:09  fmhess

	* [r659] driver/include/gpibP.h, driver/sys/osutil.c,
	  driver/tnt4882/interrupt.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_aux.c, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: fixed segfaults on read/write
	  with ni_isa_accel interface

2003-04-08 02:08  fmhess

	* [r658] examples/ibtest.c: added asserting/unassertion of REN

2003-04-08 02:08  fmhess

	* [r657] examples/slave_read_to_file.c,
	  examples/slave_write_from_file.c: add ibwaits() that will be
	  necessary when we start returning errors
	  on being addressed as talker/listener when writing/reading

2003-04-07 19:58  fmhess

	* [r656] doc/linux-gpib.sgml, lib/gpib_version_script, lib/ib.h,
	  lib/ib_internal.h, lib/ibconfig.c, lib/ibppc.c: finished ibist()
	  support

2003-04-07 04:21  fmhess

	* [r655] driver/include/gpib_ioctl.h, driver/sys/osfuncs.c,
	  driver/tms9914/util.c, lib/ibask.c, lib/ibppc.c: more ibist()
	  stuff

2003-04-06 01:26  fmhess

	* [r654] driver/cb7210/cb7210.h: fix pcmcia enabled compile

2003-04-06 01:21  fmhess

	* [r653] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c,
	  driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/nec7210/util.c,
	  driver/pc2/pc2_init.c, driver/tms9914/util.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c: more ibist() support

2003-04-05 21:43  fmhess

	* [r652] driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cec/cec.h, driver/cec/init.c, driver/hp82335/hp82335.h,
	  driver/hp82335/hp82335_init.c, driver/include/gpib_types.h,
	  driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/nec7210/util.c,
	  driver/pc2/pc2_init.c, driver/sys/ibrpp.c, driver/tms9914/util.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c, drivers.txt, lib/ibSre.c,
	  lib/ibppc.c: some infrastructure tweaks for ibist support

2003-04-05 21:42  fmhess

	* [r651] driver/include/gpib_user.h: added PPE_byte() inline
	  function

2003-04-05 21:40  fmhess

	* [r650] language/php/Makefile, language/php/gpib.c: a couple small
	  tweaks to get it to almost compile

2003-04-05 19:23  fmhess

	* [r649] doc/linux-gpib.sgml: added MTA(), MSA(), and MLA() entries

2003-04-05 03:04  fmhess

	* [r648] doc/linux-gpib.sgml: added ibppc(), PPE_byte(), ibrsv(),
	  ibsre(), ibist() entries

2003-04-02 17:05  fmhess

	* [r647] drivers.txt: added ines compact pci

2003-04-01 06:16  fmhess

	* [r646] doc/linux-gpib.sgml: added ibconfig entry and some stubs

2003-03-31 05:34  fmhess

	* [r645] doc/linux-gpib.sgml: added ibask entry, and some stubs

2003-03-30 01:24  fmhess

	* [r644] doc/linux-gpib.sgml: added ibcmd() entry

2003-03-29 03:34  fmhess

	* [r643] lib/ib.h, lib/ibBoard.c, lib/ibClr.c, lib/ibCmd.c,
	  lib/ibFindLstn.c, lib/ibLoc.c, lib/ibRsp.c, lib/ibSre.c,
	  lib/ibTrg.c, lib/ibWrt.c, lib/ib_internal.h, lib/ibppc.c,
	  lib/ibutil.c, lib/local_lockout.c, lib/self_test.c: added const
	  qualifier to a bunch of parameters

2003-03-29 03:34  fmhess

	* [r642] util/templates/gpib.conf: *** empty log message ***

2003-03-28 23:42  fmhess

	* [r641] doc/linux-gpib.sgml: added clear functions

2003-03-28 21:30  fmhess

	* [r640] lib/ibConfLex.l: changed parsing of timeout constants,
	  shouldn't make any practical difference

2003-03-28 21:25  fmhess

	* [r639] lib/ibConf.h, lib/ibConfLex.l, lib/ibConfYacc.y: added
	  set-xeos and set-eot support to config file, and setting of
	  timeouts
	  with usual timeout constants T1s, etc.

2003-03-28 21:23  fmhess

	* [r638] lib/ibRsp.c: added check for board descriptor to ibrsp()

2003-03-28 21:21  fmhess

	* [r637] doc/linux-gpib.sgml: added entries for serial poll
	  functions

2003-03-26 19:57  fmhess

	* [r636] doc/linux-gpib.txt, doc/obsolete-linux-gpib.txt: move
	  linux-gpib.txt to obsolete-linux-gpib.txt

2003-03-26 19:51  fmhess

	* [r635] doc/linux-gpib.sgml: finished section on configuration
	  file, added ibfind entry

2003-03-23 04:03  fmhess

	* [r634] doc/linux-gpib.ps.gz, doc/obsolete-linux-gpib.ps.gz:
	  rename old obsolete docs

2003-03-23 04:02  fmhess

	* [r633] doc/refcard.ps.gz: remove obsolete docs

2003-03-23 03:48  fmhess

	* [r632] doc/linux-gpib.sgml: partial doc for gpib.conf

2003-03-21 04:21  fmhess

	* [r631] lib/ibConfLex.l, lib/ibutil.c, lib/parse.h: fix line
	  counter in parser

2003-03-21 04:10  fmhess

	* [r630] AUTHORS, driver/cb7210/cb7210_cs.c,
	  driver/tnt4882/tnt4882_init.c, lib/ib.h, lib/ibConfLex.l,
	  lib/ibConfYacc.y, lib/ib_internal.h, lib/ibdev.c,
	  util/templates/gpib.conf: tweaking config file format (maintains
	  backward compatibility

2003-03-20 16:08  fmhess

	* [r629] language/php, language/php/FAKE-GPIB,
	  language/php/FAKE-GPIB/Makefile,
	  language/php/FAKE-GPIB/fake-gpib.c, language/php/INSTALLATION,
	  language/php/Makefile, language/php/Makefile.fake,
	  language/php/OLD, language/php/OLD/gpib_user.h,
	  language/php/OLD/ib.h, language/php/TESTS,
	  language/php/TESTS/Makefile, language/php/TESTS/alim1.php,
	  language/php/TESTS/hp4194.php, language/php/TESTS/hp4194a.php,
	  language/php/TESTS/test1, language/php/TESTS/test1.c,
	  language/php/gpib.c, language/php/run,
	  language/php/sample-php.ini: added php binding from Michel
	  Billaud

2003-03-19 05:14  fmhess

	* [r628] language/perl/LinuxGpib.pm, language/perl/LinuxGpib.xs:
	  fixed ibevent(), iblines(), ibrpp(), and ibrsp() perl wrappers

2003-03-19 04:22  fmhess

	* [r627] language/perl/LinuxGpib.pm, language/perl/LinuxGpib.xs:
	  added ibwrti()

2003-03-16 23:49  fmhess

	* [r626] doc/linux-gpib.sgml: added EnableRemote and EnableLocal
	  entries

2003-03-16 03:35  fmhess

	* [r625] doc/linux-gpib.sgml: added ibwrtf() and ibrdf() entries

2003-03-16 01:09  fmhess

	* [r624] doc/linux-gpib.sgml: added descriptions of command bytes

2003-03-15 01:59  fmhess

	* [r623] doc/linux-gpib.sgml: added ibtmo description

2003-03-14 21:20  fmhess

	* [r622] doc/linux-gpib.sgml: added descriptions of ibpad and ibsad

2003-03-14 03:15  fmhess

	* [r621] doc/linux-gpib.sgml: added descriptions of GPIB lines.

2003-03-13 01:35  fmhess

	* [r620] doc/linux-gpib.sgml: added ibcnt/ibcntl entry

2003-03-12 01:01  fmhess

	* [r619] doc/linux-gpib.sgml: added iberr entry

2003-03-10 21:15  fmhess

	* [r618] drivers.txt: added atgpib/tnt entry

2003-03-10 21:13  fmhess

	* [r617] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c:
	  added isapnp support for ni-atgpib/tnt

2003-03-09 23:40  fmhess

	* [r616] doc/linux-gpib.sgml: added ibsta entry

2003-03-09 01:31  fmhess

	* [r615] doc/linux-gpib.sgml: added description of ibeot

2003-03-09 01:31  fmhess

	* [r614] doc/Makefile: don't touch directories on failure

2003-03-09 00:12  fmhess

	* [r613] doc/linux-gpib.sgml: added links and some stubs

2003-03-08 18:10  fmhess

	* [r612] doc/linux-gpib.sgml: added ibeos

2003-03-08 18:06  fmhess

	* [r611] doc/linux-gpib.sgml: *** empty log message ***

2003-03-08 00:32  fmhess

	* [r610] doc/linux-gpib.sgml: added ibwrt() entry

2003-03-07 23:37  fmhess

	* [r609] doc/linux-gpib.sgml: added ibrd() entry

2003-03-07 03:39  fmhess

	* [r608] lib/ib.h: got rid of a bunch of extern's

2003-03-07 00:37  fmhess

	* [r607] doc/Makefile, doc/fdl.xml, doc/linux-gpib.sgml: added fdl
	  license

2003-03-07 00:13  fmhess

	* [r606] doc/Makefile, doc/linux-gpib.sgml: beginnings of sgml
	  documentation

2003-02-27 18:05  fmhess

	* [r605] lib/Makefile: either optimize or turn on debugging

2003-02-27 18:04  fmhess

	* [r604] lib/ibOnl.c: fix possible corruption of
	  conf->board_is_open flag on error

2003-02-27 18:02  fmhess

	* [r603] util/templates/gpib.conf: fix typo

2003-02-23 05:00  fmhess

	* [r602] language/perl/LinuxGpib.xs: fix problem with freeing array
	  elements in ibrdi()

2003-02-23 04:47  fmhess

	* [r601] language/perl/LinuxGpib.xs: made ibrd() and ibrdi() croak
	  on malloc failure, and fixed their
	  return values

2003-02-23 01:14  fmhess

	* [r600] language/perl/LinuxGpib.pm, language/perl/LinuxGpib.xs:
	  added ibrdi() alternate binding for ibrd()

2003-02-23 00:28  fmhess

	* [r599] language/perl/LinuxGpib.xs: allocate buf in ibrd()
	  binding, instead of using stack, and make sure it
	  is null-terminated

2003-02-11 02:17  fmhess

	* [r598] language/perl/Makefile.PL, language/python/setup.py,
	  language/tcl/Makefile: make bindings explicitly link agains
	  libpthread to try and avoid problems
	  with fork/pthread_atfork, etc.

2003-02-11 02:13  fmhess

	* [r597] examples/Makefile, lib/ibBoard.c, lib/ibConf.h,
	  lib/ib_internal.h, lib/ibutil.c: making library fork-safe

2003-02-03 06:07  fmhess

	* [r596] INSTALL: make install instructions more redhat friendly

2003-02-01 17:25  fmhess

	* [r594] Changelog, lib/Makefile: sync for 3.1.92

2003-02-01 17:01  fmhess

	* [r593] driver/tnt4882/tnt4882.h: declare accel interfaces

2003-02-01 16:56  fmhess

	* [r592] driver/tnt4882/tnt4882_cs.c: fixed name of accel interface

2003-01-29 17:11  fmhess

	* [r590] lib/Makefile: sync for 3.1.91

2003-01-29 17:10  fmhess

	* [r589] Changelog: 3.1.91 changes

2003-01-29 02:25  fmhess

	* [r588] driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c: added accel interfaces for isa and
	  pcmcia cards

2003-01-29 02:21  fmhess

	* [r587] drivers.txt: added accel board_type's

2003-01-29 02:15  fmhess

	* [r586] driver/cb7210/cb7210_read.c, driver/cb7210/cb7210_write.c:
	  accel fixes

2003-01-29 00:25  fmhess

	* [r585] driver/cb7210/cb7210_read.c: fix magic number

2003-01-28 05:47  fmhess

	* [r584] examples/slave_write_from_file.c: added configuration of
	  short T1 delay

2003-01-27 23:25  fmhess

	* [r583] driver/cb7210/cb7210_write.c, driver/cb7210/interrupt.c:
	  slightly more informative error messages

2003-01-27 23:22  fmhess

	* [r582] driver/cb7210/cb7210_write.c: fixed cb7210 accel write

2003-01-27 19:20  fmhess

	* [r581] examples/master_read_to_file.c: fix error message

2003-01-27 19:19  fmhess

	* [r580] examples/slave_write_from_file.c: ibrdf() should be
	  ibwrt()

2003-01-27 18:41  fmhess

	* [r579] examples/Makefile, examples/master_read_to_file.c,
	  examples/slave_write_from_file.c: more transfer speed tests

2003-01-26 23:28  fmhess

	* [r578] examples/ibtest.c, examples/master_write_from_file.c,
	  examples/slave_read_to_file.c, lib/ib.h, lib/ibutil.c: make
	  gpib_error_string() slightly easier to use

2003-01-26 23:27  fmhess

	* [r577] driver/nec7210/interrupt.c: be more careful about ignoring
	  interrupts coming from another device sharing
	  same irq

2003-01-26 19:46  fmhess

	* [r576] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_read.c,
	  driver/tnt4882/tnt4882_write.c: fixed accel read

2003-01-24 04:36  fmhess

	* [r575] driver/cb7210/cb7210_read.c, driver/cb7210/cb7210_write.c,
	  driver/include/nec7210.h, driver/ines/ines_init.c,
	  driver/nec7210/aux.c, driver/nec7210/read.c,
	  driver/nec7210/util.c, driver/nec7210/write.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c, driver/tnt4882/tnt4882_write.c:
	  initial tnt4882 accelerated read support, untested

2003-01-23 00:35  fmhess

	* [r574] driver/include/gpib_ioctl.h, driver/include/gpib_user.h,
	  lib/ibask.c, lib/ibconfig.c: implemented setting/querying T1
	  delay in ibconfig()/ibask()

2003-01-21 23:30  fmhess

	* [r573] driver/cb7210/cb7210.h, driver/cb7210/cb7210_aux.c,
	  driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cec/init.c, driver/hp82335/hp82335_init.c,
	  driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/ines/ines_util.c,
	  driver/nec7210/aux.c, driver/pc2/pc2_init.c,
	  driver/tms9914/aux.c, driver/tnt4882-tms/init.c,
	  driver/tnt4882/tnt4882_aux.c, driver/tnt4882/tnt4882_cs.c:
	  implemented adjustable T1 delays in all drivers

2003-01-19 17:18  fmhess

	* [r572] driver/nec7210/board.h, driver/nec7210/cmd.c,
	  driver/nec7210/read.c, driver/nec7210/write.c: make nec7210
	  read/write/command a little nicer with regard to scheduling

2003-01-19 17:05  fmhess

	* [r571] lib/ibCmd.c, lib/ibWrt.c: added error message

2003-01-19 17:03  fmhess

	* [r570] driver/sys/ibcmd.c, driver/sys/osfuncs.c: fix timeout bug
	  in command ioctl

2003-01-19 01:53  fmhess

	* [r569] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/sys/osfuncs.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_aux.c, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_write.c: added some support for adjusting
	  T1 delay

2003-01-18 17:35  fmhess

	* [r568] driver/sys/osfuncs.c: got rid of bogus bug message, more
	  careful about locking board

2003-01-18 17:34  fmhess

	* [r567] lib/ibCmd.c, lib/ibOnl.c, lib/ib_internal.h, lib/ibutil.c:
	  locking fixes

2003-01-17 01:36  fmhess

	* [r566] driver/tnt4882/Makefile, driver/tnt4882/interrupt.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c,
	  driver/tnt4882/tnt4882_read.c, driver/tnt4882/tnt4882_write.c:
	  start of accel support for tnt4882

2003-01-16 01:19  fmhess

	* [r565] TODO, driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cb7210/cb7210_read.c,
	  drivers.txt: added interfaces for cb7210 pci and isa accel

2003-01-15 05:07  fmhess

	* [r564] driver/cb7210/cb7210_read.c, driver/nec7210/read.c: fix
	  error handling in cb accel

2003-01-15 03:36  fmhess

	* [r563] driver/cb7210/cb7210_read.c, driver/cb7210/interrupt.c:
	  okay im done fiddling with cb7210 accel support for now

2003-01-15 02:43  fmhess

	* [r562] driver/cb7210/cb7210_read.c, driver/cb7210/interrupt.c:
	  fix reception of END on cb accel

2003-01-15 02:29  fmhess

	* [r561] driver/cb7210/interrupt.c: fixed detection of EOI in fifo
	  receive mode

2003-01-14 23:29  fmhess

	* [r560] TODO, driver/cb7210/cb7210_read.c,
	  driver/cb7210/interrupt.c, driver/include/nec7210.h,
	  driver/ines/ines_init.c, driver/ines/ines_read.c,
	  driver/nec7210/aux.c, driver/nec7210/interrupt.c,
	  driver/nec7210/read.c, driver/nec7210/util.c,
	  driver/tnt4882/tnt4882_init.c: more rfd holdoff tweaking

2003-01-14 01:56  fmhess

	* [r559] driver/cb7210/cb7210_read.c, driver/cb7210/interrupt.c,
	  driver/nec7210/read.c: more cb7210 accel cleanup/fixes. Still
	  occasionally get a corrupt byte
	  on transfers, but there doesn't seem to be anything I can do
	  about it.
	  it seems to just be a bad memory location in my board's fifo?

2003-01-14 01:54  fmhess

	* [r558] lib/ibRd.c: fix setting of eos in ibrdf()

2003-01-13 00:15  fmhess

	* [r557] driver/include/gpibP.h: fix compile warning

2003-01-13 00:07  fmhess

	* [r556] driver/include/gpibP.h, lib/Makefile, util/Setup.in: added
	  compile option to compile lib with debug symbols

2003-01-13 00:02  fmhess

	* [r555] lib/ibLines.c: allow iblines() calls without needing board
	  lock

2003-01-13 00:01  fmhess

	* [r554] lib/ibWrt.c: fixed segfault caused by my braindead change

2003-01-12 22:10  fmhess

	* [r553] driver/cb7210/cb7210_read.c: fix typo

2003-01-12 22:08  fmhess

	* [r552] driver/cb7210/cb7210_read.c, driver/include/nec7210.h,
	  driver/ines/ines_init.c, driver/nec7210/aux.c,
	  driver/nec7210/board.h, driver/tnt4882/tnt4882_init.c: some
	  cleanup of cb7210 accel read

2003-01-12 21:25  fmhess

	* [r551] driver/nec7210/read.c: make it infintesimally more likely
	  for rfd holdoff on timeout

2003-01-12 03:59  fmhess

	* [r550] lib/ibRd.c: fix error handling

2003-01-12 03:58  fmhess

	* [r549] examples/master_write_from_file.c: removed annoying pause
	  at beginning

2003-01-12 03:56  fmhess

	* [r548] driver/cb7210/cb7210_read.c, driver/include/nec7210.h,
	  driver/ines/ines_read.c, driver/nec7210/aux.c,
	  driver/nec7210/board.h, driver/nec7210/init.c,
	  driver/nec7210/read.c, driver/nec7210/util.c: more tweaks to rfd
	  holdoffs

2003-01-12 00:59  fmhess

	* [r547] driver/ines/ines_init.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_init.c: make sure rfd holdoff is true when
	  board is first brought online, and
	  after timeout errors (on chips that support rfd holdoff
	  immediate)

2003-01-12 00:40  fmhess

	* [r546] driver/nec7210/read.c: changing rfd holdoff stuff to try
	  and work around incompatibilites between
	  'nec7210 compatible' chips

2003-01-11 03:19  fmhess

	* [r545] driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c,
	  driver/cb7210/cb7210_read.c, driver/cb7210/interrupt.c,
	  driver/ines/ines_read.c, driver/nec7210/read.c,
	  driver/nec7210/util.c, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  driver/tnt4882-tms/init.c: cb fifo read working, and in desperate
	  need of cleanup. Wanted to get
	  a working copy checked in before prettying it up though

2003-01-10 04:11  fmhess

	* [r544] lib/ibRd.c, lib/ibWrt.c: increase buffer size in ibwrtf
	  and ibrdf for sake of cb7210 fifos

2003-01-09 19:50  fmhess

	* [r543] driver/cb7210/cb7210.h, driver/cb7210/cb7210_read.c,
	  driver/cb7210/interrupt.c: trying to deal with fifo reads that
	  aren't terminated by END (untested)

2003-01-09 07:47  fmhess

	* [r542] driver/cb7210/cb7210.h, driver/cb7210/cb7210_init.c,
	  driver/cb7210/cb7210_read.c, driver/cb7210/cb7210_write.c,
	  driver/cb7210/interrupt.c, driver/nec7210/interrupt.c,
	  driver/nec7210/util.c, driver/nec7210/write.c,
	  driver/sys/ibread.c, driver/sys/ibwrite.c, examples/ibtest.c: cb
	  fifos mostly working now

2003-01-09 05:09  fmhess

	* [r541] driver/cb7210/cb7210_init.c, driver/cb7210/interrupt.c,
	  driver/cec/init.c, driver/cec/interrupt.c,
	  driver/hp82335/hp82335_init.c, driver/include/nec7210.h,
	  driver/ines/ines_init.c, driver/ines/interrupt.c,
	  driver/nec7210/cmd.c, driver/nec7210/interrupt.c,
	  driver/nec7210/read.c, driver/nec7210/util.c,
	  driver/nec7210/write.c, driver/pc2/interrupt.c,
	  driver/pc2/pc2_init.c, driver/tms9914/interrupt.c,
	  driver/tnt4882-tms/interrupt.c, driver/tnt4882/interrupt.c,
	  driver/tnt4882/tnt4882_init.c: decided I don't like a seperate
	  lock for the nec7210 after all

2003-01-09 04:04  fmhess

	* [r540] TODO, driver/ines/ines_read.c, driver/nec7210/init.c,
	  driver/nec7210/read.c: tweak holdoff releasing to deal with
	  incompatibilities between tnt4882 and
	  cb7210 emulations of nec7210 behaviour

2003-01-09 04:01  fmhess

	* [r539] examples/ibtest.c: added ibsic()

2003-01-08 20:39  fmhess

	* [r538] driver/ines/ines_read.c, driver/nec7210/aux.c,
	  driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/nec7210/util.c, driver/sys/device.c, driver/sys/ibcac.c,
	  driver/sys/ibgts.c, driver/tms9914/aux.c,
	  driver/tms9914/interrupt.c, driver/tms9914/util.c: fix problems
	  with releasing rfd holdoff on reads for nec7210

2003-01-08 17:48  fmhess

	* [r537] lib/ibdev.c: fix retrieval of eos flags

2003-01-08 16:25  fmhess

	* [r536] AUTHORS, examples/ibtest.c, lib/globals.c: ThreadIb*() fix
	  from Kentaro Kitigawa

2003-01-07 18:09  fmhess

	* [r535] driver/cb7210/Makefile, driver/cb7210/cb7210.h,
	  driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cb7210/cb7210_read.c, driver/cb7210/cb7210_write.c,
	  driver/cb7210/interrupt.c, driver/cec/init.c,
	  driver/include/nec7210.h, driver/ines/ines_init.c,
	  driver/nec7210/cmd.c, driver/nec7210/init.c,
	  driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/nec7210/util.c, driver/nec7210/write.c,
	  driver/pc2/pc2_init.c, driver/tnt4882/tnt4882_init.c,
	  lib/ibdev.c: preliminary support for accellerated cb7210 (doesn't
	  work)

2003-01-06 01:28  fmhess

	* [r534] examples/Makefile, lib/ibWrt.c: fix send EOI with ibwrtf()

2003-01-06 00:57  fmhess

	* [r533] lib/ibutil.c: fix segfault when using board index as
	  descriptor

2003-01-06 00:42  fmhess

	* [r532] lib/ibdev.c, lib/ibutil.c: fix for using board index as
	  board descriptor

2003-01-06 00:27  fmhess

	* [r531] examples/Makefile, examples/slave_read_to_file.c: fix
	  timeout in slave_read_to_file

2003-01-06 00:22  fmhess

	* [r530] examples/Makefile, examples/ibtest.c,
	  examples/master_write_from_file.c, examples/slave_read_to_file.c:
	  new demos for performance testing

2003-01-05 23:24  fmhess

	* [r529] examples/ibtest.c, lib/gpib_version_script, lib/ib.h,
	  lib/ibCmd.c, lib/ibutil.c: added gpib_error_string()

2003-01-05 22:21  fmhess

	* [r528] lib/gpib_version_script, lib/ib.h, lib/ibRd.c,
	  lib/ibWrt.c: added ibrdf() and ibwrtf()

2003-01-04 22:00  fmhess

	* [r527] language/tcl/ibCmds.c, lib/gpib_version_script, lib/ib.h,
	  lib/ibOnl.c, lib/ibSic.c, lib/ib_internal.h, lib/ibconfig.c,
	  lib/ibutil.c: implemented ibrsc()

2003-01-03 20:19  fmhess

	* [r526] language/python/gpibinter.c: ib.h -> gpib/ib.h

2003-01-02 19:37  fmhess

	* [r525] driver/cb7210/Makefile, driver/cb7210/cb7210.h,
	  driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cec/Makefile, driver/cec/cec.h, driver/cec/init.c,
	  driver/hp82335/Makefile, driver/hp82335/hp82335.h,
	  driver/hp82335/hp82335_init.c, driver/include/gpib_ioctl.h,
	  driver/include/gpib_proto.h, driver/include/gpib_types.h,
	  driver/include/nec7210.h, driver/include/protocol_proto.h,
	  driver/include/tms9914.h, driver/ines/Makefile,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/nec7210/Makefile,
	  driver/nec7210/aux.c, driver/nec7210/board.h,
	  driver/pc2/Makefile, driver/pc2/pc2.h, driver/pc2/pc2_init.c,
	  driver/sys/Makefile, driver/sys/ibinit.c, driver/sys/ibsic.c,
	  driver/sys/ibsre.c, driver/sys/osfuncs.c,
	  driver/tms9914/Makefile, driver/tms9914/aux.c,
	  driver/tms9914/board.h, driver/tnt4882-tms/Makefile,
	  driver/tnt4882-tms/tnt4882.h, driver/tnt4882/Makefile,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c, lib/Makefile, lib/async.c,
	  lib/globals.c, lib/ibBdChrConfig.c, lib/ibBoard.c, lib/ibCac.c,
	  lib/ibClr.c, lib/ibCmd.c, lib/ibDma.c, lib/ibEos.c, lib/ibEot.c,
	  lib/ibError.c, lib/ibEvent.c, lib/ibFind.c, lib/ibFindLstn.c,
	  lib/ibGts.c, lib/ibLines.c, lib/ibLoc.c, lib/ibOnl.c,
	  lib/ibPad.c, lib/ibRd.c, lib/ibRpp.c, lib/ibRsp.c, lib/ibRsv.c,
	  lib/ibSad.c, lib/ibSdbg.c, lib/ibSic.c, lib/ibSre.c, lib/ibTmo.c,
	  lib/ibTrg.c, lib/ibWait.c, lib/ibWrt.c, lib/ib_internal.h,
	  lib/ibask.c, lib/ibbna.c, lib/ibconfig.c, lib/ibdev.c,
	  lib/ibppc.c, lib/ibutil.c, lib/local_lockout.c,
	  lib/pass_control.c, lib/self_test.c: got rid of massive dependeny
	  files that slowed compilation. Clairified
	  difference between controller-in-charge and system controller.
	  Infastructure
	  for coming ibrsc() support

2002-12-31 02:18  fmhess

	* [r524] TODO, driver/sys/ibinit.c, lib/Makefile,
	  lib/gpib_version_script, lib/ib.h, lib/ibBoard.c, lib/ibCac.c,
	  lib/ibClr.c, lib/ibCmd.c, lib/ibFind.c, lib/ibFindLstn.c,
	  lib/ibGts.c, lib/ibLoc.c, lib/ibOnl.c, lib/ibP.h, lib/ibRd.c,
	  lib/ibRpp.c, lib/ibRsp.c, lib/ibSic.c, lib/ibSre.c, lib/ibWait.c,
	  lib/ibWrt.c, lib/ib_internal.h, lib/ibask.c, lib/ibbna.c,
	  lib/ibppc.c, lib/ibutil.c, lib/pass_control.c, lib/self_test.c:
	  added ibpct() and PassControl()

2002-12-31 02:11  fmhess

	* [r523] driver/tnt4882/tnt4882_init.c: fixed enabling of isr0
	  interrupts

2002-12-27 01:17  fmhess

	* [r522] driver/ines/ines.h, driver/ines/ines_init.c,
	  driver/ines/interrupt.c, drivers.txt: added handling of transfer
	  counter interrupt for accelerated ines support

2002-12-26 17:27  fmhess

	* [r521] driver/ines/ines_init.c: fix compile error

2002-12-26 00:26  fmhess

	* [r520] driver/cec/init.c, driver/include/nec7210.h,
	  driver/ines/Makefile, driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/ines/ines_read.c,
	  driver/ines/ines_util.c, driver/ines/ines_write.c,
	  driver/ines/interrupt.c, driver/nec7210/cmd.c,
	  driver/nec7210/init.c, driver/nec7210/interrupt.c,
	  driver/nec7210/read.c, driver/nec7210/util.c,
	  driver/nec7210/write.c, driver/pc2/pc2_init.c,
	  driver/sys/ibread.c, driver/sys/ibwait.c, driver/sys/ibwrite.c,
	  driver/sys/osfuncs.c, driver/sys/ostimer.c, driver/tms9914/cmd.c,
	  driver/tms9914/interrupt.c, driver/tms9914/read.c,
	  driver/tms9914/write.c, driver/tnt4882/interrupt.c, drivers.txt:
	  accelerated ines support + random stuff

2002-12-24 21:07  fmhess

	* [r519] driver/nec7210/aux.c, driver/sys/device.c,
	  driver/sys/ibcac.c, driver/sys/ibcmd.c, driver/sys/ibgts.c,
	  driver/sys/ibinit.c, driver/sys/ibread.c, driver/sys/ibrpp.c,
	  driver/sys/ibsys.h, driver/sys/ibwrite.c, driver/sys/osinit.c,
	  driver/tms9914/aux.c, driver/tnt4882/interrupt.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c: added
	  support for IFC events in tnt4882 support. Fixed clean up of
	  event queue when taking board offline.

2002-12-23 19:51  fmhess

	* [r518] language/perl/LinuxGpib.xs, language/perl/Makefile.PL:
	  link to local library

2002-12-23 19:15  fmhess

	* [r517] examples/ibtest.c: fixed official location of header

2002-12-23 19:12  fmhess

	* [r516] language/perl/LinuxGpib.pm, language/perl/LinuxGpib.xs:
	  removed nonexistant functions

2002-12-22 05:13  fmhess

	* [r515] language/tcl/ibCmds.c: fix compile

2002-12-22 04:26  fmhess

	* [r514] language/perl/LinuxGpib.xs: fix for perl.h doing a #define
	  on BIN, blah

2002-12-22 04:15  fmhess

	* [r513] language/perl/LinuxGpib.xs, language/perl/MANIFEST,
	  language/perl/Makefile.PL: fixed locations of include files

2002-12-20 20:49  fmhess

	* [r512] Changelog: typo

2002-12-20 20:30  fmhess

	* [r510] Changelog, driver/hp82335/hp82335_init.c, lib/Makefile:
	  sync for 3.1.9

2002-12-20 20:08  fmhess

	* [r509] util/templates/gpib.conf: fix typos

2002-12-20 03:33  fmhess

	* [r508] lib/ibask.c, lib/ibconfig.c: made ibask() and ibconfig()
	  reflect current state of event queue development

2002-12-20 00:03  fmhess

	* [r507] lib/ibEvent.c: improve error handling

2002-12-19 20:08  fmhess

	* [r506] examples/ibtest.c: get rid of printing spurious sign bits
	  on query of bus line status

2002-12-19 20:06  fmhess

	* [r505] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cb7210/cbi4882.txt: fixed
	  computer boards devices not asserting IFC or REM

2002-12-19 19:37  fmhess

	* [r504] driver/cb7210/cb7210_aux.c: fix polarity of bus status
	  bits

2002-12-19 19:23  fmhess

	* [r503] examples/ibtest.c: added reading of bus control lines

2002-12-19 18:56  fmhess

	* [r502] driver/cb7210/cb7210_cs.c: request shared irq

2002-12-19 04:22  fmhess

	* [r501] driver/sys/osfuncs.c, lib/ibEvent.c: ibevent() should work
	  now. Fixed spurious up() when ioctl is called
	  with no board configured

2002-12-19 02:30  fmhess

	* [r500] driver/include/gpib_ioctl.h: added ioctl for event queue,
	  reduced preprocessor usage

2002-12-19 02:29  fmhess

	* [r499] drivers.txt: hp82335 works now

2002-12-18 16:51  fmhess

	* [r498] driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/hp82335/hp82335_init.c, driver/include/nec7210.h,
	  driver/ines/ines_init.c, driver/nec7210/init.c,
	  driver/nec7210/interrupt.c, driver/pc2/interrupt.c,
	  driver/pc2/pc2_init.c, driver/tms9914/init.c,
	  driver/tnt4882/tnt4882_init.c: added nec7210_board_online() and
	  nec7210_interrupt_have_status()

2002-12-18 03:11  fmhess

	* [r497] driver/tms9914/read.c: fix timeout on read

2002-12-18 02:32  fmhess

	* [r496] driver/hp82335/hp82335_init.c,
	  driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/include/tms9914.h,
	  driver/nec7210/aux.c, driver/sys/osfuncs.c, driver/tms9914/aux.c,
	  driver/tms9914/cmd.c, driver/tms9914/interrupt.c, lib/Makefile,
	  lib/ib.h, lib/ibConf.h, lib/ibP.h: fix hp82335 support, got rid
	  of a bunch of pedantic warnings with gcc3

2002-12-17 03:13  fmhess

	* [r495] driver/sys/event.c, driver/sys/ibutil.c: more event
	  support, fixed possible sleep in interrupt due to kmalloc
	  in push_gpib_event()

2002-12-17 03:12  fmhess

	* [r494] driver/include/gpibP.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h: reduced use of preprocessor

2002-12-16 23:27  fmhess

	* [r493] driver/include/tms9914.h, driver/tms9914/init.c,
	  driver/tms9914/interrupt.c, driver/tms9914/util.c: added support
	  for reading back serial poll status to tms9914

2002-12-16 23:17  fmhess

	* [r492] TODO, driver/include/tms9914.h, driver/nec7210/read.c,
	  driver/nec7210/util.c, driver/tms9914/interrupt.c,
	  driver/tms9914/read.c, driver/tms9914/util.c, examples/ibtest.c,
	  util/templates/gpib.conf: added support for terminating reads on
	  eos char for tms9914

2002-12-16 20:05  fmhess

	* [r491] lib/ibdev.c: fixed my_ibdev to use 'real' secondary
	  addresses

2002-12-16 19:54  fmhess

	* [r490] driver/hp82335/hp82335_init.c, driver/include/gpib_user.h,
	  driver/include/tms9914.h, driver/nec7210/interrupt.c,
	  driver/tms9914/init.c, driver/tms9914/interrupt.c,
	  driver/tms9914/util.c, driver/tnt4882-tms/init.c: fix secondary
	  addressing support for tms9914 chips

2002-12-15 23:35  fmhess

	* [r489] TODO, driver/hp82335/hp82335_init.c,
	  driver/include/tms9914.h, driver/sys/autopoll.c,
	  driver/sys/device.c, driver/sys/ibsic.c, driver/sys/osfuncs.c,
	  driver/tms9914/aux.c, driver/tms9914/board.h,
	  driver/tms9914/interrupt.c, driver/tms9914/util.c: hp82335 fixes

2002-12-15 00:55  fmhess

	* [r488] driver/include/gpibP.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/nec7210/board.h,
	  driver/nec7210/interrupt.c, driver/nec7210/util.c,
	  driver/sys/Makefile, driver/sys/autopoll.c, driver/sys/event.c,
	  driver/sys/ibinit.c, driver/sys/ibrpp.c, driver/sys/osfuncs.c,
	  driver/sys/osinit.c: added event queue to driver
	  fix attempts to autopoll when not master
	  fix autopoll timeout
	  fix report of error on status queue overflow

2002-12-15 00:52  fmhess

	* [r487] lib/ibFind.c, lib/ibRsp.c, lib/ib_internal.h, lib/ibdev.c,
	  lib/ibutil.c: fixed rejection of attempts to open board address
	  with ibdev()

2002-12-14 21:04  fmhess

	* [r486] driver/include/nec7210.h, driver/sys/autopoll.c: reduced
	  preprocessor usage

2002-12-14 20:24  fmhess

	* [r485] driver/nec7210/aux.c, driver/nec7210/interrupt.c,
	  driver/nec7210/util.c: really fixed keeping track of when nec7210
	  is ready to write a data or
	  command byte (fixed bus errors on serial poll).

2002-12-14 19:53  fmhess

	* [r484] TODO, driver/include/gpib_registers.h, lib/ibBoard.c,
	  lib/ibOnl.c, lib/ib_internal.h: fix so remote enable is set
	  before autopoll thread is started, but still
	  needs better solution

2002-12-14 19:12  fmhess

	* [r483] include/gpibP.h: removed unused header

2002-12-14 04:34  fmhess

	* [r482] driver/hp82335/hp82335_init.c: trying to get interrupt to
	  clear properly in handler

2002-12-13 18:35  fmhess

	* [r481] TODO: devfs done, that was easy

2002-12-13 18:33  fmhess

	* [r480] driver/ines/ines_cs.c: final cleanup of old hacks, works
	  now

2002-12-13 18:33  fmhess

	* [r479] driver/sys/osinit.c: devfs support

2002-12-13 02:30  fmhess

	* [r478] driver/tms9914/interrupt.c, lib/ibWrt.c: set ibcnt to
	  errno on write error

2002-12-13 02:29  fmhess

	* [r477] driver/include/tms9914.h: reduce use of preprocessor

2002-12-13 02:28  fmhess

	* [r476] driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c:
	  fix enabling of interrupts

2002-12-13 02:27  fmhess

	* [r475] driver/sys/osfuncs.c: fix return of errors on writes

2002-12-12 03:32  fmhess

	* [r474] driver/hp82335/hp82335_init.c: fix release of iomem region
	  to take into account extension rom

2002-12-12 03:31  fmhess

	* [r473] driver/tms9914/cmd.c: made board untalk and unlisten when
	  UNT/UNL command byte is sent

2002-12-11 17:55  fmhess

	* [r472] README.hp82335: put hp82335 documentation back in, with
	  update

2002-12-11 17:46  fmhess

	* [r471] driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c:
	  fixed allocation of iomem region to get around expansion rom

2002-12-11 07:16  fmhess

	* [r470] driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c:
	  add init of ccr register

2002-12-11 02:14  fmhess

	* [r469] driver/ines/ines_cs.c: one more try at doing it the
	  'right' way

2002-12-11 01:57  fmhess

	* [r468] driver/ines/ines_cs.c: fix incorrect cvs conflict
	  resolution

2002-12-11 01:45  fmhess

	* [r467] driver/ines/ines_cs.c: revert!

2002-12-09 22:18  fmhess

	* [r466] driver/ines/ines_cs.c: fix compile error

2002-12-09 22:12  fmhess

	* [r465] driver/ines/ines_cs.c: put back initialization of assigned
	  iobase address

2002-12-09 20:57  fmhess

	* [r464] driver/ines/ines_cs.c: fixed access speed for attribute
	  memory and Present mask

2002-12-09 19:11  fmhess

	* [r463] driver/ines/ines_cs.c: fixing up irq allocation

2002-12-09 00:32  fmhess

	* [r462] driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/include/gpibP.h, driver/sys/osinit.c,
	  driver/tnt4882/tnt4882_init.c, lib/ibBoard.c: adding support for
	  pci_bus and pci_slot configuration options to rest of
	  drivers

2002-12-04 19:38  fmhess

	* [r461] driver/cb7210/cb_cis_dump.txt: added cis dump for cb card

2002-12-04 19:36  fmhess

	* [r460] driver/ines/ines_cis_dump.txt, driver/ines/ines_cs.c:
	  fixes for ines pcmcia support that I broke

2002-12-02 04:43  fmhess

	* [r459] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/ines/ines_init.c, driver/sys/osfuncs.c,
	  driver/sys/osinit.c, lib/ibBdChrConfig.c, lib/ibBoard.c,
	  lib/ibConf.h, lib/ibConfLex.l, lib/ibConfYacc.y,
	  util/templates/gpib.conf: added ability to specify pci bus and
	  slot of board (only supported in ines
	  driver so far )

2002-11-24 14:00  fmhess

	* [r458] driver/pc2/pc2.h, driver/pc2/pc2_init.c: made pc2a
	  interrupt shareable

2002-11-22 01:26  fmhess

	* [r457] Changelog: changes for 3.1.8

2002-11-22 01:14  fmhess

	* [r455] driver/tms9914/aux.c, driver/tms9914/cmd.c,
	  driver/tms9914/init.c, driver/tms9914/interrupt.c,
	  driver/tms9914/read.c, driver/tms9914/write.c,
	  driver/tnt4882-tms/init.c: tms9914 fixes

2002-11-21 23:49  fmhess

	* [r454] driver/nec7210/interrupt.c, driver/sys/autopoll.c,
	  driver/sys/device.c, driver/sys/ibsic.c, lib/Makefile, lib/ib.h:
	  sync for 3.1.8

2002-11-21 18:11  fmhess

	* [r453] driver/ines/Makefile: compilation fix

2002-11-21 18:10  fmhess

	* [r452] driver/ines/ines.h, driver/ines/ines_cs.c: compilation
	  fixes

2002-11-21 18:08  fmhess

	* [r451] driver/ines/ines_util.c: added definition of
	  ines_line_status()

2002-11-21 17:38  fmhess

	* [r450] TODO, driver/cb7210/Makefile, driver/cb7210/cb7210.h,
	  driver/cb7210/cb7210_aux.c, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/hp82335/hp82335_init.c,
	  driver/include/gpib_user.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/tms9914/util.c,
	  driver/tnt4882/Makefile, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_aux.c, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c: added line status monitoring to
	  drivers for hardware that supports it

2002-11-18 19:12  fmhess

	* [r449] drivers.txt: added old HP cards

2002-11-11 08:53  fmhess

	* [r448] driver/Makefile, driver/cb7210/Makefile,
	  driver/cb7210/cb7210_init.c, driver/cec/Makefile,
	  driver/cec/init.c, driver/hp82335, driver/hp82335/Makefile,
	  driver/hp82335/hp82335.h, driver/hp82335/hp82335_init.c,
	  driver/include/gpibP.h, driver/include/nec7210.h,
	  driver/include/tms9914.h, driver/ines/Makefile,
	  driver/ines/ines_init.c, driver/nec7210/Makefile,
	  driver/nec7210/init.c, driver/nec7210/interrupt.c,
	  driver/nec7210/read.c, driver/nec7210/write.c,
	  driver/pc2/Makefile, driver/pc2/pc2_init.c, driver/sys/Makefile,
	  driver/sys/osinit.c, driver/sys/osutil.c,
	  driver/tms9914/Makefile, driver/tms9914/init.c,
	  driver/tnt4882-tms/Makefile, driver/tnt4882-tms/init.c,
	  driver/tnt4882/Makefile, driver/tnt4882/tnt4882_init.c,
	  util/Setup.in: initial pass at hp82335 support

2002-11-06 02:13  fmhess

	* [r447] driver/include/gpib_types.h,
	  driver/include/protocol_proto.h, driver/sys/ibinit.c,
	  driver/sys/ibsys.h, driver/sys/osfuncs.c, lib/globals.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibTrg.c, lib/ibWait.c:
	  added WaitSRQ(), fixed taking board offline on close(), added
	  initialization
	  of global status variables

2002-11-05 21:21  fmhess

	* [r446] driver/sys/osfuncs.c, lib/Makefile,
	  lib/gpib_version_script, lib/ib.h, lib/ibLines.c, lib/ibRd.c,
	  lib/ibTrg.c, lib/ib_internal.h, lib/self_test.c: added TestSRQ(),
	  TestSys(), Trigger(), and TriggerList()

2002-11-05 00:06  fmhess

	* [r445] lib/Makefile, lib/gpib_version_script, lib/ib.h,
	  lib/ibCmd.c, lib/ibSic.c, lib/ibSre.c, lib/ib_internal.h,
	  lib/local_lockout.c: added SendCmds(), SendIFC(), SendLLO(), and
	  SetRWLS()

2002-11-03 23:39  fmhess

	* [r444] lib/globals.c, lib/gpib_version_script, lib/ib.h,
	  lib/ibBoard.c, lib/ibCmd.c, lib/ibWrt.c, lib/ib_internal.h,
	  lib/ibutil.c: added Send(), SendDataBytes(), and SendList()

2002-11-03 01:25  fmhess

	* [r443] driver/include/gpib_ioctl.h,
	  driver/include/protocol_proto.h, driver/sys/Makefile,
	  driver/sys/ibinit.c, driver/sys/ibsic.c, driver/sys/osfuncs.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibBoard.c, lib/ibClr.c,
	  lib/ibSic.c, lib/ib_internal.h: partial implementation of
	  ResetSys()

2002-11-02 17:51  fmhess

	* [r442] lib/gpib_version_script, lib/ib.h, lib/ibRd.c,
	  lib/ibRsp.c: added ReadStatusByte(), Receive(), and
	  ReceiveSetup()

2002-11-02 01:06  fmhess

	* [r441] lib/gpib_version_script, lib/ib.h, lib/ibEos.c,
	  lib/ibFind.c, lib/ibRd.c, lib/ib_internal.h, lib/ibdev.c: added
	  RcvRespMsg()

2002-11-01 00:23  fmhess

	* [r440] lib/gpib_version_script, lib/ib.h, lib/ibppc.c: added
	  PPollConfig() and PPollUnconfig()

2002-10-31 21:57  fmhess

	* [r439] driver/include/gpib_ioctl.h, driver/include/gpib_user.h,
	  driver/sys/device.c, driver/sys/ibutil.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibConfYacc.y, lib/ibRpp.c,
	  lib/ibRsp.c, lib/ibWrt.c, lib/ibask.c, lib/ibconfig.c: added
	  FindRQS() and PPoll(), and changed some bit definitions for
	  compatibility with NI

2002-10-31 19:56  fmhess

	* [r438] TODO, driver/include/gpib_ioctl.h,
	  driver/include/gpib_user.h, driver/include/sys_proto.h,
	  driver/sys/autopoll.c, driver/sys/device.c, driver/sys/osfuncs.c,
	  lib/ibP.h: implemented marginally more efficient autopoll all
	  devices protocol

2002-10-31 00:21  fmhess

	* [r437] driver/include/gpib_user.h, driver/sys/iblines.c,
	  lib/Makefile, lib/gpib_version_script, lib/ib.h, lib/ibClr.c,
	  lib/ibCmd.c, lib/ibFindLstn.c, lib/ibGts.c, lib/ibLines.c,
	  lib/ibLoc.c, lib/ibRsp.c, lib/ibSre.c, lib/ib_internal.h,
	  lib/ibutil.c: added EnableRemote() EnableLocal() and FindLstn()

2002-10-30 18:16  fmhess

	* [r436] lib/gpib_version_script, lib/ib.h, lib/ibClr.c,
	  lib/ibCmd.c, lib/ibOnl.c, lib/ibRsp.c, lib/ibSre.c,
	  lib/ib_internal.h, lib/ibdev.c: fixing setting of remote enable
	  after recent changes, added SendSetup() and AllSpoll()

2002-10-30 17:43  fmhess

	* [r435] driver/include/gpib_user.h: getting setting of remote
	  enable working again after recent changes

2002-10-29 23:20  fmhess

	* [r434] driver/include/gpib_user.h, lib/globals.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibClr.c, lib/ibCmd.c,
	  lib/ib_internal.h, lib/ibutil.c: implemented DevClear() and
	  DevClearList()

2002-10-29 19:00  fmhess

	* [r433] driver/sys/osfuncs.c, examples/ibtest.c, lib/ibBoard.c,
	  lib/ibConf.h, lib/ibOnl.c, lib/ibSre.c, lib/ib_internal.h,
	  lib/ibdev.c, lib/ibutil.c, lib/parse.h: more support for using
	  minor number as board descriptor

2002-10-29 01:47  fmhess

	* [r432] driver/include/gpib_user.h, lib/ibClr.c, lib/ibCmd.c,
	  lib/ibFind.c, lib/ibP.h, lib/ib_internal.h, lib/ibdev.c,
	  lib/ibutil.c: adding support for using board index as board
	  descriptor, in preparation
	  for supporting multi-device functions

2002-10-28 21:45  fmhess

	* [r431] lib/ibconfig.c: removed unused var

2002-10-28 21:41  fmhess

	* [r430] TODO, driver/include/gpib_user.h, lib/ibRsv.c,
	  lib/ibTmo.c, lib/ib_internal.h, lib/ibask.c, lib/ibconfig.c: more
	  ibconfig() implementation

2002-10-28 19:46  fmhess

	* [r429] driver/nec7210/interrupt.c, driver/nec7210/write.c: put
	  back some bits I shouldn't have removed

2002-10-25 01:34  fmhess

	* [r428] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/sys/osfuncs.c,
	  driver/sys/osinit.c, lib/Makefile, lib/ibBoard.c, lib/ibConf.h,
	  lib/ibConfig.c, lib/ibEot.c, lib/ibPad.c, lib/ibSad.c,
	  lib/ibSre.c, lib/ibTmo.c, lib/ib_internal.h, lib/ibask.c,
	  lib/ibconfig.c, lib/ibppc.c, lib/ibutil.c: partially implemented
	  ibconfig()

2002-10-24 18:12  fmhess

	* [r427] lib/ibBoard.c, lib/ibConf.h, lib/ibOnl.c, lib/ibutil.c:
	  converted autopolling to use a thread instead of a forked child
	  process

2002-10-24 15:35  fmhess

	* [r426] lib/ibWait.c: include missing pthread header

2002-10-24 01:14  fmhess

	* [r425] lib/async.c: new file for supporting asynchronous io

2002-10-24 01:01  fmhess

	* [r424] examples/ibtest.c: oops removing some garbage I
	  accidentally commited

2002-10-24 00:58  fmhess

	* [r423] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/include/protocol_proto.h,
	  driver/include/sys_proto.h, driver/sys/ibread.c,
	  driver/sys/ibutil.c, driver/sys/ibwait.c, driver/sys/ibwrite.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c, driver/sys/ostimer.c,
	  examples/ibtest.c, lib/Makefile, lib/gpib_version_script,
	  lib/ib.h, lib/ibBoard.c, lib/ibCac.c, lib/ibClr.c, lib/ibCmd.c,
	  lib/ibConf.h, lib/ibConfig.c, lib/ibDma.c, lib/ibEos.c,
	  lib/ibEot.c, lib/ibEvent.c, lib/ibFind.c, lib/ibGts.c,
	  lib/ibLines.c, lib/ibLoc.c, lib/ibOnl.c, lib/ibPad.c, lib/ibRd.c,
	  lib/ibRpp.c, lib/ibRsp.c, lib/ibRsv.c, lib/ibSad.c, lib/ibSic.c,
	  lib/ibSre.c, lib/ibTmo.c, lib/ibTrg.c, lib/ibWait.c, lib/ibWrt.c,
	  lib/ib_internal.h, lib/ibask.c, lib/ibbna.c, lib/ibppc.c,
	  lib/ibutil.c: adding ibcmda()

2002-10-21 17:45  fmhess

	* [r422] driver/nec7210/aux.c, driver/nec7210/cmd.c,
	  driver/nec7210/interrupt.c, driver/nec7210/util.c,
	  driver/nec7210/write.c, driver/sys/device.c, driver/sys/ibcac.c:
	  fixed checking for readyness on sending first data/command byte

2002-10-21 17:02  fmhess

	* [r421] lib/ibOnl.c: fixed some bugs I created with last commit

2002-10-20 22:22  fmhess

	* [r420] lib/Makefile, lib/gpib_version_script, lib/ib.h,
	  lib/ibBdChrConfig.c, lib/ibBoard.c, lib/ibOnl.c, lib/ibPad.c,
	  lib/ibSad.c, lib/ib_internal.h, lib/ibbna.c, lib/ibutil.c:
	  implemented ibbna()

2002-10-19 05:46  fmhess

	* [r418] doc/README: warning note

2002-10-19 05:43  fmhess

	* [r417] Changelog: *** empty log message ***

2002-10-19 05:28  fmhess

	* [r416] lib/Makefile: bump version

2002-10-19 05:20  fmhess

	* [r415] driver/cb7210/cb7210_init.c: finally found doc explaining
	  how to set ICR on cb7210 chips

2002-10-19 05:09  fmhess

	* [r414] TODO, driver/include/gpib_user.h, driver/nec7210/util.c,
	  driver/sys/autopoll.c, driver/sys/device.c, driver/sys/ibcac.c,
	  driver/sys/ibcmd.c, driver/sys/ibwrite.c, driver/sys/osfuncs.c,
	  driver/tnt4882/tnt4882_init.c, examples/ibtest.c, lib/ibWait.c,
	  lib/ibdev.c, lib/ibutil.c: seemed to have fixed mysterious bus
	  errors during serial polls, ibtest update,
	  fixed setting of stuck_irq flag in autopolls, fixed setting of
	  TIMO in
	  ibwait() return value.

2002-10-18 17:05  fmhess

	* [r413] driver/cb7210/cb7210.h, driver/ines/ines.h: fix compile
	  with pcmcia support enabled

2002-10-18 17:03  fmhess

	* [r412] lib/ibask.c: oops forgot to add ibask.c

2002-10-18 01:42  fmhess

	* [r411] AUTHORS, language/perl, language/perl/Changes,
	  language/perl/LinuxGpib.pm, language/perl/LinuxGpib.xs,
	  language/perl/MANIFEST, language/perl/Makefile.PL,
	  language/perl/README, language/perl/test.pl,
	  language/perl/typemap: added perl bindings from thomas nisius

2002-10-18 01:39  fmhess

	* [r410] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/include/nec7210.h,
	  driver/include/protocol_proto.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/nec7210/interrupt.c,
	  driver/nec7210/util.c, driver/pc2/pc2_init.c, driver/sys/ibrpp.c,
	  driver/sys/ibsic.c, driver/sys/ibutil.c, driver/sys/osfuncs.c,
	  driver/tms9914/aux.c, driver/tms9914/util.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882-tms/tnt4882.h,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c, examples/ibtest.c, lib/Makefile,
	  lib/gpib_version_script, lib/ib.h, lib/ibBoard.c, lib/ibClr.c,
	  lib/ibCmd.c, lib/ibConf.h, lib/ibConfYacc.y, lib/ibConfig.c,
	  lib/ibDma.c, lib/ibEos.c, lib/ibError.c, lib/ibEvent.c,
	  lib/ibFind.c, lib/ibLoc.c, lib/ibOnl.c, lib/ibRd.c, lib/ibRpp.c,
	  lib/ibRsp.c, lib/ibTmo.c, lib/ibTrg.c, lib/ibWait.c, lib/ibWrt.c,
	  lib/ib_internal.h, lib/ibdev.c, lib/ibppc.c, lib/ibutil.c:
	  implemented ibask(), various bugfixes

2002-10-15 17:37  fmhess

	* [r409] driver/nec7210/interrupt.c: be a little smarter about not
	  printing interrupt debug spam on shared interrupt

2002-10-15 17:36  fmhess

	* [r408] driver/nec7210/aux.c, driver/nec7210/init.c,
	  driver/nec7210/read.c: i think i finally have handshaking right

2002-10-15 03:10  fmhess

	* [r407] TODO, driver/include/nec7210.h, driver/include/tms9914.h,
	  driver/nec7210/aux.c, driver/nec7210/init.c,
	  driver/nec7210/read.c, driver/nec7210/write.c,
	  driver/sys/ibwrite.c, driver/tms9914/aux.c,
	  driver/tms9914/init.c, driver/tms9914/read.c, drivers.txt,
	  examples/ibtest.c: fix holdoffs, got rid of bogus output error
	  handling (the output error
	  status bit didn't do what I thought it did)

2002-10-14 19:54  fmhess

	* [r406] driver/include/gpibP.h, driver/include/nec7210.h,
	  driver/nec7210/interrupt.c, driver/nec7210/write.c,
	  driver/sys/ibwrite.c: adding recovery from output errors

2002-10-14 18:09  fmhess

	* [r405] drivers.txt, lib/ibppc.c: fixed ibppc with zero argument,
	  updated drivers.txt

2002-10-14 15:44  fmhess

	* [r404] driver/include/gpib_ioctl.h,
	  driver/include/protocol_proto.h, driver/sys/ibutil.c,
	  driver/sys/ibwait.c, driver/sys/osfuncs.c, driver/sys/ostimer.c,
	  lib/ibCac.c, lib/ibWait.c, lib/ibutil.c: more fixes for status
	  reporting

2002-10-13 19:34  fmhess

	* [r403] driver/nec7210/init.c, driver/nec7210/read.c, lib/ib.h,
	  lib/ibBdChrConfig.c, lib/ibBoard.c, lib/ibCac.c, lib/ibClr.c,
	  lib/ibCmd.c, lib/ibConf.h, lib/ibEos.c, lib/ibEot.c,
	  lib/ibFind.c, lib/ibGts.c, lib/ibLines.c, lib/ibLoc.c,
	  lib/ibOnl.c, lib/ibP.h, lib/ibPad.c, lib/ibRd.c, lib/ibRpp.c,
	  lib/ibRsp.c, lib/ibRsv.c, lib/ibSad.c, lib/ibSic.c, lib/ibSre.c,
	  lib/ibTmo.c, lib/ibTrg.c, lib/ibWait.c, lib/ibWrt.c,
	  lib/ib_internal.h, lib/ibdev.c, lib/ibppc.c, lib/ibutil.c: fix
	  holdoff problems, ibcmd/ibwrt/ibrd prototypes now match NI,
	  starting to fix setting of status and error codes fixing locking
	  now that it is done at library level,
	  added GPL note to some files, fixed ibgts protocol

2002-10-10 04:06  fmhess

	* [r402] lib/Makefile, lib/globals.c, lib/gpib_version_script,
	  lib/ib.h, lib/ibBoard.c, lib/ib_internal.h: adding infrastructure
	  to support ThreadIbsta() and cousins.

2002-10-07 02:59  fmhess

	* [r401] driver/include/gpib_user.h, driver/sys/osfuncs.c,
	  lib/gpib_version_script, lib/ib.h, lib/ibClr.c, lib/ibCmd.c,
	  lib/ibConf.h, lib/ibLoc.c, lib/ibRd.c, lib/ibTrg.c,
	  lib/ib_internal.h, lib/ibppc.c, lib/ibutil.c: starting to add
	  parallel poll configure support, and to fix board locking

2002-10-06 23:00  fmhess

	* [r400] driver/cb7210/cb7210_cs.c, driver/ines/ines_cs.c: fixed
	  includes for compilation with pcmcia support

2002-10-04 01:37  fmhess

	* [r399] driver/sys/ibutil.c: made invalid address messages
	  slightly more informative

2002-10-04 01:09  fmhess

	* [r398] util/Setup: using type -p instead of hash -t for
	  compatibility with older versions of bash

2002-10-02 19:30  fmhess

	* [r397] driver/sys/osfuncs.c: fixed race between entering of
	  autopoll ioctl and bringing board online
	  by allowing autopoll ioctl to enter when offline

2002-10-02 04:45  fmhess

	* [r396] util/Setup: fixed Setup script to explicitly use bash

2002-09-30 03:21  fmhess

	* [r395] driver/include/gpib_types.h: changed board->online to
	  reference count (cvs bug prevented commit before?)

2002-09-30 03:16  fmhess

	* [r394] driver/sys/ibinit.c: changed board->online from flag to
	  reference count to correct bug

2002-09-30 03:10  fmhess

	* [r393] driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/cec/init.c, driver/include/gpib_types.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/pc2/pc2_init.c, driver/sys/ibinit.c, driver/sys/osinit.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882/tnt4882_cs.c,
	  driver/tnt4882/tnt4882_init.c: fixed incrementing of use count
	  for all drivers

2002-09-25 01:24  fmhess

	* [r392] driver/include/gpib_user.h,
	  driver/include/protocol_proto.h, driver/sys/autopoll.c,
	  driver/sys/ibutil.c, driver/sys/ibwait.c, driver/sys/osfuncs.c,
	  examples/ibtest.c, lib/ibWait.c: got ibwait() on RQS working

2002-09-24 04:26  fmhess

	* [r391] driver/sys/autopoll.c, examples/ibtest.c: *** empty log
	  message ***

2002-09-24 00:12  fmhess

	* [r390] examples/ibtest.c, lib/ibRsv.c: fixing ibrsv and adding
	  request service and serial poll to examples/ibtest

2002-09-22 02:30  fmhess

	* [r389] driver/include/protocol_proto.h, driver/sys/ibutil.c,
	  driver/sys/osfuncs.c: fixed timeouts

2002-09-22 01:39  fmhess

	* [r388] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/nec7210/interrupt.c,
	  driver/sys/ibwrite.c: added tracking of module use count to
	  cb7210, made writes wait until bus
	  is ready (for non-busmaster interface )

2002-09-19 02:58  fmhess

	* [r387] driver/nec7210/init.c, driver/nec7210/read.c: finally got
	  two interface boards talking to each other

2002-09-18 08:46  sib4

	* [r386] language/python/gpibinter.c: Fix missing zero termination
	  in gpib_read
	  Keep allocated result buffer in gpib_read

2002-09-18 03:47  fmhess

	* [r385] driver/sys/osfuncs.c: fixed unlocking of mutex on abnormal
	  termination

2002-09-18 03:17  fmhess

	* [r384] driver/sys/ibutil.c, lib/ibBdChrConfig.c, lib/ibBoard.c:
	  moved init of pad and sad to ibBdChrConfig

2002-09-18 02:32  fmhess

	* [r383] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cec/cec.h, driver/cec/init.c,
	  driver/include/nec7210.h, driver/ines/ines.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/nec7210/init.c, driver/nec7210/util.c,
	  driver/pc2/pc2_init.c, driver/sys/ibutil.c, driver/sys/ibwrite.c,
	  driver/sys/osfuncs.c, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_cs.c, driver/tnt4882/tnt4882_init.c,
	  lib/ibBoard.c: fixing setting of gpib addresses for interface
	  board

2002-09-18 01:18  fmhess

	* [r382] driver/sys/osfuncs.c: forgot to remove some bogus online
	  tests

2002-09-18 00:42  fmhess

	* [r381] driver/sys/osfuncs.c, lib/ibBdChrConfig.c, lib/ibOnl.c,
	  lib/ib_internal.h, lib/ibdev.c: got rid of transient open in
	  ibBdChrConfig

2002-09-17 23:56  fmhess

	* [r380] driver/sys/ibinit.c, driver/sys/osfuncs.c: made autopoll
	  ioctl not require board to be online

2002-09-17 05:49  fmhess

	* [r379] driver/nec7210/interrupt.c, lib/ibOnl.c: another fix for
	  keeping track of open gpib addresses, and got rid of kernel
	  log spam due to shared interrupts when debugging

2002-09-17 05:22  fmhess

	* [r378] driver/sys/osfuncs.c, lib/ibdev.c, lib/ibutil.c: more
	  fixes for keeping track of open gpib addresses

2002-09-17 05:04  fmhess

	* [r377] driver/sys/ibread.c: only go to standby if board is master

2002-09-17 04:48  fmhess

	* [r376] driver/sys/osfuncs.c: cleanup open gpib devices before
	  taking interface board offline

2002-09-16 02:24  fmhess

	* [r375] lib/ibConfYacc.y: fixed setting of
	  board.is_system_controller from gpib.conf

2002-09-16 01:41  fmhess

	* [r374] driver/sys/osfuncs.c: move ibonl ioctl before check for
	  whether board is online

2002-09-16 01:00  fmhess

	* [r373] lib/Makefile, lib/gpib_version_script, lib/ib.h,
	  lib/ibBoard.c, lib/ibCmd.c, lib/ibEvent.c, lib/ibP.h, lib/ibRd.c,
	  lib/ibWrt.c: *** empty log message ***

2002-09-16 00:51  fmhess

	* [r372] AUTHORS, driver/pc2/pc2_init.c, driver/sys/osfuncs.c,
	  driver/sys/osinit.c, lib/ibutil.c: patches from Stephan Boettcher
	  <boettcher@physik.uni-kiel.de>

2002-09-11 04:22  fmhess

	* [r371] driver/sys/osfuncs.c: oh wait, I don't need to manually
	  increment use count on 2.4 kernel

2002-09-11 04:18  fmhess

	* [r370] driver/sys/osfuncs.c: fixed deallocation of file->private
	  on certain error conditions (patch from
	  Stephan Boettcher <boettcher@physik.uni-kiel.de>). Added
	  increment/decrement
	  of module use counts to ibopen and ibclose.

2002-09-11 04:16  fmhess

	* [r369] util/Setup.install: fixed exit with error when gpib group
	  already exists

2002-08-10 00:00  fmhess

	* [r368] lib/Makefile, lib/gpib_version_script: added version
	  script, to be used to control export of dynamic symbols

2002-08-09 22:08  fmhess

	* [r367] driver/sys/osfuncs.c, lib/ibBoard.c, lib/ibConf.h,
	  lib/ibOnl.c, lib/ibPad.c, lib/ibSad.c, lib/ib_internal.h,
	  lib/ibdev.c, lib/ibutil.c: added cleanup of forked autopoll
	  process, registering of open gpib devices
	  with kernel modules

2002-08-08 17:25  fmhess

	* [r366] lib/ibBoard.c, lib/ibConf.h: cleanup child processes
	  forked for autopoll on exit

2002-08-08 00:42  fmhess

	* [r365] TODO, driver/include/gpib_user.h, driver/sys/autopoll.c,
	  driver/sys/ibinit.c, driver/sys/osfuncs.c,
	  driver/tnt4882/tnt4882_init.c, lib/ibAPWait.c, lib/ibdev.c,
	  lib/ibutil.c: fixed gpib address equality checks.

2002-08-08 00:05  fmhess

	* [r364] driver/sys/ibsic.c: added debug message

2002-08-07 23:58  fmhess

	* [r363] examples/ibtest.c: fixed ibclr err when board is not bus
	  master

2002-08-07 23:17  fmhess

	* [r362] driver/sys/ibinit.c, driver/sys/osfuncs.c: fixed ibonline

2002-08-07 19:20  fmhess

	* [r361] lib/ibOnl.c: fix for IBONL ioctl changes

2002-08-07 18:54  fmhess

	* [r360] driver/include/gpib_ioctl.h,
	  driver/include/protocol_proto.h, driver/sys/ibinit.c,
	  driver/sys/ibsre.c, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  examples/ibtest.c, lib/ibBoard.c, lib/ibdev.c: some cleanup,
	  fixes for non-gpib-bus-master interface boards, added a timeout
	  option to ibtest.

2002-08-06 18:56  fmhess

	* [r359] driver/Makefile: fixed makefile for new location of
	  gpib-common.o

2002-08-06 18:20  fmhess

	* [r358] driver/sys/autopoll.c: only store autopoll status bytes
	  when the request service bit is set

2002-08-05 23:35  fmhess

	* [r357] driver/Makefile, driver/include/gpib_ioctl.h,
	  driver/include/gpib_types.h, driver/include/gpib_user.h,
	  driver/include/protocol_proto.h, driver/protocol,
	  driver/sys/Makefile, driver/sys/autopoll.c, driver/sys/device.c,
	  driver/sys/ibcac.c, driver/sys/ibcmd.c, driver/sys/ibgts.c,
	  driver/sys/ibinit.c, driver/sys/iblines.c, driver/sys/ibread.c,
	  driver/sys/ibrpp.c, driver/sys/ibrsv.c, driver/sys/ibsic.c,
	  driver/sys/ibsre.c, driver/sys/ibutil.c, driver/sys/ibwait.c,
	  driver/sys/ibwrite.c, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  lib/ib_internal.h, lib/ibutil.c: merged protocol subdir into sys
	  subdir, more autopoll stuff, and moved
	  locking of mutex to user space

2002-08-05 03:24  fmhess

	* [r356] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/sys/Makefile, driver/sys/autopoll.c,
	  driver/sys/autopoll.h, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  examples/Makefile, lib/Makefile, lib/ibBoard.c: more autopoll
	  stuff

2002-08-03 05:04  fmhess

	* [r355] driver/include/gpib_user.h, driver/protocol/ibprot.h,
	  examples/Makefile, examples/ibtest.c, lib/Makefile, lib/ibP.h:
	  fixed some --pedantic warnings

2002-08-02 01:21  fmhess

	* [r354] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/protocol_proto.h, driver/include/sys_proto.h,
	  driver/protocol/ibcac.c, driver/protocol/ibinit.c,
	  driver/protocol/iblines.c, driver/protocol/ibrsv.c,
	  driver/protocol/ibutil.c, driver/protocol/ibwait.c,
	  driver/sys/osfuncs.c, driver/sys/ostimer.c, driver/sys/osutil.c,
	  lib/Makefile, lib/ib.h, lib/ibBdChrConfig.c, lib/ibBoard.c,
	  lib/ibCac.c, lib/ibConf.h, lib/ibConfYacc.y, lib/ibEos.c,
	  lib/ibFind.c, lib/ibGts.c, lib/ibLines.c, lib/ibOnl.c,
	  lib/ibOpt.c, lib/ibP.h, lib/ibPad.c, lib/ibRd.c, lib/ibRpp.c,
	  lib/ibRsv.c, lib/ibSad.c, lib/ibSic.c, lib/ibSre.c, lib/ibWait.c,
	  lib/ibWrt.c, lib/ib_internal.h, lib/ibdev.c, lib/ibutil.c: more
	  revamping of ioctls

2002-08-01 21:08  fmhess

	* [r353] driver/protocol/ibinit.c: got rid of last remnants of
	  mySAD and myPAD

2002-08-01 21:06  fmhess

	* [r352] driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/include/gpib_user.h, driver/include/protocol_proto.h,
	  driver/include/sys_proto.h, driver/protocol/Makefile,
	  driver/protocol/device.c, driver/protocol/ibcac.c,
	  driver/protocol/ibcmd.c, driver/protocol/ibgts.c,
	  driver/protocol/ibinit.c, driver/protocol/iblines.c,
	  driver/protocol/ibread.c, driver/protocol/ibrpp.c,
	  driver/protocol/ibrsv.c, driver/protocol/ibsic.c,
	  driver/protocol/ibsre.c, driver/protocol/ibutil.c,
	  driver/protocol/ibwait.c, driver/protocol/ibwrite.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c, driver/sys/ostimer.c,
	  lib/Makefile, lib/ibAPE.c, lib/ibBoard.c, lib/ibClr.c,
	  lib/ibCmd.c, lib/ibConf.h, lib/ibConfLex.l, lib/ibConfYacc.y,
	  lib/ibFind.c, lib/ibLoc.c, lib/ibRd.c, lib/ibRpp.c, lib/ibRsp.c,
	  lib/ibTmo.c, lib/ibTrg.c, lib/ibWrt.c, lib/ib_internal.h,
	  lib/ibdev.c, lib/ibutil.c, util/Setup.in: got rid of global
	  pad/sad/timeout/openr_count variables. added some preliminary
	  stuff for auto polling.

2002-07-31 21:41  fmhess

	* [r350] lib/ibClr.c, lib/ibTrg.c: got rid of incorrect address-of
	  operators

2002-07-31 21:32  fmhess

	* [r349] Changelog: 3.1.6 changes

2002-07-31 21:19  fmhess

	* [r348] lib/Makefile: version bump

2002-07-31 18:50  fmhess

	* [r347] lib/ibClr.c, lib/ibTrg.c: ibtrg() and ibclr() are device
	  level functions only

2002-07-31 18:46  fmhess

	* [r346] lib/ibClr.c, lib/ibLoc.c, lib/ibTrg.c: fixing ibtrg() and
	  ibclr(), and ibloc()

2002-07-30 22:54  fmhess

	* [r345] lib/ibBdChrConfig.c: hack to fix init of dma channel when
	  set to zero

2002-07-30 22:14  fmhess

	* [r344] driver/sys/osfuncs.c: fixed setting of send_eoi

2002-07-30 21:56  fmhess

	* [r343] lib/ibConfYacc.y: got rid of broken init of ibConf_t array
	  elements

2002-07-30 19:46  fmhess

	* [r342] TODO, driver/nec7210/write.c, driver/sys/osutil.c,
	  lib/Makefile, lib/ibBoard.c, lib/ibLoc.c: added missing string.h
	  include, trying to debug problem on Jan's machine
	  with write timing out.

2002-07-30 19:35  fmhess

	* [r341] examples/ibtest.c: added include of string.h for strlen

2002-07-29 19:16  fmhess

	* [r340] driver/protocol/device.c, driver/protocol/ibinit.c,
	  driver/protocol/ibprot.h, driver/protocol/ibrpp.c,
	  driver/sys/ostimer.c, lib/ibRpp.c: more timeout fixes

2002-07-29 18:44  fmhess

	* [r339] lib/ibClr.c, lib/ibCmd.c, lib/ibRd.c, lib/ibTmo.c,
	  lib/ibTrg.c, lib/ibWrt.c, lib/ib_internal.h, lib/ibutil.c: fixed
	  some timeouts

2002-07-26 17:34  fmhess

	* [r338] driver/protocol/ibinit.c, driver/protocol/ibsic.c,
	  driver/protocol/ibsre.c: got rid of vestiges of global ib_opened
	  variable

2002-07-26 01:47  fmhess

	* [r337] lib/ibBoard.c, lib/ibCmd.c, lib/ibConf.h,
	  lib/ibConfYacc.y, lib/ibFind.c, lib/ibRd.c, lib/ibRsp.c,
	  lib/ibTmo.c, lib/ibWrt.c, lib/ib_internal.h, lib/ibdev.c,
	  lib/ibutil.c: fixed timeout for serial poll

2002-07-22 22:22  fmhess

	* [r336] driver/cb7210/cb7210_init.c, driver/cec/init.c,
	  driver/include/gpib_ioctl.h, driver/include/gpib_types.h,
	  driver/ines/ines_init.c, driver/pc2/pc2_init.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882/tnt4882_init.c: got rid
	  of a couple global variables, added ioctls for keeping track of
	  what gpib devices are open on each bus so we can do auto serial
	  polling in
	  the future.

2002-07-17 01:21  fmhess

	* [r335] util/Setup, util/Setup.in: improved process of locating
	  'dialog' compatible program.

2002-07-16 21:44  fmhess

	* [r334] doc/linux-gpib.txt: text export of postscript docs

2002-07-10 16:57  fmhess

	* [r333] TODO: *** empty log message ***

2002-07-10 00:58  fmhess

	* [r332] driver/tnt4882/tnt4882_cs.c: ni pcmcia uses ioports

2002-07-09 21:18  fmhess

	* [r331] drivers.txt: ni pcmcia works

2002-07-09 21:12  fmhess

	* [r330] driver/tnt4882/tnt4882_cs.c: fixed compile error when
	  verbose debugging is turned on.

2002-07-03 04:18  fmhess

	* [r328] Changelog, driver/tnt4882/tnt4882_cs.c, drivers.txt,
	  lib/Makefile: sync for 3.1.5

2002-07-01 05:01  fmhess

	* [r327] driver/ines/ines_cs.c: fixed typo

2002-07-01 04:59  fmhess

	* [r326] driver/tnt4882/tnt4882_cs.c: fixes for ni pcmcia

2002-06-27 22:43  fmhess

	* [r325] driver/tnt4882/tnt4882_cs.c: made error on ni pcmcia
	  module load a bit more verbose.

2002-06-27 15:34  fmhess

	* [r324] driver/include/gpibP.h, driver/sys/osutil.c: fixed
	  unresolved symbols in tnt4882

2002-06-27 15:33  fmhess

	* [r323] util/Setup, util/Setup.in, util/Setup.install: fixed use
	  of whiptail as dialog program for make install

2002-06-26 23:43  fmhess

	* [r322] driver/tnt4882/tnt4882.h: make sure linux/init.h gets
	  included in tnt4882 driver

2002-06-26 23:39  fmhess

	* [r321] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_cs.c:
	  fixed compile problems for ni pcmcia support

2002-06-26 22:06  fmhess

	* [r320] INSTALL, util/Setup, util/Setup.in: fixed config scripts
	  to work with whiptail or dialog (instead of only
	  working with cdialog)

2002-06-26 20:46  fmhess

	* [r319] util/Setup.in: made sure std out of 'dialog' doesn't cause
	  problems

2002-06-26 20:34  fmhess

	* [r318] driver/tnt4882/tnt4882_cs.c: oops forgot file for ni
	  pcmcia

2002-06-26 17:17  fmhess

	* [r317] drivers.txt: added ni pcmcia

2002-06-26 17:14  fmhess

	* [r316] etc/pcmcia/linux-gpib-pcmcia.conf: added ni pcmcia gpib
	  manfid

2002-06-23 23:13  fmhess

	* [r315] driver/include/gpibP.h, driver/ines/ines_cs.c,
	  driver/tnt4882/Makefile, driver/tnt4882/tnt4882.h,
	  driver/tnt4882/tnt4882_init.c, etc/pcmcia/linux-gpib-pcmcia.conf:
	  adding initial NI pcmcia support

2002-06-22 18:42  fmhess

	* [r314] driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c: switch to
	  GPIB_CONFIG_PCMCIA flag to allow user to choose if he wants
	  pcmcia code compiled in

2002-06-22 18:42  fmhess

	* [r313] driver/include/gpibP.h: added GPIB_DPRINTK() for printing
	  debug messages

2002-06-22 18:41  fmhess

	* [r312] driver/nec7210/interrupt.c, driver/sys/osfuncs.c: use new
	  GPIB_DPRINTK() for printing optional debugging spam

2002-06-22 18:40  fmhess

	* [r311] driver/Makefile: make depmod print out unresolved symbols
	  on failure

2002-06-22 18:18  fmhess

	* [r310] util/Setup, util/Setup.in, util/Setup.install: cleaned up
	  setup/install scripts and added options for compiling pcmcia
	  support and verbose debugging messages

2002-06-22 17:07  fmhess

	* [r309] driver/nec7210/write.c: fixing pio write for pc2

2002-06-21 20:36  fmhess

	* [r308] drivers.txt: added ni gpib+ to list

2002-06-21 20:34  fmhess

	* [r307] driver/nec7210/cmd.c: still trying to fix command bytes on
	  pc

2002-06-21 20:34  fmhess

	* [r306] driver/nec7210/write.c: fix lockup on dma write

2002-06-21 20:33  fmhess

	* [r305] driver/sys/osfuncs.c: fixed locking in ioctl to make it
	  safe for multiple processes to access the same board

2002-06-21 20:32  fmhess

	* [r304] driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c:
	  added pci device id for gpib+

2002-06-20 02:12  fmhess

	* [r303] driver/pc2/pc2_init.c: added a clear of the interrupt
	  status registers to try and get pc2 working

2002-06-15 04:11  fmhess

	* [r302] driver/nec7210/cmd.c, driver/nec7210/interrupt.c: fixing
	  cmd errors

2002-06-03 00:37  fmhess

	* [r300] Changelog, lib/Makefile: sync for 3.1.4

2002-06-01 21:10  fmhess

	* [r299] driver/protocol/device.c: added more error messages to
	  dvrsp()

2002-05-23 16:49  fmhess

	* [r298] driver/cb7210/cb7210_init.c,
	  driver/tnt4882/tnt4882_init.c: fixed request_region calls for ni
	  isa and cb isa

2002-05-23 16:42  fmhess

	* [r297] driver/pc2/pc2_init.c: fixed pc2 attach

2002-05-16 20:59  fmhess

	* [r296] util/templates/gpib.conf: updated template with 'name'
	  element for interfaces

2002-05-08 17:07  fmhess

	* [r295] driver/nec7210/write.c, driver/tms9914/write.c: fixed
	  spinlocks as per bug report from Roland Wachsmuth

2002-05-02 22:07  fmhess

	* [r294] Changelog, TODO, driver/nec7210/interrupt.c, drivers.txt,
	  language/tcl/ibCmds.c, lib/ibConfYacc.y, lib/ibRd.c: Made devices
	  opened with ibfind() default to getting sent EOI at end of
	  writes.
	  Fixed segfault in tcl binding when 'gpib' command with no
	  additional argument is given.
	  Various updates.

2002-05-02 20:55  fmhess

	* [r293] language/tcl/ibCmds.c: fixed ibdev binding

2002-05-01 22:07  fmhess

	* [r292] examples/ibtest.c: trying to make address prompt clearer

2002-05-01 22:00  fmhess

	* [r291] driver/tnt4882/tnt4882_init.c: fixed isa attach, set
	  shareable flag for pci interrupt

2002-04-30 21:13  fmhess

	* [r290] driver/tnt4882/tnt4882_init.c: fixed interface name for
	  isa boards

2002-04-30 20:15  fmhess

	* [r289] driver/pc2/pc2_init.c: fixed bug in pc2 attach()

2002-04-30 20:14  fmhess

	* [r288] driver/Makefile: removed obsolete device file creation
	  target

2002-04-27 16:38  fmhess

	* [r287] Changelog: updated changelog

2002-04-26 20:37  fmhess

	* [r286] INSTALL, Makefile, language/Makefile,
	  language/tcl/Makefile, lib/ibutil.c: made compilation of language
	  bindings optional, added some error messagaes to config
	  file parsing

2002-04-26 18:33  fmhess

	* [r285] driver/pc2/pc2_init.c: enabled use of isa dma

2002-04-26 16:31  fmhess

	* [r284] AUTHORS: new contributor list

2002-04-26 16:19  fmhess

	* [r283] language/python/Makefile, language/python/README,
	  language/python/gpibinter.c, language/python/setup.py: added
	  setup.py from Brian Donovan, and Makefile. Fixed compiler
	  warnings
	  in gpibinter.c

2002-04-25 17:40  fmhess

	* [r282] etc/pcmcia/linux-gpib-pcmcia.conf: added manfid for cb
	  pcmcia

2002-04-18 16:58  fmhess

	* [r280] TODO, util/Setup.in: fixed removal of stale /tmp/reply
	  file.

2002-04-18 16:33  fmhess

	* [r279] TODO, driver/nec7210/interrupt.c, driver/sys/osfuncs.c:
	  sync for 3.1.3

2002-04-18 15:47  fmhess

	* [r278] drivers.txt: added a couple boards

2002-04-17 18:10  fmhess

	* [r277] driver/nec7210/read.c: fixed race with detecting reception
	  of EOI

2002-04-16 19:49  fmhess

	* [r276] driver/cec/init.c, driver/cec/interrupt.c: cec cleanup

2002-04-16 19:40  fmhess

	* [r275] driver/sys/osfuncs.c: fixed reporting of error on read

2002-04-16 17:37  fmhess

	* [r274] driver/include/amcc5920.h, driver/ines/ines_init.c,
	  driver/ines/interrupt.c, driver/nec7210/interrupt.c: ines pci
	  works now

2002-04-15 15:41  fmhess

	* [r273] driver/ines/ines_init.c, driver/ines/interrupt.c,
	  driver/nec7210/interrupt.c, driver/sys/osfuncs.c: enabled
	  debugging messages for ines pci with amcc5920

2002-04-12 20:04  fmhess

	* [r272] TODO, driver/include/amcc5920.h, driver/ines/ines.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/ines/interrupt.c, driver/sys/osfuncs.c: fixes for ines pci
	  support

2002-04-10 16:37  fmhess

	* [r271] lib/ibBoard.c, lib/ibConf.h, lib/ibConfYacc.y,
	  lib/ibEos.c, util/templates/gpib.conf: got rid of use of
	  interface board's eos character and mode as default for
	  all devices attached to interface

2002-04-09 16:22  fmhess

	* [r270] driver/cec/init.c: fixed pci base address index for cec
	  driver

2002-04-08 19:01  fmhess

	* [r269] examples/ibtest.c: fixed to take board offline before
	  exiting in the case of an error

2002-04-08 18:21  fmhess

	* [r268] driver/cec/init.c, driver/cec/interrupt.c,
	  driver/nec7210/interrupt.c: trying to debug cec_pci interrupts

2002-04-07 04:55  fmhess

	* [r267] lib/ibBdChrConfig.c: should be passing the size of the
	  destination, not source to strncpy.

2002-03-31 17:37  fmhess

	* [r266] INSTALL, Makefile, TODO, driver/cb7210/cb7210_init.c,
	  etc/pcmcia/linux-gpib-pcmcia.conf, lib/Makefile: fix for cb
	  pcmcia and some other small things

2002-03-29 00:30  fmhess

	* [r265] driver/ines/ines_cs.c: forgot to bump version string on
	  last commit

2002-03-29 00:28  fmhess

	* [r264] driver/ines/ines_cs.c: fix for bad window size

2002-03-28 22:52  fmhess

	* [r263] driver/cb7210/cb7210_cs.c: fixed null dereference in error
	  reporting

2002-03-28 22:40  fmhess

	* [r262] driver/ines/ines_cs.c: fixed null dereference in error
	  reporting function

2002-03-28 20:17  fmhess

	* [r261] etc/pcmcia/linux-gpib-pcmcia.conf: got dev_info wrong

2002-03-28 17:09  fmhess

	* [r260] driver/cb7210/cb7210_cs.c, driver/cb7210/cb7210_init.c,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c: fixes for when
	  kernel PCMCIA support is provided by module

2002-03-28 05:35  fmhess

	* [r259] etc, etc/pcmcia, etc/pcmcia/linux-gpib-pcmcia.conf: added
	  file for pcmcia configuration

2002-03-27 17:00  fmhess

	* [r258] drivers.txt: added note on pcII/IIa boards

2002-03-26 00:45  fmhess

	* [r257] INSTALL: added a little note about setting up kernel
	  source

2002-03-26 00:37  fmhess

	* [r256] driver/sys/osinit.c: compilation fix for kernels older
	  than 2.4.4

2002-03-13 16:56  fmhess

	* [r254] driver/nec7210/interrupt.c, driver/sys/osfuncs.c: turned
	  off some debugging spew that I left on for 3.1.1 release, oops

2002-03-11 17:59  fmhess

	* [r253] drivers.txt: corrected interface name for NI pc2 boards

2002-03-11 17:30  fmhess

	* [r251] driver/cec/interrupt.c, examples/Makefile,
	  examples/raw_access.c: minor cleanup for 3.1.1

2002-02-28 23:45  fmhess

	* [r250] lib/ibConfLex.l: fixed parsing of new 'board_type' entry

2002-02-28 23:21  fmhess

	* [r249] lib/Makefile, lib/ib.h, lib/ibBdChrConfig.c,
	  lib/ibBoard.c, lib/ibCmd.c, lib/ibConf.h, lib/ibConfLex.l,
	  lib/ibConfYacc.y, lib/ibFlags.c, lib/ibPad.c, lib/ibSad.c,
	  lib/ibdev.c, util/templates/gpib.conf: breaking configuration
	  file (compatibility) yet again (last time).

2002-02-27 19:54  fmhess

	* [r248] driver/include/gpibP.h, driver/protocol/ibinit.c,
	  driver/sys/osfuncs.c, driver/sys/osinit.c: fixed kernel
	  oops/segmentation fault when two processes open gpib
	  device at same time.

2002-02-26 23:44  fmhess

	* [r247] driver/cec/init.c, driver/cec/interrupt.c: tweaked cec
	  interrupt debugging code

2002-02-26 23:22  fmhess

	* [r246] driver/include/gpib_types.h,
	  driver/include/protocol_proto.h, driver/protocol/ibutil.c,
	  driver/sys/osfuncs.c: added new gpib_device_t for keeping track
	  of open devices on each gpib bus

2002-02-26 22:45  fmhess

	* [r245] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/cb7210/interrupt.c,
	  driver/cec/cec.h, driver/cec/init.c, driver/cec/interrupt.c,
	  driver/include/gpibP.h, driver/include/gpib_types.h,
	  driver/include/nec7210.h, driver/include/protocol_proto.h,
	  driver/include/sys_proto.h, driver/include/tms9914.h,
	  driver/ines/ines.h, driver/ines/ines_cs.c,
	  driver/ines/ines_init.c, driver/ines/interrupt.c,
	  driver/nec7210/aux.c, driver/nec7210/cmd.c,
	  driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/nec7210/util.c, driver/nec7210/write.c,
	  driver/pc2/interrupt.c, driver/pc2/pc2_init.c,
	  driver/protocol/device.c, driver/protocol/ibAutoSP.c,
	  driver/protocol/ibcac.c, driver/protocol/ibcmd.c,
	  driver/protocol/ibgts.c, driver/protocol/ibinit.c,
	  driver/protocol/iblines.c, driver/protocol/ibread.c,
	  driver/protocol/ibrpp.c, driver/protocol/ibrsv.c,
	  driver/protocol/ibsic.c, driver/protocol/ibsre.c,
	  driver/protocol/ibutil.c, driver/protocol/ibwait.c,
	  driver/protocol/ibwrite.c, driver/sys/ChangeLog,
	  driver/sys/osfuncs.c, driver/sys/osinit.c, driver/sys/ostimer.c,
	  driver/sys/osutil.c, driver/tms9914/aux.c, driver/tms9914/cmd.c,
	  driver/tms9914/interrupt.c, driver/tms9914/read.c,
	  driver/tms9914/util.c, driver/tms9914/write.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882-tms/interrupt.c,
	  driver/tnt4882-tms/tnt4882.h, driver/tnt4882/interrupt.c,
	  driver/tnt4882/tnt4882.h, driver/tnt4882/tnt4882_init.c: changed
	  gpib_device_t back to gpib_board_t because I am going to want
	  gpib_device_t to represent devices connected to the gpib bus
	  instead of
	  representing the interface board.

2002-02-25 23:00  fmhess

	* [r244] language/tcl/ibCmds.c: added tcl wrapper for ibdev()

2002-02-25 22:39  fmhess

	* [r243] INSTALL: added mention of new examples/ibtest program

2002-02-25 22:10  fmhess

	* [r242] driver/include/gpib_ioctl.h, driver/include/gpib_user.h,
	  driver/include/protocol_proto.h, driver/protocol/ibutil.c,
	  driver/sys/osfuncs.c, lib/ibBoard.c, lib/ibCmd.c, lib/ibEot.c,
	  lib/ibRd.c, lib/ibTmo.c, lib/ibWrt.c, lib/ibutil.c: fixing up
	  ibsta return value for library functions, got rid of IBEOT ioctl
	  (moved to user space lib)

2002-02-23 00:14  fmhess

	* [r241] examples/ibtest.c: fix up

2002-02-22 23:49  fmhess

	* [r240] examples/ibtest.c: new ibtest program

2002-02-22 21:47  fmhess

	* [r239] lib/ibClr.c, lib/ibTrg.c: fixed new versions of
	  ibclr/ibtrg

2002-02-22 21:15  fmhess

	* [r238] driver/include/gpib_ioctl.h,
	  driver/include/protocol_proto.h, driver/protocol/device.c,
	  driver/sys/osfuncs.c, lib/ibClr.c, lib/ibCmd.c, lib/ibTrg.c,
	  lib/ibWrt.c, lib/ib_internal.h, lib/ibutil.c: got rid of
	  unneccessary DVTRG and DVCLR ioctls

2002-02-22 20:06  fmhess

	* [r237] driver/cec/init.c, driver/include/protocol_proto.h,
	  driver/protocol/device.c, driver/sys/osfuncs.c,
	  examples/ibtest.c, lib/Makefile, lib/ibBoard.c, lib/ibCmd.c,
	  lib/ibConfYacc.y, lib/ibRd.c: bug fixes

2002-02-22 19:01  fmhess

	* [r236] driver/protocol/device.c, driver/sys/osfuncs.c,
	  lib/ibRd.c, lib/ibWrt.c: converted ibwrt, moved send_setup and
	  receive setup out of kernel module and into user
	  space lib

2002-02-22 00:09  fmhess

	* [r235] driver/cec/init.c, driver/include/gpib_ioctl.h,
	  driver/include/gpib_user.h, driver/sys/osfuncs.c, lib/ib.h,
	  lib/ibCmd.c, lib/ibP.h, lib/ibRd.c, lib/ibSad.c, lib/ibTmo.c,
	  lib/ib_internal.h: rewrote IBRD and IBCMD ioctls, got rid of
	  DVRD.

2002-02-21 20:57  fmhess

	* [r234] driver/cec/init.c, driver/include/nec7210.h,
	  driver/nec7210/init.c: trying inverting nec7210 interrupt output
	  for cec pci board

2002-02-21 20:42  fmhess

	* [r233] driver/tnt4882/mite.c: a little cleanup

2002-02-20 21:45  fmhess

	* [r232] lib/Makefile, lib/ibBoard.c, lib/ibConf.h, lib/ibFind.c,
	  lib/ibP.h, lib/ibSad.c, lib/ib_internal.h, lib/ibdev.c,
	  lib/ibutil.c: added ibdev function

2002-02-20 18:54  fmhess

	* [r231] driver/protocol/ibutil.c, lib/ibAPE.c, lib/ibBoard.c,
	  lib/ibClr.c, lib/ibConf.h, lib/ibConfYacc.y, lib/ibLoc.c,
	  lib/ibP.h, lib/ibPad.c, lib/ibRd.c, lib/ibRsp.c, lib/ibSad.c,
	  lib/ibTrg.c, lib/ibWait.c, lib/ibWrt.c, lib/ibdev.c,
	  lib/ibutil.c: split padsad into pad and sad in library, limited
	  stupid sad addressing convention to ni-compatible front-end

2002-02-19 16:56  fmhess

	* [r230] util/ibchk.c: forgot to remove this...

2002-02-19 00:11  fmhess

	* [r229] Makefile, include/Makefile, include/gpibP.h,
	  language/tcl/Makefile, lib/ibBoard.c: tweaked some makefiles,
	  made ibrd() initialize the buffer to zero
	  again so strings tend to be null-terminated.

2002-02-18 23:16  fmhess

	* [r228] INSTALL, Makefile, applications/ibconf, examples/ibtest.c,
	  language/tcl/Makefile, language/tcl/config.tcl,
	  language/tcl/ibCmds.c, lib/Makefile, lib/ib.h, lib/ibAPE.c,
	  lib/ibAPWait.c, lib/ibBdChrConfig.c, lib/ibBoard.c, lib/ibCac.c,
	  lib/ibClr.c, lib/ibCmd.c, lib/ibConfYacc.y, lib/ibConfig.c,
	  lib/ibDma.c, lib/ibEos.c, lib/ibEot.c, lib/ibError.c,
	  lib/ibEvent.c, lib/ibFind.c, lib/ibFindLstn.c, lib/ibFlags.c,
	  lib/ibGts.c, lib/ibLines.c, lib/ibLoc.c, lib/ibOnl.c,
	  lib/ibOpt.c, lib/ibP.h, lib/ibPad.c, lib/ibProto.h, lib/ibRd.c,
	  lib/ibRpp.c, lib/ibRsp.c, lib/ibRsv.c, lib/ibSad.c, lib/ibSic.c,
	  lib/ibSre.c, lib/ibTmo.c, lib/ibTrg.c, lib/ibWait.c, lib/ibWrt.c,
	  lib/ib_internal.h, lib/ibdev.c, lib/ibutil.c, util/ChangeLog,
	  util/Makefile, util/Setup.test, util/ibDevMan.c, util/ibdump.c:
	  cleaned up ib.h header, ripped out some stuff I'm not interested
	  in maintaining.

2002-02-17 22:54  fmhess

	* [r227] lib/Makefile, lib/ibOnl.c, lib/ibP.h, util/Setup.in: freed
	  descriptor resources when taken offline

2002-02-15 04:06  fmhess

	* [r226] lib/Makefile, lib/ibAPE.c, lib/ibBoard.c, lib/ibCmd.c,
	  lib/ibPad.c, lib/ibProto.h, lib/ibRd.c, lib/ibSad.c, lib/ibWrt.c:
	  a little cleanup

2002-02-15 03:34  fmhess

	* [r225] examples/ibtest.c: fixed buffer overrun

2002-02-14 21:40  fmhess

	* [r224] driver/nec7210/aux.c, driver/nec7210/interrupt.c,
	  driver/nec7210/util.c: fixed the way the nec7210 module keeps
	  track of the ATN status bit

2002-02-14 20:15  fmhess

	* [r223] INSTALL, examples/Makefile, lib/Makefile, util/Makefile:
	  made user space library shared instead of statically linked

2002-02-14 19:23  fmhess

	* [r222] README.TCL: renamed tcl lib

2002-02-14 19:23  fmhess

	* [r221] language/tcl/Makefile: renamed tcl lib so it's not the
	  same as c lib

2002-02-14 19:22  fmhess

	* [r220] util/ibchk.c: more band-aids for ibchk

2002-02-13 23:58  fmhess

	* [r219] lib/ibBdChrConfig.c, lib/ibFind.c, lib/ibOnl.c,
	  lib/ibProto.h, lib/ibutil.c, util/ibchk.c: band-aids for breakage

2002-02-13 22:51  fmhess

	* [r218] driver/protocol/ibinit.c, language/tcl/ibCmds.c,
	  lib/ibBoard.c, lib/ibConf.h, lib/ibConfYacc.y, lib/ibEos.c,
	  lib/ibFind.c, lib/ibOnl.c, lib/ibP.h, lib/ibProto.h, lib/ibRd.c,
	  lib/ibTmo.c, lib/ibutil.c, lib/parse.h, util/ibDevMan.c,
	  util/ibchk.c: starting to clean up user space library

2002-02-13 17:11  fmhess

	* [r217] driver/cec/init.c: yet another attempt to get plx9050
	  interrupts working properly

2002-02-13 02:35  fmhess

	* [r216] language/tcl/ibCmds.c, lib/ibutil.c, util/ibDevMan.c: more
	  fixes for new ibConfigs

2002-02-13 01:27  fmhess

	* [r215] lib/ibBoard.c, lib/ibutil.c, util/ibchk.c: fixes for
	  recent changes

2002-02-13 01:09  fmhess

	* [r214] lib/ibBoard.c, lib/ibConfYacc.y, lib/ibError.c,
	  lib/ibFind.c, lib/ibP.h, lib/ibPad.c, lib/ibProto.h,
	  lib/ibutil.c: changed ibConfigs[] to a (larger) array of pointers
	  in preparation of adding ibdev()

2002-02-12 23:32  fmhess

	* [r213] lib/ibdev.c: added junk file that will eventually provide
	  ibdev function

2002-02-12 23:27  fmhess

	* [r212] applications/ibconf/ibconf, examples/ibtest.c,
	  lib/Makefile, lib/ibAPE.c, lib/ibAPWait.c, lib/ibBdChrConfig.c,
	  lib/ibBoard.c, lib/ibCac.c, lib/ibClr.c, lib/ibCmd.c,
	  lib/ibConfYacc.y, lib/ibConfig.c, lib/ibDma.c, lib/ibEos.c,
	  lib/ibEot.c, lib/ibError.c, lib/ibEvent.c, lib/ibFind.c,
	  lib/ibFindLstn.c, lib/ibFlags.c, lib/ibGts.c, lib/ibLines.c,
	  lib/ibLoc.c, lib/ibOnl.c, lib/ibOpt.c, lib/ibP.h, lib/ibPad.c,
	  lib/ibProto.h, lib/ibRd.c, lib/ibRpp.c, lib/ibRsp.c, lib/ibRsv.c,
	  lib/ibSad.c, lib/ibSdbg.c, lib/ibSic.c, lib/ibSre.c, lib/ibTmo.c,
	  lib/ibTrg.c, lib/ibWait.c, lib/ibutil.c, util/ibDevMan.c: some
	  cleanups

2002-02-12 19:41  fmhess

	* [r211] INSTALL, README, README.CBI488, README.INES, README.PCIIa,
	  README.ZIATECH, README.hp82335, TIPS+TRICKS4newbies,
	  applications/ibconf/README, driver/cb7210/cb7210_init.c,
	  driver/ines/ines.h, driver/ines/ines_init.c, drivers.txt: removed
	  some obsolete documentation

2002-02-12 18:07  fmhess

	* [r210] applications/ibconf/Down, applications/ibconf/Makefile,
	  applications/ibconf/Up: got rid of custom Up and Down bitmaps
	  which were carelessly installed on top
	  of existing bitmaps

2002-02-12 17:54  fmhess

	* [r209] applications/ibconf/ibconf: some fixes to ibconf to
	  reflect new configuration file (still broken)

2002-02-12 16:51  fmhess

	* [r208] driver/cec/init.c, driver/cec/interrupt.c,
	  driver/sys/osfuncs.c, util/ibchk.c: debugging cec/keithley pci
	  support

2002-02-12 01:30  fmhess

	* [r207] driver/nec7210/read.c, driver/protocol/ibread.c,
	  driver/protocol/ibwrite.c, language/tcl/ibCmds.c, lib/Makefile,
	  lib/ibBdChrConfig.c, lib/ibBoard.c, lib/ibConf.h,
	  lib/ibConfYacc.y, lib/ibFind.c, lib/ibProto.h, lib/ibRd.c,
	  lib/ibWrt.c, lib/ibutil.c, util/ibDevMan.c, util/ibchk.c: some
	  cleanups

2002-02-11 22:01  fmhess

	* [r206] lib/ibBdChrConfig.c, lib/ibBoard.c, lib/ibConfYacc.y,
	  util/ibchk.c: ugly hack to patch bug with new configuration file
	  layout

2002-02-11 18:54  fmhess

	* [r205] driver/sys/osfuncs.c, lib/ibBdChrConfig.c: getting ibchk
	  working

2002-02-11 18:22  fmhess

	* [r204] driver/sys/osfuncs.c, util/ibchk.c: getting ibchk working
	  again

2002-02-09 01:33  fmhess

	* [r203] driver/nec7210/read.c: fixed reporting of timeout on read

2002-02-09 01:28  fmhess

	* [r202] driver/nec7210/cmd.c, driver/protocol/device.c,
	  driver/protocol/ibcmd.c, driver/protocol/ibread.c,
	  driver/sys/osfuncs.c: fixed lockup on device read that I created
	  with last checkin

2002-02-08 22:12  fmhess

	* [r201] TODO, driver/include/protocol_proto.h,
	  driver/protocol/device.c, driver/protocol/ibwrite.c,
	  driver/sys/osfuncs.c: fixed optional sending of EOI at end of
	  writes

2002-02-08 21:54  fmhess

	* [r200] TODO, driver/include/gpib_proto.h,
	  driver/include/gpib_registers.h, driver/include/gpib_types.h,
	  driver/protocol/ibinit.c, driver/protocol/ibprot.h,
	  driver/protocol/ibsic.c, driver/protocol/ibsre.c,
	  driver/protocol/ibutil.c: okay, really got rid of global pgmstat
	  variable now

2002-02-08 21:29  fmhess

	* [r199] driver/include/gpib_types.h, driver/sys/ibsys.h,
	  driver/sys/osfuncs.c, driver/sys/osinit.c, driver/sys/ostimer.c:
	  got rid of global variables pgmstat and ibtimer_list

2002-02-08 21:06  fmhess

	* [r198] driver/tms9914/wait.c: removing useless file

2002-02-08 20:55  fmhess

	* [r197] util/Setup.install, util/templates/gpib.conf: removed gpl
	  not from config file, some related cleanup

2002-02-08 20:48  fmhess

	* [r196] driver/Makefile, driver/cec, driver/cec/Makefile,
	  driver/cec/cec.h, driver/cec/init.c, driver/cec/interrupt.c,
	  driver/include/plx9050.h, util/Setup.in: added support for cec
	  pci board

2002-02-07 22:22  fmhess

	* [r195] driver/cb7210/cb7210_init.c, driver/include/gpibP.h,
	  driver/include/gpib_buffer.h, driver/include/gpib_config.h,
	  driver/include/gpib_debug.h, driver/include/gpib_registers.h,
	  driver/include/sys_proto.h, driver/nec7210/init.c,
	  driver/protocol/device.c, driver/protocol/ibAutoSP.c,
	  driver/protocol/ibcac.c, driver/protocol/ibcmd.c,
	  driver/protocol/ibgts.c, driver/protocol/ibinit.c,
	  driver/protocol/iblines.c, driver/protocol/ibprot.h,
	  driver/protocol/ibread.c, driver/protocol/ibrpp.c,
	  driver/protocol/ibrsv.c, driver/protocol/ibsic.c,
	  driver/protocol/ibsre.c, driver/protocol/ibutil.c,
	  driver/protocol/ibwait.c, driver/protocol/ibwrite.c,
	  driver/sys/Makefile, driver/sys/osfuncs.c, driver/sys/osinit.c,
	  driver/sys/osmem.c, driver/sys/ostimer.c, driver/tms9914/init.c,
	  driver/tnt4882-tms/init.c, driver/tnt4882/tnt4882_init.c:
	  cleanups

2002-02-07 20:53  fmhess

	* [r194] driver/Makefile, util/Setup.in, util/templates/gpib.conf:
	  changed config script to prompt for which drivers you want
	  compiled

2002-02-07 19:05  fmhess

	* [r193] INSTALL, driver/include/gpibP.h, driver/sys/osinit.c,
	  util/Setup.in, util/templates/gpib.conf: got rid of gpib_board.h,
	  cleaned up gpib.conf template a little

2002-02-06 23:52  fmhess

	* [r192] driver/nec7210/interrupt.c, driver/nec7210/read.c,
	  driver/nec7210/write.c, lib/ibutil.c: got pc2a dma read working
	  again

2002-02-06 22:30  fmhess

	* [r191] driver/cb7210/cb7210_init.c, driver/ines/ines_init.c,
	  driver/nec7210/read.c, driver/nec7210/write.c,
	  driver/pc2/pc2_init.c, driver/protocol/ibcmd.c,
	  driver/protocol/ibread.c, driver/protocol/ibwrite.c,
	  driver/tnt4882/tnt4882_init.c, util/Setup.in: fixed dma with new
	  buffers for pc2/2a

2002-02-06 21:27  fmhess

	* [r190] driver/cb7210/cb7210.h, driver/cb7210/cb7210_cs.c,
	  driver/cb7210/cb7210_init.c, driver/include/gpib_types.h,
	  driver/include/nec7210.h, driver/ines/ines.h,
	  driver/ines/ines_cs.c, driver/ines/ines_init.c,
	  driver/pc2/pc2_init.c, driver/sys/osfuncs.c, lib/ib.h,
	  lib/ibConfYacc.y, lib/parse.h: fixed read/write buffer so it's
	  not global

2002-02-06 08:44  fmhess

	* [r189] util/Setup.in, util/Setup.install,
